function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * 
 * @file Multiput upload base class
 * @author Box
 */
import BaseUpload from './BaseUpload';
const DEFAULT_MULTIPUT_CONFIG = {
  digestReadahead: 5,
  // How many parts past those currently uploading to precompute digest for
  initialRetryDelayMs: 5000,
  // Base for exponential backoff on retries
  maxRetryDelayMs: 60000,
  // Upper bound for time between retries
  parallelism: 4,
  // Maximum number of parts to upload at a time
  requestTimeoutMs: 120000,
  // Idle timeout on part upload, overall request timeout on other requests
  retries: 5 // How many times to retry requests such as upload part or commit. Note that total number of attempts will be retries + 1 in worst case where all attempts fail.

};

class BaseMultiput extends BaseUpload {
  /**
   * [constructor]
   *
   * @param {Options} options
   * @param {Object} sessionEndpoints
   * @param {MultiputConfig} [config]
   * @return {void}
   */
  constructor(options, sessionEndpoints, config) {
    super(_objectSpread({}, options, {
      shouldRetry: false // disable XHR retries as there is already retry logic

    }));

    _defineProperty(this, "logEvent", (eventType, eventInfo) => {
      const data = {
        event_type: eventType
      };

      if (eventInfo) {
        data.event_info = eventInfo;
      }

      return this.xhr.post({
        url: this.sessionEndpoints.logEvent,
        data
      });
    });

    this.config = config || DEFAULT_MULTIPUT_CONFIG;
    this.sessionEndpoints = sessionEndpoints;
  }
  /**
   * POST log event
   *
   * @param {string} eventType
   * @param {string} [eventInfo]
   * @return {Promise}
   */


}

export default BaseMultiput;
//# sourceMappingURL=BaseMultiput.js.map