function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import omit from 'lodash/omit';
import uniqueId from 'lodash/uniqueId';

class AccessibleSVG extends React.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "id", uniqueId('icon'));
  }

  render() {
    const _this$props = this.props,
          {
      children,
      title
    } = _this$props,
          rest = _objectWithoutProperties(_this$props, ["children", "title"]);

    const titleID = "".concat(this.id, "-title"); // Make sure parent doesn't accidentally override these values

    const svgProps = omit(rest, ['role', 'aria-labelledby']); // Accessibility fix for IE11, which treats all SVGs as focusable by default

    svgProps.focusable = 'false';

    if (title) {
      svgProps['aria-labelledby'] = titleID;
      svgProps.role = 'img';
    } else {
      svgProps['aria-hidden'] = 'true';
      svgProps.role = 'presentation';
    }

    return React.createElement("svg", svgProps, title ? React.createElement("title", {
      id: titleID
    }, title) : null, children);
  }

}

export default AccessibleSVG;
//# sourceMappingURL=AccessibleSVG.js.map