import * as React from 'react';
import classnames from 'classnames';
import './Badgeable.scss';

const Badgeable = props => {
  const {
    children,
    className = '',
    topLeft = null,
    topRight = null,
    bottomLeft = null,
    bottomRight = null
  } = props;
  return React.createElement("div", {
    className: classnames('badgeable-container', className)
  }, children, React.createElement("div", {
    className: "badges"
  }, topLeft && React.createElement("div", {
    className: "top-left-badge"
  }, topLeft), topRight && React.createElement("div", {
    className: "top-right-badge"
  }, topRight), bottomLeft && React.createElement("div", {
    className: "bottom-left-badge"
  }, bottomLeft), bottomRight && React.createElement("div", {
    className: "bottom-right-badge"
  }, bottomRight)));
};

export default Badgeable;
//# sourceMappingURL=Badgeable.js.map