function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import classnames from 'classnames';
import PlainButton from '../plain-button/PlainButton'; // @ts-ignore flow import

import DropdownMenu, { MenuToggle } from '../dropdown-menu';
import { Menu, SelectMenuItem } from '../menu';
import messages from './messages';
import './CategorySelector.scss';

const CategorySelectorComponent = (_ref) => {
  let {
    measureRef,
    moreRef,
    className,
    categories,
    maxLinks,
    currentCategory,
    categoryProps,
    onSelect
  } = _ref;
  const linkCategories = categories.slice(0, maxLinks);
  const overflowCategories = categories.slice(maxLinks);
  const selectedOverflow = overflowCategories.find((_ref2) => {
    let {
      value
    } = _ref2;
    return currentCategory === value;
  });

  const renderCategory = (_ref3) => {
    let {
      value,
      displayText
    } = _ref3;
    return React.createElement("span", _extends({
      key: value,
      className: classnames('bdl-CategorySelector-pill', {
        'is-selected': value === currentCategory
      }),
      "data-category": value,
      "data-resin-target": "selectcategory",
      "data-resin-template_category": displayText,
      "data-testid": "template-category-".concat(value),
      onClick: () => onSelect(value),
      onKeyPress: event => {
        if (event.key === 'Enter' || event.key === ' ') onSelect(value);
      },
      role: "button",
      tabIndex: 0
    }, categoryProps), displayText);
  };

  return React.createElement("div", {
    ref: measureRef,
    className: classnames(className, 'bdl-CategorySelector')
  }, React.createElement("div", {
    className: "bdl-CategorySelector-links"
  }, linkCategories.map(renderCategory)), React.createElement("div", {
    ref: moreRef,
    className: classnames('bdl-CategorySelector-more', {
      hide: maxLinks >= categories.length
    })
  }, React.createElement(DropdownMenu, {
    className: "dropdownWrapper",
    isRightAligned: true
  }, React.createElement(PlainButton, {
    className: classnames('bdl-CategorySelector-more-label', {
      'is-selected': selectedOverflow
    })
  }, React.createElement(MenuToggle, null, selectedOverflow ? selectedOverflow.displayText : React.createElement(FormattedMessage, messages.more))), React.createElement(Menu, null, overflowCategories.map((_ref4) => {
    let {
      value,
      displayText
    } = _ref4;
    return React.createElement(SelectMenuItem, {
      key: value,
      "data-testid": "template-category-more-".concat(value),
      isSelected: value === currentCategory,
      onClick: () => onSelect(value)
    }, displayText);
  })))));
};

export default CategorySelectorComponent;
//# sourceMappingURL=CategorySelectorComponent.js.map