function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from 'react';
import uniqueId from 'lodash/uniqueId';
import classNames from 'classnames';
import CheckboxTooltip from './CheckboxTooltip';
import './Checkbox.scss';

const Checkbox = (_ref) => {
  let {
    className = '',
    description,
    fieldLabel,
    hideLabel,
    id,
    inputClassName,
    isChecked,
    isDisabled,
    label,
    name,
    onFocus,
    onChange,
    subsection,
    tooltip // @TODO: eventually remove `rest` in favor of explicit props

  } = _ref,
      rest = _objectWithoutProperties(_ref, ["className", "description", "fieldLabel", "hideLabel", "id", "inputClassName", "isChecked", "isDisabled", "label", "name", "onFocus", "onChange", "subsection", "tooltip"]);

  const generatedID = React.useRef(uniqueId('checkbox')).current; // use passed-in ID from props; otherwise generate one

  const inputID = id || generatedID;
  const checkboxAndLabel = React.createElement("span", {
    className: "checkbox-label"
  }, React.createElement("input", _extends({
    "aria-describedby": description ? "description_".concat(inputID) : '',
    checked: isChecked,
    className: inputClassName,
    disabled: isDisabled,
    id: inputID,
    name: name,
    onFocus: onFocus,
    onChange: onChange,
    type: "checkbox"
  }, rest)), React.createElement("span", {
    className: "checkbox-pointer-target"
  }), React.createElement("span", {
    className: classNames('bdl-Checkbox-labelTooltipWrapper', {
      'accessibility-hidden': hideLabel
    })
  }, label && React.createElement("label", {
    htmlFor: inputID
  }, label), tooltip && React.createElement(CheckboxTooltip, {
    tooltip: tooltip
  })));
  return React.createElement("div", {
    className: classNames('checkbox-container', className, {
      'is-disabled bdl-is-disabled': isDisabled
    })
  }, fieldLabel && React.createElement("div", {
    className: "label"
  }, fieldLabel), checkboxAndLabel, description ? React.createElement("div", {
    id: "description_".concat(inputID),
    className: "checkbox-description"
  }, description) : null, subsection ? React.createElement("div", {
    className: "checkbox-subsection"
  }, subsection) : null);
};

export default Checkbox;
//# sourceMappingURL=Checkbox.js.map