function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import Avatar from '../avatar';
import DatalistItem from '../datalist-item';
import './ContactDatalistItem.scss';

class ContactDatalistItem extends React.PureComponent {
  constructor(props) {
    super(props);

    _defineProperty(this, "isMounted", false);

    _defineProperty(this, "getAvatarUrlHandler", avatarUrl => {
      if (this.isMounted) {
        this.setState({
          avatarUrl
        });
      }
    });

    this.state = {
      avatarUrl: undefined
    };
  }

  /**
   * Gets the avatar URL for the user from the getContactAvatarUrl prop
   *
   * @return {void}
   */
  getAvatarUrl() {
    const {
      getContactAvatarUrl,
      id
    } = this.props;
    Promise.resolve(getContactAvatarUrl && id ? getContactAvatarUrl({
      id
    }) : undefined).then(this.getAvatarUrlHandler).catch(() => {// noop
    });
  }

  componentDidMount() {
    this.isMounted = true;
    this.getAvatarUrl();
  }

  componentWillUnmount() {
    this.isMounted = false;
  }

  render() {
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    const _this$props = this.props,
          {
      getContactAvatarUrl,
      id,
      isExternal,
      name,
      showAvatar,
      subtitle
    } = _this$props,
          rest = _objectWithoutProperties(_this$props, ["getContactAvatarUrl", "id", "isExternal", "name", "showAvatar", "subtitle"]);

    const {
      avatarUrl
    } = this.state;
    return React.createElement(DatalistItem, _extends({
      className: "contact-data-list-item"
    }, rest), showAvatar && React.createElement(Avatar, {
      className: "contact-avatar",
      id: id,
      name: name,
      isExternal: isExternal,
      shouldShowExternal: true,
      avatarUrl: avatarUrl
    }), React.createElement("div", {
      className: "contact-name-container"
    }, React.createElement("div", {
      className: "contact-text contact-name"
    }, name), subtitle && React.createElement("div", {
      className: "contact-text contact-sub-name"
    }, subtitle)));
  }

}

export default ContactDatalistItem;
//# sourceMappingURL=ContactDatalistItem.js.map