function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import classNames from 'classnames';
import omit from 'lodash/omit';
import uniqueId from 'lodash/uniqueId';
import './DatalistItem.scss';

class DatalistItem extends React.Component {
  constructor(props) {
    super(props);

    _defineProperty(this, "setActiveItemID", () => {
      const {
        setActiveItemID
      } = this.props;

      if (setActiveItemID) {
        setActiveItemID(this.id);
      }
    });

    this.id = uniqueId('datalistitem');
  }

  componentDidMount() {
    if (this.props.isActive) {
      this.setActiveItemID();
    }
  }

  componentDidUpdate(prevProps) {
    if (this.props.isActive && !prevProps.isActive) {
      this.setActiveItemID();
    }
  }

  render() {
    const _this$props = this.props,
          {
      children,
      className,
      isActive,
      isSelected
    } = _this$props,
          rest = _objectWithoutProperties(_this$props, ["children", "className", "isActive", "isSelected"]);

    const classes = classNames('datalist-item', {
      'is-active': isActive
    }, className);
    const itemProps = omit(rest, ['closeDropdown', 'setActiveItemID']);
    /* eslint-disable jsx-a11y/role-has-required-aria-props */
    // required aria props are added dynamically

    return React.createElement("li", _extends({}, itemProps, {
      className: classes,
      id: this.id,
      role: "option",
      "aria-selected": isSelected
    }), children);
    /* eslint-enable jsx-a11y/role-has-required-aria-props */
  }

}

export default DatalistItem;
//# sourceMappingURL=DatalistItem.js.map