import * as React from 'react';
import { DragDropContext, Droppable } from 'react-beautiful-dnd';
import './DraggableList.scss';

const DraggableList = (_ref) => {
  let {
    children,
    className,
    listId,
    onDragEnd: _onDragEnd
  } = _ref;
  return React.createElement(DragDropContext, {
    onDragEnd: result => {
      const destinationIndex = result.destination ? result.destination.index : result.source.index;
      return _onDragEnd(result.source.index, destinationIndex);
    }
  }, React.createElement(Droppable, {
    droppableId: listId
  }, droppableProvided => React.createElement("div", {
    ref: droppableProvided.innerRef,
    className: className
  }, children, droppableProvided.placeholder)));
};

export default DraggableList;
//# sourceMappingURL=DraggableList.js.map