import * as React from 'react';
import { Draggable } from 'react-beautiful-dnd';
import Portal from '../portal';
import ListItem from './ListItem';

const PortaledDraggableListItem = (_ref) => {
  let {
    children,
    className = '',
    id,
    index,
    isDraggableViaHandle
  } = _ref;
  return React.createElement(Draggable, {
    draggableId: id,
    index: index
  }, (draggableProvided, draggableSnapshot) => {
    const listItem = React.createElement(ListItem, {
      draggableProvided: draggableProvided,
      isDraggableViaHandle: isDraggableViaHandle
    }, children);

    if (draggableSnapshot.isDragging) {
      return React.createElement(Portal, {
        className: className
      }, listItem);
    }

    return listItem;
  });
};

export default PortaledDraggableListItem;
//# sourceMappingURL=PortaledDraggableListItem.js.map