function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import classNames from 'classnames';
import omit from 'lodash/omit';
import FocusTrap from '../focus-trap';

class Overlay extends React.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "closeOverlay", () => {
      const {
        onClose
      } = this.props;

      if (!onClose) {
        return;
      }

      setTimeout(() => onClose(), 0);
    });

    _defineProperty(this, "handleOverlayKeyDown", event => {
      if (event.key !== 'Escape') {
        return;
      }

      event.stopPropagation();
      event.preventDefault();
      this.closeOverlay();
    });
  }

  render() {
    const _this$props = this.props,
          {
      children,
      className
    } = _this$props,
          rest = _objectWithoutProperties(_this$props, ["children", "className"]);

    const overlayProps = omit(rest, ['onClose']);
    overlayProps.className = classNames('bdl-Overlay', className);
    overlayProps.handleOverlayKeyDown = this.handleOverlayKeyDown;
    overlayProps.tabIndex = 0;
    return React.createElement(FocusTrap, overlayProps, React.createElement("div", {
      className: "overlay"
    }, children));
  }

}

export default Overlay;
//# sourceMappingURL=Overlay.js.map