function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import tabbable from 'tabbable';
import classNames from 'classnames';

class FocusTrap extends React.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "focusFirstElement", () => {
      if (!this.el) {
        return;
      }

      const tabbableEls = tabbable(this.el); // There are three trap-related elements, including first element.
      // If there are 3 or fewer tabbable elements, that means there are no
      // tabbable children, so focus on the trap element instead.

      if (tabbableEls.length > 3) {
        tabbableEls[1].focus();
      } else if (this.trapEl) {
        this.trapEl.focus();
      }
    });

    _defineProperty(this, "focusLastElement", () => {
      if (!this.el) {
        return;
      }

      const tabbableEls = tabbable(this.el); // There are three trap-related elements, including the last two elements.
      // If there are 3 or fewer tabbable elements, that means there are no
      // tabbable children, so focus on the trap element instead.

      if (tabbableEls.length > 3) {
        tabbableEls[tabbableEls.length - 3].focus();
      } else if (this.trapEl) {
        this.trapEl.focus();
      }
    });

    _defineProperty(this, "handleElKeyDown", event => {
      const {
        handleOverlayKeyDown
      } = this.props;

      if (this.el === document.activeElement && event.key === 'Tab') {
        this.focusFirstElement();
        event.stopPropagation();
        event.preventDefault();
      }

      if (handleOverlayKeyDown) {
        handleOverlayKeyDown(event);
      }
    });

    _defineProperty(this, "handleTrapElKeyDown", event => {
      if (event.key !== 'Tab') {
        return;
      }

      event.stopPropagation();
      event.preventDefault();
    });
  }

  componentDidMount() {
    if (this.props.shouldDefaultFocus) {
      setTimeout(() => {
        this.previousFocusEl = document.activeElement;
        this.focusFirstElement();
      }, 0);
    } else {
      setTimeout(() => {
        if (this.el) {
          this.el.focus();
        }
      }, 0);
    }
  }

  componentWillUnmount() {
    setTimeout(() => {
      if (this.previousFocusEl) {
        this.previousFocusEl.focus();
      }
    }, 0);
  }

  render() {
    const _this$props = this.props,
          {
      children,
      className,
      getRef,
      handleOverlayKeyDown,
      shouldDefaultFocus,
      shouldOutlineFocus
    } = _this$props,
          rest = _objectWithoutProperties(_this$props, ["children", "className", "getRef", "handleOverlayKeyDown", "shouldDefaultFocus", "shouldOutlineFocus"]);

    return (// eslint-disable-next-line jsx-a11y/no-static-element-interactions
      React.createElement("div", _extends({
        ref: _ref2 => {
          this.el = _ref2;

          if (getRef) {
            getRef(_ref2);
          }
        },
        className: classNames(className, {
          'should-outline-focus': shouldOutlineFocus
        }),
        onKeyDown: this.handleElKeyDown
      }, rest), React.createElement("i", {
        "aria-hidden": true,
        onFocus: this.focusLastElement,
        tabIndex: "0"
      }), children, React.createElement("i", {
        "aria-hidden": true,
        onFocus: this.focusFirstElement,
        tabIndex: "0"
      }), React.createElement("i", {
        ref: _ref => {
          this.trapEl = _ref;
        },
        "aria-hidden": true,
        onKeyDown: this.handleTrapElKeyDown // eslint-disable-next-line jsx-a11y/no-noninteractive-tabindex
        ,
        tabIndex: "0"
      }))
    );
  }

}

export default FocusTrap;
//# sourceMappingURL=FocusTrap.js.map