function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';

class FormInput extends Component {
  componentDidMount() {
    const {
      name,
      onValidityStateUpdate
    } = this.props;

    if (this.context.form) {
      this.context.form.registerInput(name, onValidityStateUpdate);
    }
  }

  componentWillUnmount() {
    if (this.context.form) {
      this.context.form.unregisterInput(this.props.name);
    }
  }

  render() {
    return React.createElement("div", null, this.props.children);
  }

}

_defineProperty(FormInput, "propTypes", {
  children: PropTypes.node.isRequired,

  /** callback called when Form pushed down a new validityState, useful for displaying server validation errors */
  onValidityStateUpdate: PropTypes.func.isRequired,

  /** Input name */
  name: PropTypes.string.isRequired
});

_defineProperty(FormInput, "contextTypes", {
  form: PropTypes.shape({
    registerInput: PropTypes.func.isRequired,
    unregisterInput: PropTypes.func.isRequired
  })
});

export default FormInput;
//# sourceMappingURL=FormInput.js.map