function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { FormattedMessage } from 'react-intl';
import commonMessages from '../../common/messages';

const badInput = () => ({
  code: 'badInput',
  message: React.createElement(FormattedMessage, commonMessages.invalidInputError)
});

const patternMismatch = () => ({
  code: 'patternMismatch',
  message: React.createElement(FormattedMessage, commonMessages.invalidInputError)
});

const tooShort = minLength => ({
  code: 'tooShort',
  message: React.createElement(FormattedMessage, _extends({}, commonMessages.minLengthError, {
    values: {
      min: minLength
    }
  }))
});

const tooLong = maxLength => ({
  code: 'tooLong',
  message: React.createElement(FormattedMessage, _extends({}, commonMessages.maxLengthError, {
    values: {
      max: maxLength
    }
  }))
});

const typeMismatchEmail = () => ({
  code: 'typeMismatch',
  message: React.createElement(FormattedMessage, commonMessages.invalidEmailError)
});

const typeMismatchUrl = () => ({
  code: 'typeMismatch',
  message: React.createElement(FormattedMessage, commonMessages.invalidURLError)
});

const valueMissing = () => ({
  code: 'valueMissing',
  message: React.createElement(FormattedMessage, commonMessages.requiredFieldError)
});

export { badInput, patternMismatch, tooShort, tooLong, typeMismatchEmail, typeMismatchUrl, valueMissing };
//# sourceMappingURL=input-messages.js.map