function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// @deprecated, use FormattedMessage from react-intl v6 instead.
import * as React from 'react';
import { injectIntl } from 'react-intl';
import isNaN from 'lodash/isNaN';
import isDevEnvironment from '../../utils/env';
import { CATEGORY_ZERO, CATEGORY_ONE, CATEGORY_TWO, CATEGORY_FEW, CATEGORY_MANY, CATEGORY_OTHER } from './constants';
import Composition from './Composition';

/**
 * Replace the text inside of this component with a translation. This
 * component is built on top of react-intl, so it works along with the
 * regular react-intl components and objects you are used to, and it gets
 * its translations from react intl as well. The FormattedCompMessage component can
 * be used wherever it is valid to put JSX text. In regular Javascript
 * code, you should continue to use the intl.formatMessage() call and
 * extract your strings into a message.js file.
 */
class FormattedCompMessage extends React.Component {
  constructor(props) {
    super(props);
    /* eslint-disable no-console */

    console.warn("box-ui-elements: the FormattedCompMessage component is deprecated! Use react-intl's FormattedMessage instead.");
    /* eslint-enable no-console */
    // these parameters echo the ones in react-intl's FormattedMessage
    // component, plus a few extra

    const {
      defaultMessage,
      // The English string + HTML + components that you want translated
      count,
      // the pivot count to choose a plural form
      children // the components within the body

    } = this.props;
    const sourceElements = defaultMessage || children;

    if (sourceElements) {
      const composition = new Composition(sourceElements);
      let source = '';

      if (!isNaN(Number(count))) {
        if (children) {
          source = this.composePluralString(children);
        } else if (isDevEnvironment()) {
          throw new Error('Cannot use count prop on a FormattedCompMessage component that has no children.');
        }
      } else {
        source = composition.compose();
      }

      this.state = {
        source,
        composition
      };
    }
  }
  /**
   * Search for any Plural elements in the children, and
   * then construct the English source string in the correct
   * format for react-intl to use for pluralization
   * @param {React.Element} children the children of this node
   * @return {string} the composed plural string
   */


  composePluralString(children) {
    const categories = {};
    React.Children.forEach(children, child => {
      if (typeof child === 'object' && React.isValidElement(child) && child.type.name === 'Plural') {
        const childComposition = new Composition(child.props.children);
        categories[child.props.category] = childComposition.compose();
      }
    });

    if (!categories.one || !categories.other) {
      if (isDevEnvironment()) {
        throw new Error('Cannot use count prop on a FormattedCompMessage component without giving both a "one" and "other" Plural component in the children.');
      }
    } // add these to the string in a particular order so that
    // we always end up with the same string regardless of
    // the order that the Plural elements were specified in
    // the source code


    const categoriesString = [CATEGORY_ZERO, CATEGORY_ONE, CATEGORY_TWO, CATEGORY_FEW, CATEGORY_MANY, CATEGORY_OTHER].map(category => categories[category] ? " ".concat(category, " {").concat(categories[category], "}") : '').join(''); // see the intl-messageformat project for an explanation of this syntax

    return "{count, plural,".concat(categoriesString, "}");
  }

  render() {
    const _this$props = this.props,
          {
      count,
      tagName,
      intl,
      description,
      id,
      defaultMessage
    } = _this$props,
          rest = _objectWithoutProperties(_this$props, ["count", "tagName", "intl", "description", "id", "defaultMessage"]);

    const {
      composition,
      source
    } = this.state;
    const values = {};

    if (typeof count === 'number') {
      // make sure intl.formatMessage switches properly on the count
      values.count = count;
    } // react-intl will do the correct plurals if necessary


    const descriptor = {
      id,
      defaultMessage: source,
      description
    };
    const translation = intl.formatMessage(descriptor, values); // always wrap the translated string in a tag to contain everything
    // and to give us a spot to record the id. The resource id is the
    // the id in mojito for the string. Having this attr has these advantages:
    // 1. When debugging i18n or translation problems, it is MUCH easier to find
    // the exact string to fix in Mojito rather than guessing. It might be useful
    // for general debugging as well to map from something you see in the UI to
    // the actual code that implements it.
    // 2. It can be used by an in-context linguistic review tool. The tool code
    // can contact mojito and retrieve the English for any translation errors that
    // the reviewer finds and submit translation tickets to Jira and/or fixed
    // translations directly back to Mojito.
    // 3. It can be used by the planned "text experiment framework" to identify
    // whole strings in the UI that can be A/B tested in various languages without
    // publishing new versions of the code.

    return React.createElement(tagName, _objectSpread({
      key: id,
      'x-resource-id': id
    }, rest), composition.decompose(translation));
  }

}

_defineProperty(FormattedCompMessage, "defaultProps", {
  tagName: 'span'
});

export default injectIntl(FormattedCompMessage);
//# sourceMappingURL=FormattedCompMessage.js.map