function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from 'react';
import classNames from 'classnames'; // @ts-ignore flow import

import Tooltip, { TooltipTheme } from '../tooltip';
import ImageTooltipContent from './ImageTooltipContent';
import './ImageTooltip.scss'; // We manually set "text" with our specific visual tooltip content.

const ImageTooltip = (_ref) => {
  let {
    children,
    className,
    content,
    image,
    title
  } = _ref,
      otherTooltipProps = _objectWithoutProperties(_ref, ["children", "className", "content", "image", "title"]);

  // State to track if the image has been loaded before displaying the tooltip
  const [isImageLoaded, setIsImageLoaded] = React.useState(false);
  const tooltipContent = React.createElement(ImageTooltipContent, {
    content: content,
    onImageLoad: () => setIsImageLoaded(true),
    title: title
  }, React.Children.only(image));
  const imageTooltipClasses = classNames('bdl-ImageTooltip', className, {
    'bdl-is-image-loaded': isImageLoaded
  });
  return React.createElement(Tooltip, _extends({
    className: imageTooltipClasses,
    showCloseButton: true,
    theme: TooltipTheme.CALLOUT
  }, otherTooltipProps, {
    text: tooltipContent
  }), children);
};

export default ImageTooltip;
//# sourceMappingURL=ImageTooltip.js.map