import * as React from 'react';
import classNames from 'classnames';
import './ImageTooltipContent.scss';

function cloneTooltipChildWithNewProps(child, onImageLoad) {
  const {
    props: {
      className: existingClasses
    }
  } = child;
  const className = classNames(existingClasses, 'bdl-ImageTooltipContent-imageChild');
  return React.cloneElement(child, {
    className,
    onLoad: onImageLoad
  });
}

const ImageTooltipContent = (_ref) => {
  let {
    children,
    content,
    onImageLoad,
    title
  } = _ref;
  return React.createElement("div", {
    className: "bdl-ImageTooltipContent"
  }, React.createElement("div", {
    className: "bdl-ImageTooltipContent-image"
  }, cloneTooltipChildWithNewProps(children, onImageLoad)), React.createElement("div", {
    className: "bdl-ImageTooltipContent-contentWrapper"
  }, React.createElement("h4", {
    className: "bdl-ImageTooltipContent-title"
  }, title), React.createElement("p", {
    className: "bdl-ImageTooltipContent-content"
  }, content)));
};

export default ImageTooltipContent;
//# sourceMappingURL=ImageTooltipContent.js.map