import * as React from 'react';
import { boolean } from '@storybook/addon-knobs';
import Label from './Label';
import notes from './Label.stories.md';
export const basic = () => React.createElement(Label, {
  text: "Input Label",
  tooltip: "This is an input label."
}, React.createElement("input", {
  type: "text"
}));
export const withOptionalText = () => React.createElement(Label, {
  text: "Input Label",
  showOptionalText: boolean('showOptionalText', true)
}, React.createElement("input", {
  type: "text"
}));
export const withInfoTooltip = () => React.createElement(Label, {
  text: "Input Label",
  infoTooltip: "I stand above this icon"
}, React.createElement("input", {
  type: "text"
}));
export default {
  title: 'Components/Label',
  component: Label,
  parameters: {
    notes
  }
};
//# sourceMappingURL=Label.stories.js.map