function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from 'react';
import classnames from 'classnames';
import LoadingIndicator, { LoadingIndicatorSize } from './LoadingIndicator';
import './LoadingIndicatorWrapper.scss';
export let LoadingIndicatorWrapperPosition;

(function (LoadingIndicatorWrapperPosition) {
  LoadingIndicatorWrapperPosition["CENTER"] = "center";
  LoadingIndicatorWrapperPosition["TOP"] = "top";
})(LoadingIndicatorWrapperPosition || (LoadingIndicatorWrapperPosition = {}));

const LoadingIndicatorWrapper = (_ref) => {
  let {
    children,
    className = '',
    crawlerPosition = LoadingIndicatorWrapperPosition.CENTER,
    crawlerSize = LoadingIndicatorSize.DEFAULT,
    isLoading = false,
    hideContent = false
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["children", "className", "crawlerPosition", "crawlerSize", "isLoading", "hideContent"]);

  const crawlerPositionClassName = classnames('loading-indicator-veil', {
    'is-with-top-crawler': crawlerPosition === LoadingIndicatorWrapperPosition.TOP,
    'is-with-center-crawler': crawlerPosition === LoadingIndicatorWrapperPosition.CENTER
  }, hideContent ? 'hide-content' : 'blur-content');
  return React.createElement("div", _extends({
    className: "loading-indicator-wrapper ".concat(className)
  }, rest), children, isLoading && React.createElement("div", {
    className: crawlerPositionClassName
  }, React.createElement(LoadingIndicator, {
    size: crawlerSize
  })));
};

export default LoadingIndicatorWrapper;
//# sourceMappingURL=LoadingIndicatorWrapper.js.map