import * as React from 'react';
import { VIEW_SIZE_TYPE } from '../constants';
import notes from './MediaQuery.stories.md';
import useMediaQuery from '../useMediaQuery';
import withMediaQuery from '../withMediaQuery';
export const CustomHook = () => {
  const {
    hover,
    isTouchDevice,
    pointer,
    size,
    viewWidth,
    viewHeight
  } = useMediaQuery();
  return React.createElement("div", null, React.createElement("p", null, React.createElement("b", null, "Hover:"), React.createElement("span", null, " ".concat(hover))), React.createElement("p", null, React.createElement("b", null, "Pointer:"), React.createElement("span", null, " ".concat(pointer))), React.createElement("p", null, React.createElement("b", null, "Is Touch Device:"), React.createElement("span", null, " ".concat(String(isTouchDevice)))), React.createElement("p", null, React.createElement("b", null, "View Dimensions:"), React.createElement("span", null, " ".concat(viewWidth, "px (w) x ").concat(viewHeight, "px (h)"))), size === VIEW_SIZE_TYPE.small && React.createElement("h4", null, "This view is small"), size === VIEW_SIZE_TYPE.medium && React.createElement("h3", null, "This view is medium"), size === VIEW_SIZE_TYPE.large && React.createElement("h2", null, "This view is large"), size === VIEW_SIZE_TYPE.xlarge && React.createElement("h1", null, "This view is xlarge"));
};

const DemoComponent = props => {
  const {
    hover,
    isTouchDevice,
    pointer,
    size,
    viewWidth,
    viewHeight
  } = props;
  return React.createElement("div", null, React.createElement("p", null, React.createElement("b", null, "Hover:"), React.createElement("span", null, " ".concat(hover))), React.createElement("p", null, React.createElement("b", null, "Pointer:"), React.createElement("span", null, " ".concat(pointer))), React.createElement("p", null, React.createElement("b", null, "Is Touch Device:"), React.createElement("span", null, " ".concat(String(isTouchDevice)))), React.createElement("p", null, React.createElement("b", null, "View Dimensions:"), React.createElement("span", null, " ".concat(viewWidth, "px (w) x ").concat(viewHeight, "px (h)"))), size === 'small' && React.createElement("h4", null, "This view is small"), size === 'medium' && React.createElement("h3", null, "This view is medium"), size === 'large' && React.createElement("h2", null, "This view is large"), size === 'x-large' && React.createElement("h1", null, "This view is xlarge"));
};

export const HigherOrderComponent = withMediaQuery(DemoComponent);
export default {
  title: 'Components/MediaQuery',
  component: useMediaQuery,
  parameters: {
    notes,
    viewport: {
      defaultViewport: 'tablet'
    }
  }
};
//# sourceMappingURL=MediaQuery.stories.js.map