function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import classNames from 'classnames';
import omit from 'lodash/omit';
import RadarAnimation from '../radar';

class MenuItem extends React.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "onClickHandler", event => {
      const {
        isDisabled,
        onClick
      } = this.props; // If aria-disabled is passed as a prop, we should ignore clicks on this menu item

      if (isDisabled) {
        event.stopPropagation();
        event.preventDefault();
        return;
      }

      if (onClick) {
        onClick(event);
      }
    });
  }

  render() {
    const _this$props = this.props,
          {
      children,
      className,
      isDisabled,
      isSelectItem,
      isSelected,
      showRadar
    } = _this$props,
          rest = _objectWithoutProperties(_this$props, ["children", "className", "isDisabled", "isSelectItem", "isSelected", "showRadar"]);

    const menuItemProps = omit(rest, ['role', 'tabIndex', 'onClick']);
    menuItemProps.className = classNames('menu-item', className, {
      'is-select-item': isSelectItem,
      'is-selected': isSelected
    });
    menuItemProps.role = isSelectItem ? 'menuitemradio' : 'menuitem';
    menuItemProps.tabIndex = -1;
    menuItemProps.onClick = this.onClickHandler;

    if (isSelectItem) {
      menuItemProps['aria-checked'] = isSelected;
    }

    if (isDisabled) {
      menuItemProps['aria-disabled'] = 'true';
    }

    let menuItem = React.createElement("li", menuItemProps, children);

    if (showRadar) {
      menuItem = React.createElement(RadarAnimation, null, menuItem);
    }

    return menuItem;
  }

}

export default MenuItem;
//# sourceMappingURL=MenuItem.js.map