function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from 'react';
import classNames from 'classnames';
import omit from 'lodash/omit';

const MenuLinkItem = (_ref) => {
  let {
    children,
    isSelected = false,
    isSelectItem = false
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["children", "isSelected", "isSelectItem"]);

  const linkEl = React.Children.only(children);
  const listItemProps = omit(rest, ['role', 'tabIndex']);
  listItemProps.role = 'none';
  const linkProps = {
    className: classNames('menu-item', linkEl ? linkEl.props.className : '', {
      'is-select-item': isSelectItem,
      'is-selected': isSelected
    }),
    role: isSelectItem ? 'menuitemradio' : 'menuitem',
    tabIndex: -1
  };

  if (isSelectItem) {
    linkProps['aria-checked'] = isSelected;
  }

  return React.createElement("li", listItemProps, React.cloneElement(linkEl, linkProps));
};

export default MenuLinkItem;
//# sourceMappingURL=MenuLinkItem.js.map