import * as React from 'react';
import { boolean } from '@storybook/addon-knobs';
import { State, Store } from '@sambego/storybook-state';
import Link from '../../link/Link';
import MenuItem from '../MenuItem';
import MenuLinkItem from '../MenuLinkItem';
import MenuSectionHeader from '../MenuSectionHeader';
import MenuSeparator from '../MenuSeparator';
import SelectMenuLinkItem from '../SelectMenuLinkItem';
import SubmenuItem from '../SubmenuItem';
import Menu from '../Menu';
import notes from './Menu.stories.md';
export const basic = () => React.createElement(Menu, null, React.createElement(MenuItem, null, "View Profile"), React.createElement(MenuItem, {
  showRadar: true
}, "Help"), React.createElement(MenuSeparator, null), React.createElement(MenuSectionHeader, null, "Menu Section"), React.createElement(MenuLinkItem, null, React.createElement(Link, {
  href: "/#"
}, "Awesome Link")));
export const withSubmenu = () => React.createElement("div", {
  style: {
    maxWidth: '220px'
  }
}, React.createElement(Menu, null, React.createElement(MenuItem, null, "View Profile"), React.createElement(SubmenuItem, null, "Submenu", React.createElement(Menu, null, React.createElement(MenuItem, null, "View Profile"), React.createElement(MenuItem, null, "Help"))), React.createElement(MenuItem, null, "Help")));
export const withSubmenuFlip = () => React.createElement("div", {
  style: {
    maxWidth: '220px'
  }
}, React.createElement(Menu, null, React.createElement(MenuItem, null, "View Profile"), React.createElement(SubmenuItem, null, "Submenu", React.createElement(Menu, null, React.createElement(MenuItem, null, "View Profile"), React.createElement(MenuItem, null, "Help"), React.createElement(MenuItem, null, "Help"))), React.createElement(MenuItem, null, "Help")));
export const withSelectMenu = () => React.createElement(Menu, null, React.createElement(SelectMenuLinkItem, {
  isSelected: boolean('isSelected', true)
}, React.createElement(Link, {
  href: "http://opensource.box.com/box-ui-elements/storybook"
}, "View Profile")), React.createElement(SelectMenuLinkItem, null, React.createElement(Link, {
  href: "http://opensource.box.com/box-ui-elements/storybook"
}, "Awesome Link")));
export const withChildOnResize = () => {
  const componentStore = new Store({
    isLargeMenu: false
  });

  const setVisibility = () => {
    if (window.innerWidth < 700 && !componentStore.get('isLargeMenu')) {
      componentStore.set({
        isLargeMenu: true
      });
    }
  };

  window.addEventListener('resize', setVisibility);
  return React.createElement(State, {
    store: componentStore
  }, state => React.createElement(Menu, null, React.createElement(MenuItem, null, "View Profile"), React.createElement(MenuItem, null, "Help"), state.isLargeMenu && React.createElement(MenuItem, null, "Visible on Resize"), React.createElement(MenuItem, null, "Last Item")));
};
export default {
  title: 'Components/Menu',
  component: Menu,
  parameters: {
    notes
  }
};
//# sourceMappingURL=Menu.stories.js.map