import * as React from 'react';
import classNames from 'classnames';

const NavList = (_ref) => {
  let {
    children,
    className = '',
    collapsed = false,
    heading,
    placeholder,
    ulProps = {}
  } = _ref;
  const classes = classNames("nav-list", className, {
    'is-collapsed': collapsed
  });
  return React.createElement("nav", {
    className: classes
  }, heading ? React.createElement("h2", null, heading) : null, placeholder, React.createElement("ul", ulProps, React.Children.map(children, link => link ? React.createElement("li", null, link) : null)));
};

export default NavList;
//# sourceMappingURL=NavList.js.map