import * as React from 'react';
import { IntlProvider } from 'react-intl';
import Button from '../../button/Button';
import Notification from '../Notification';
import notes from './Notification.stories.md';
export const basic = () => React.createElement(IntlProvider, {
  locale: "en"
}, React.createElement(Notification, null, "This is a default notification."));
export const info = () => React.createElement(IntlProvider, {
  locale: "en"
}, React.createElement(Notification, {
  type: "info"
}, React.createElement("span", null, "This is an info notification with a button."), React.createElement(Button, null, "Click me")));
export const warn = () => React.createElement(IntlProvider, {
  locale: "en"
}, React.createElement(Notification, {
  type: "warn"
}, React.createElement("span", null, "This is a warning notification with two buttons."), React.createElement(Button, null, "Click me"), React.createElement(Button, null, "Click me again")));
export const error = () => React.createElement(IntlProvider, {
  locale: "en"
}, React.createElement(Notification, {
  type: "error"
}, React.createElement("span", null, "This is an error notification.")));
export default {
  title: 'Components/Notifications/Notification',
  component: Notification,
  parameters: {
    notes
  }
};
//# sourceMappingURL=Notification.stories.js.map