import * as React from 'react';
import classNames from 'classnames';
import Button from '../button';
import PrimaryButton from '../primary-button';
import X16 from '../../icon/fill/X16';
import './Nudge.scss';

function Nudge(_ref) {
  let {
    buttonText,
    className,
    content,
    dataResinTarget = 'nudgeButton',
    illustration,
    isShown,
    header,
    onButtonClick,
    onCloseButtonClick
  } = _ref;
  const classes = classNames(['bdl-Nudge', className], {
    'bdl-is-closed': !isShown
  });
  const closeButton = React.createElement(Button, {
    "aria-label": "close-nudge",
    className: "bdl-Nudge-closeButton",
    onClick: onCloseButtonClick
  }, React.createElement(X16, {
    height: 18,
    width: 18
  }));
  return React.createElement("article", {
    className: classes,
    "data-resin-component": "nudge"
  }, closeButton, React.createElement("div", {
    className: "bdl-Nudge-illustration"
  }, illustration), React.createElement("h2", {
    className: "bdl-Nudge-header"
  }, header), React.createElement("p", {
    className: "bdl-Nudge-content"
  }, content), React.createElement("div", {
    className: "bdl-Nudge-button"
  }, React.createElement(PrimaryButton, {
    "data-resin-target": dataResinTarget,
    onClick: onButtonClick
  }, buttonText)));
}

export default Nudge;
//# sourceMappingURL=Nudge.js.map