import * as React from 'react';
import { State, Store } from '@sambego/storybook-state';
import BoxMobile140 from '../../illustration/BoxMobile140';
import Nudge from './Nudge';
import notes from './Nudge.stories.md';

const onButtonClick = () => {
  // eslint-disable-next-line no-console
  console.log('button clicked');
};

export const regular = () => {
  const componentStore = new Store({
    isShown: true
  });

  const onNudgeClose = () => componentStore.set({
    isShown: false
  });

  return React.createElement(State, {
    store: componentStore
  }, state => React.createElement(Nudge, {
    buttonText: React.createElement("span", null, "Pellentesque port"),
    content: React.createElement("span", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque quis rutrum turpis."),
    illustration: React.createElement(BoxMobile140, {
      height: 140,
      width: 140
    }),
    isShown: state.isShown,
    header: React.createElement("span", null, "Heading goes here"),
    onButtonClick: onButtonClick,
    onCloseButtonClick: onNudgeClose
  }));
};
export default {
  title: 'Components/Nudge',
  component: Nudge,
  parameters: {
    notes
  }
};
//# sourceMappingURL=Nudge.stories.js.map