import React from 'react';
import noop from 'lodash/noop';
import classNames from 'classnames';

const Pill = (_ref) => {
  let {
    isDisabled = false,
    isSelected = false,
    isValid = true,
    onRemove,
    text
  } = _ref;
  const styles = classNames('bdl-Pill', 'pill', {
    'is-selected': isSelected && !isDisabled,
    'is-invalid': !isValid,
    'is-disabled': isDisabled,
    'bdl-is-disabled': isDisabled
  });
  const onClick = isDisabled ? noop : onRemove;
  return React.createElement("span", {
    className: styles
  }, React.createElement("span", {
    className: "bdl-Pill-text pill-text"
  }, text), React.createElement("span", {
    "aria-hidden": "true",
    className: "close-btn",
    onClick: onClick
  }, "\u2715"));
};

export default Pill;
//# sourceMappingURL=Pill.js.map