function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import noop from 'lodash/noop';
import classNames from 'classnames';
import X from '../../icon/fill/X16'; // $FlowFixMe this imports from a typescript file

import LabelPill from '../label-pill';
import Avatar from '../avatar';
import './RoundPill.scss';

const RemoveButton = (_ref) => {
  let {
    onClick
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["onClick"]);

  return React.createElement(X, _extends({}, rest, {
    "aria-hidden": "true",
    onClick: onClick
  }));
};

class RoundPill extends React.PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "state", {
      avatarUrl: undefined
    });

    _defineProperty(this, "isMounted", false);

    _defineProperty(this, "getStyles", () => {
      const {
        className,
        isSelected,
        isDisabled,
        hasWarning,
        isValid
      } = this.props;
      return classNames('bdl-RoundPill', className, {
        'bdl-RoundPill--selected': isSelected && !isDisabled,
        'bdl-RoundPill--disabled': isDisabled,
        'bdl-RoundPill--warning': hasWarning,
        'bdl-RoundPill--error': !isValid
      });
    });

    _defineProperty(this, "handleClickRemove", () => {
      const {
        isDisabled,
        onRemove
      } = this.props;
      return isDisabled ? noop : onRemove();
    });

    _defineProperty(this, "getAvatarUrlHandler", avatarUrl => {
      if (this.isMounted) {
        this.setState({
          avatarUrl
        });
      }
    });
  }

  /**
   * Gets the avatar URL for the user from the getPillImageUrl prop
   *
   * @return {void}
   */
  getAvatarUrl() {
    const {
      getPillImageUrl,
      id
    } = this.props;
    Promise.resolve(getPillImageUrl && id ? getPillImageUrl({
      id
    }) : undefined).then(this.getAvatarUrlHandler).catch(() => {// noop
    });
  }

  componentDidMount() {
    this.isMounted = true;
    this.getAvatarUrl();
  }

  componentWillUnmount() {
    this.isMounted = false;
  }

  render() {
    const {
      id,
      isExternal,
      showAvatar,
      text
    } = this.props;
    const {
      avatarUrl
    } = this.state;
    return React.createElement(LabelPill.Pill, {
      size: "large",
      className: this.getStyles()
    }, showAvatar ? React.createElement(LabelPill.Icon, {
      Component: Avatar,
      className: "bdl-RoundPill-avatar",
      avatarUrl: avatarUrl,
      id: id,
      isExternal: isExternal,
      name: text,
      size: "small",
      shouldShowExternal: true
    }) : null, React.createElement(LabelPill.Text, {
      className: "bdl-RoundPill-text"
    }, text), React.createElement(LabelPill.Icon, {
      className: "bdl-RoundPill-closeBtn",
      Component: RemoveButton,
      onClick: this.handleClickRemove
    }));
  }

}

_defineProperty(RoundPill, "defaultProps", {
  isDisabled: false,
  isSelected: false,
  isValid: true,
  hasWarning: false,
  showAvatar: false
});

export default RoundPill;
//# sourceMappingURL=RoundPill.js.map