function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import { Manager, Reference, Popper } from 'react-popper';
import { PLACEMENT_AUTO } from './constants';

const PopperComponent = props => {
  const {
    children,
    isPositionDynamic = true,
    isOpen,
    modifiers,
    placement: popperPlacement
  } = props;
  const elements = React.Children.toArray(children);

  if (elements.length !== 2) {
    throw new Error('PopperComponent must have exactly two children: A reference component and the Popper content');
  }

  const [reference, popperContent] = elements;
  return React.createElement(Manager, null, React.createElement(Reference, null, (_ref) => {
    let {
      ref
    } = _ref;
    return React.cloneElement(reference, {
      ref
    });
  }), isOpen && React.createElement(Popper, {
    placement: popperPlacement,
    modifiers: modifiers
  }, (_ref2) => {
    let {
      ref,
      style,
      placement,
      scheduleUpdate
    } = _ref2;
    const {
      style: contentStyles
    } = popperContent.props;
    return React.cloneElement(popperContent, {
      ref,
      style: _objectSpread({}, contentStyles, {}, isPositionDynamic && style),
      placement,
      scheduleUpdate
    });
  }));
};

PopperComponent.defaultProps = {
  placement: PLACEMENT_AUTO
};
export default PopperComponent;
//# sourceMappingURL=PopperComponent.js.map