function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import { createPortal } from 'react-dom';

class Portal extends React.PureComponent {
  constructor(props) {
    super(props);
    this.container = this.props.container;
    this.layer = document.createElement('div');
    this.layer.setAttribute('data-portal', '');

    if (this.container && this.layer) {
      this.container.appendChild(this.layer);
    }
  }

  componentWillUnmount() {
    if (this.container && this.layer) {
      this.container.removeChild(this.layer);
    }

    this.layer = null;
  }

  render() {
    const elementProps = _extends({}, this.props);

    if (!this.layer) {
      return null;
    }

    return createPortal(React.createElement("div", elementProps), this.layer);
  }

}

_defineProperty(Portal, "defaultProps", {
  container: document.body
});

export default Portal;
//# sourceMappingURL=Portal.js.map