function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';

class RadioGroup extends React.Component {
  constructor(props) {
    super(props);

    _defineProperty(this, "onChangeHandler", event => {
      const {
        target
      } = event;
      const {
        onChange
      } = this.props;

      if (target instanceof HTMLInputElement) {
        this.setState({
          value: target.value
        });
      }

      if (onChange) {
        onChange(event);
      }
    });

    this.state = {
      value: props.value
    };
  } // @TODO: think about adding componentDidUpdate or gDSFP
  // to update the internal state value based on new props value


  render() {
    const {
      children,
      className,
      name
    } = this.props;
    const {
      value: stateValue
    } = this.state;
    return React.createElement("div", {
      className: "radio-group ".concat(className),
      onChange: this.onChangeHandler
    }, React.Children.map(children, radio => {
      const {
        value
      } = radio.props;
      return React.cloneElement(radio, {
        name,
        isSelected: value === stateValue
      });
    }));
  }

}

_defineProperty(RadioGroup, "defaultProps", {
  className: ''
});

export default RadioGroup;
//# sourceMappingURL=RadioGroup.js.map