function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from 'react';
import classNames from 'classnames';
import Tooltip from '../tooltip';
import './SelectButton.scss';
const SelectButton = React.forwardRef((_ref, ref) => {
  let {
    children,
    className = '',
    error,
    errorTooltipPosition = 'middle-right',
    isDisabled = false,
    tooltipTetherClassName
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["children", "className", "error", "errorTooltipPosition", "isDisabled", "tooltipTetherClassName"]);

  return React.createElement(Tooltip, {
    isShown: !!error,
    position: errorTooltipPosition,
    tetherElementClassName: tooltipTetherClassName,
    text: error,
    theme: "error"
  }, React.createElement("button", _extends({
    className: classNames(className, 'select-button', 'bdl-SelectButton', {
      'is-invalid': !!error
    }),
    disabled: isDisabled,
    ref: ref,
    type: "button"
  }, rest), children));
});
export default SelectButton;
//# sourceMappingURL=SelectButton.js.map