function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as React from 'react';
import classNames from 'classnames';
export const OVERLAY_SCROLLABLE_CLASS = 'bdl-SelectField-overlay--scrollable';

class SelectFieldDropdown extends React.Component {
  componentDidUpdate(_ref) {
    let {
      selectedValues: prevSelectedValues
    } = _ref;
    const {
      multiple,
      scheduleUpdate,
      selectedValues
    } = this.props;

    if (multiple && scheduleUpdate && prevSelectedValues !== selectedValues) {
      scheduleUpdate();
    }
  }

  render() {
    const {
      children,
      innerRef,
      style,
      placement,
      isScrollable,
      multiple,
      selectFieldID
    } = this.props;
    const listboxProps = {};

    if (multiple) {
      listboxProps['aria-multiselectable'] = true;
    }

    return React.createElement("ul", _extends({
      ref: innerRef,
      style: style,
      "data-placement": placement,
      className: classNames('bdl-SelectFieldDropdown', 'overlay', {
        [OVERLAY_SCROLLABLE_CLASS]: isScrollable
      }),
      id: selectFieldID,
      role: "listbox" // preventDefault on mousedown so blur doesn't happen before click
      ,
      onMouseDown: event => event.preventDefault()
    }, listboxProps), children);
  }

}

export default React.forwardRef((props, ref) => React.createElement(SelectFieldDropdown, _extends({}, props, {
  innerRef: ref
})));
//# sourceMappingURL=SelectFieldDropdown.js.map