function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import omit from 'lodash/omit';
import { injectIntl } from 'react-intl';
import BaseSelectField from './BaseSelectField';
import CLEAR from './constants';
import messages from './messages';

class SingleSelectField extends React.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "handleChange", selectedOptions => {
      const {
        onChange,
        fieldType
      } = this.props; // There should only ever be 1 selected item

      if (onChange && selectedOptions.length === 1) {
        onChange(selectedOptions[0], fieldType);
      } else if (selectedOptions.length === 0) {
        onChange({
          value: null
        });
      }
    });
  }

  render() {
    const _this$props = this.props,
          {
      intl,
      isDisabled,
      selectedValue,
      placeholder,
      shouldShowClearOption,
      options
    } = _this$props,
          rest = _objectWithoutProperties(_this$props, ["intl", "isDisabled", "selectedValue", "placeholder", "shouldShowClearOption", "options"]); // @TODO: Invariant testing
    // 1) selectedValue is required to be contained in the options
    // 2) # of options should be non-zero
    // Make sure to omit passed props that could be interpreted incorrectly by the base component


    const selectFieldProps = omit(rest, ['defaultValue', 'multiple', 'onChange']); // If selectedValue is passed in, map it to the multi selected equivalent

    const isFieldSelected = selectedValue !== null;
    selectFieldProps.selectedValues = !isFieldSelected ? [] : [selectedValue];
    const optionsWithClearOption = shouldShowClearOption ? [{
      value: CLEAR,
      displayText: intl.formatMessage(messages.clearAll)
    }, ...options] : options;
    return React.createElement(BaseSelectField, _extends({
      className: !isFieldSelected && placeholder ? 'placeholder' : '',
      isDisabled: isDisabled,
      onChange: this.handleChange,
      placeholder: placeholder,
      options: optionsWithClearOption,
      shouldShowClearOption: shouldShowClearOption
    }, selectFieldProps));
  }

}

export { SingleSelectField as SingleSelectFieldBase };
export default injectIntl(SingleSelectField);
//# sourceMappingURL=SingleSelectField.js.map