function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from 'react';
import classNames from 'classnames';
import { FormattedMessage } from 'react-intl';
import IconInfo from '../../icons/general/IconInfo';
import Tooltip from '../tooltip';
import Label from '../label';
import PlainButton from '../plain-button';
import messages from './messages';
import './Select.scss';

const Select = (_ref) => {
  let {
    children,
    className = '',
    error,
    infoTooltip,
    infoIconProps,
    isDisabled,
    label,
    name,
    labelTooltip,
    onChange,
    showErrorOutline = false,
    showLabel = true
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["children", "className", "error", "infoTooltip", "infoIconProps", "isDisabled", "label", "name", "labelTooltip", "onChange", "showErrorOutline", "showLabel"]);

  const classes = classNames(className, 'select-input-container', {
    'show-error': !!error || showErrorOutline,
    'is-disabled': isDisabled,
    'bdl-is-disabled': isDisabled
  });
  const [infoTooltipIsOpen, setInfoTooltipIsOpen] = React.useState(false);
  return React.createElement("div", {
    className: classes
  }, React.createElement(Label, {
    hideLabel: !showLabel,
    text: label,
    tooltip: labelTooltip
  }, React.createElement(Tooltip, {
    isShown: !!error,
    position: "middle-right",
    text: error || '',
    theme: "error"
  }, React.createElement("span", {
    className: "select-container"
  }, React.createElement("span", {
    className: "select-container-inner"
  }, React.createElement("select", _extends({
    disabled: isDisabled,
    name: name,
    onChange: onChange
  }, rest), children), React.createElement("span", {
    className: "select-overlay"
  })), infoTooltip && React.createElement(Tooltip, {
    isShown: infoTooltipIsOpen,
    position: "middle-right",
    text: infoTooltip
  }, React.createElement(PlainButton, {
    type: "button",
    className: "tooltip-icon-container",
    onClick: () => setInfoTooltipIsOpen(!infoTooltipIsOpen)
  }, React.createElement(IconInfo, _extends({
    height: 16,
    width: 16,
    title: React.createElement(FormattedMessage, messages.moreInfo)
  }, infoIconProps))))))));
};

export default Select;
//# sourceMappingURL=Select.js.map