import classNames from 'classnames';
import * as React from 'react';
import CarouselHeader from './CarouselHeader';
import SlideNavigator from './SlideNavigator';
import SlidePanels from './SlidePanels';

const SlideCarouselPrimitive = (_ref) => {
  let {
    children,
    className,
    contentHeight,
    idPrefix = '',
    onSelection,
    selectedIndex,
    title
  } = _ref;

  const buttonIdGenerator = val => "".concat(idPrefix && "".concat(idPrefix, "-"), "selector-").concat(val);

  const panelIdGenerator = val => "".concat(idPrefix && "".concat(idPrefix, "-"), "slide-panel-").concat(val);

  return React.createElement("div", {
    className: classNames('slide-carousel', className)
  }, title && React.createElement(CarouselHeader, {
    title: title
  }), React.createElement(SlidePanels, {
    getButtonIdFromValue: buttonIdGenerator,
    getPanelIdFromValue: panelIdGenerator,
    onSelection: onSelection,
    selectedIndex: selectedIndex,
    style: {
      height: contentHeight
    }
  }, children), React.createElement(SlideNavigator, {
    getButtonIdFromValue: buttonIdGenerator,
    getPanelIdFromValue: panelIdGenerator // $FlowFixMe
    ,
    numOptions: children && children.length || 0,
    onSelection: onSelection,
    selectedIndex: selectedIndex
  }));
};

SlideCarouselPrimitive.displayName = 'SlideCarouselPrimitive';
SlideCarouselPrimitive.defaultProps = {
  className: '',
  idPrefix: '',
  onSelection: () => {}
};
export default SlideCarouselPrimitive;
//# sourceMappingURL=SlideCarouselPrimitive.js.map