function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';

class SlidePanels extends React.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "focusOnContainerElement", () => {
      if (this.containerEl) {
        this.containerEl.focus();
      }
    });

    _defineProperty(this, "handleKeyDown", event => {
      const {
        children,
        selectedIndex
      } = this.props;
      const numOptions = React.Children.count(children);
      let nextIndex = null;

      switch (event.key) {
        case 'ArrowRight':
          nextIndex = (selectedIndex + 1) % numOptions;
          break;

        case 'ArrowLeft':
          nextIndex = (selectedIndex - 1 + numOptions) % numOptions;
          break;

        default:
          break;
      }

      if (nextIndex !== null) {
        this.handleSelection(nextIndex);
        event.preventDefault();
        event.stopPropagation();
      }
    });

    _defineProperty(this, "handleSelection", index => {
      const {
        onSelection
      } = this.props;
      this.focusOnContainerElement();

      if (onSelection) {
        onSelection(index);
      }
    });
  }

  render() {
    const {
      getPanelIdFromValue,
      children,
      selectedIndex,
      style
    } = this.props;
    return (// eslint-disable-next-line jsx-a11y/no-static-element-interactions
      React.createElement("div", {
        ref: containerEl => {
          this.containerEl = containerEl;
        },
        className: "slide-panels",
        onKeyDown: this.handleKeyDown,
        style: style // eslint-disable-next-line jsx-a11y/no-noninteractive-tabindex
        ,
        tabIndex: "0"
      }, React.Children.map(children, (child, i) => {
        const isSelected = i === selectedIndex;
        return React.createElement("div", {
          key: i,
          "aria-hidden": !isSelected,
          className: "slide-panel",
          id: getPanelIdFromValue(i),
          role: "tabpanel"
        }, child);
      }))
    );
  }

}

SlidePanels.displayName = 'SlidePanels';
export default SlidePanels;
//# sourceMappingURL=SlidePanels.js.map