import * as React from 'react';
import { State, Store } from '@sambego/storybook-state';
import TextInput from './TextInput';
import notes from './TextInput.stories.md';
export const basic = () => React.createElement(TextInput, {
  label: "Email",
  name: "textinput",
  type: "email",
  placeholder: "Enter email here"
});
export const withDescription = () => React.createElement(TextInput, {
  description: "Email used for work",
  label: "Email",
  name: "textinput",
  type: "email",
  placeholder: "Enter email here"
});
export const withLongBreakableStrings = () => React.createElement(TextInput, {
  description: "Long Long Long Long long long Long Long Long Long long longLong Long Long Long long longLong Long Long Long long long",
  label: "Long Long Long Long long long Long Long Long Long long longLong Long Long Long long longLong Long Long Long long long",
  name: "textinput",
  type: "email",
  placeholder: "Enter email here"
});
export const withLongUnbreakableStrings = () => React.createElement(TextInput, {
  description: "longlonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglong",
  label: "longlonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglonglong",
  name: "textinput",
  type: "email",
  placeholder: "Enter email here"
});
export const error = () => React.createElement(TextInput, {
  label: "Email",
  name: "textinput",
  type: "email",
  error: "oops",
  placeholder: "Enter email here"
});
export const loading = () => React.createElement(TextInput, {
  label: "Email",
  name: "textinput",
  type: "email",
  isLoading: true,
  placeholder: "Enter email here"
});
export const valid = () => React.createElement(TextInput, {
  label: "Email",
  name: "textinput",
  type: "email",
  isValid: true,
  placeholder: "Enter email here"
});
export const requiredWithOnChange = () => {
  const componentStore = new Store({
    error: 'required',
    value: ''
  });
  return React.createElement(State, {
    store: componentStore
  }, state => React.createElement(TextInput, {
    label: "Email",
    name: "textinput",
    type: "email",
    placeholder: "Enter email here",
    value: state.value,
    error: state.error,
    onChange: e => componentStore.set({
      error: e.target.value ? '' : 'required',
      value: e.target.value
    })
  }));
};
export default {
  title: 'Components/TextInput',
  component: TextInput,
  parameters: {
    notes
  }
};
//# sourceMappingURL=TextInput.stories.js.map