import * as React from 'react';
import Tooltip from '../tooltip';
import { useIsContentOverflowed } from '../../utils/dom';

const Title = (_ref) => {
  let {
    title
  } = _ref;
  // $FlowFixMe
  const textRef = React.useRef(null);
  const isTextOverflowed = useIsContentOverflowed(textRef);
  return React.createElement(Tooltip, {
    isDisabled: !isTextOverflowed,
    text: title
  }, React.createElement("div", {
    ref: textRef,
    className: "thumbnail-card-title"
  }, title));
};

const ThumbnailCardDetails = (_ref2) => {
  let {
    actionItem,
    icon,
    subtitle,
    title
  } = _ref2;
  return React.createElement("div", {
    className: "thumbnail-card-details"
  }, icon, React.createElement("div", {
    className: "thumbnail-card-details-content"
  }, React.createElement("div", {
    className: "ThumbnailCardDetails-bodyText"
  }, React.createElement(Title, {
    title: title
  }), subtitle && React.createElement("div", {
    className: "thumbnail-card-subtitle"
  }, subtitle)), actionItem));
};

export default ThumbnailCardDetails;
//# sourceMappingURL=ThumbnailCardDetails.js.map