import * as React from 'react';
import { IntlProvider } from 'react-intl';
import { State, Store } from '@sambego/storybook-state';
import TimeInput from './TimeInput';
export const required = () => {
  const INITIAL_DATE = new Date(2018, 7, 9, 15, 35);
  const componentStore = new Store({
    initialDate: INITIAL_DATE
  });
  return React.createElement(State, {
    store: componentStore
  }, state => React.createElement(IntlProvider, {
    locale: "en-US"
  }, React.createElement(TimeInput, {
    initialDate: state.initialDate
  })));
};
export const optional = () => {
  const INITIAL_DATE = new Date(2018, 7, 9, 15, 35);
  const componentStore = new Store({
    initialDate: INITIAL_DATE
  });
  return React.createElement(State, {
    store: componentStore
  }, state => React.createElement(IntlProvider, {
    locale: "en-US"
  }, React.createElement(TimeInput, {
    initialDate: state.initialDate,
    isRequired: false
  })));
};
export default {
  title: 'Components/TimeInput',
  component: TimeInput
};
//# sourceMappingURL=TimeInput.stories.js.map