/**
 * 
 * @file Wraps a component in an IntlProvider
 * @author Box
 */
import React, { Children } from 'react';
import { IntlProvider } from 'react-intl';

const Internationalize = (_ref) => {
  let {
    language,
    messages,
    children
  } = _ref;
  const shouldInternationalize = !!language && !!messages;

  if (shouldInternationalize) {
    return React.createElement(IntlProvider, {
      locale: language,
      messages: messages
    }, children);
  }

  return Children.only(children);
};

export default Internationalize;
//# sourceMappingURL=Internationalize.js.map