function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as React from 'react';
import AnnotatorContext from './AnnotatorContext';
export default function withAnnotatorContext(WrappedComponent) {
  return React.forwardRef((props, ref) => React.createElement(AnnotatorContext.Consumer, null, (_ref) => {
    let {
      emitActiveAnnotationChangeEvent,
      emitAnnotationRemoveEvent,
      emitAnnotationReplyCreateEvent,
      emitAnnotationReplyDeleteEvent,
      emitAnnotationReplyUpdateEvent,
      emitAnnotationUpdateEvent,
      getAnnotationsMatchPath,
      getAnnotationsPath,
      state
    } = _ref;
    return React.createElement(WrappedComponent, _extends({
      ref: ref
    }, props, {
      annotatorState: state,
      emitActiveAnnotationChangeEvent: emitActiveAnnotationChangeEvent,
      emitAnnotationRemoveEvent: emitAnnotationRemoveEvent,
      emitAnnotationReplyCreateEvent: emitAnnotationReplyCreateEvent,
      emitAnnotationReplyDeleteEvent: emitAnnotationReplyDeleteEvent,
      emitAnnotationReplyUpdateEvent: emitAnnotationReplyUpdateEvent,
      emitAnnotationUpdateEvent: emitAnnotationUpdateEvent,
      getAnnotationsMatchPath: getAnnotationsMatchPath,
      getAnnotationsPath: getAnnotationsPath
    }));
  }));
}
//# sourceMappingURL=withAnnotatorContext.js.map