function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as React from 'react';
import AsyncError from './AsyncError';
import { retryNumOfTimes } from '../../../utils/function';
const DEFAULT_NUM_TIMES = 3;
const DEFAULT_INITIAL_DELAY = 500;
const DEFAULT_BACKOFF_FACTOR = 2;

const AsyncLoad = function AsyncLoad() {
  let {
    errorComponent,
    fallback,
    loader
  } = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  const lazyRetry = () => retryNumOfTimes((successCallback, errorCallback) => loader().then(successCallback).catch(errorCallback), DEFAULT_NUM_TIMES, DEFAULT_INITIAL_DELAY, DEFAULT_BACKOFF_FACTOR);

  const LazyComponent = React.lazy(() => loader().catch(lazyRetry));
  return React.forwardRef((props, ref) => React.createElement(AsyncError, {
    component: errorComponent
  }, React.createElement(React.Suspense, {
    fallback: fallback || null
  }, React.createElement(LazyComponent, _extends({
    ref: ref
  }, props)))));
};

export default AsyncLoad;
//# sourceMappingURL=AsyncLoad.js.map