/**
 * 
 * @file Drop down part of breadcrumbs
 * @author Box
 */
import React from 'react';
import PlainButton from '../../../components/plain-button/PlainButton';
import DropdownMenu from '../../../components/dropdown-menu/DropdownMenu';
import Menu from '../../../components/menu/Menu';
import MenuItem from '../../../components/menu/MenuItem';
import './BreadcrumbDropdown.scss';

const BreadcrumbDropdown = (_ref) => {
  let {
    crumbs,
    onCrumbClick,
    className = ''
  } = _ref;
  return React.createElement(DropdownMenu, {
    constrainToScrollParent: true
  }, React.createElement(PlainButton, {
    className: "be-breadcrumbs-drop-down ".concat(className),
    type: "button"
  }, "\xB7\xB7\xB7"), React.createElement(Menu, null, crumbs.map((_ref2) => {
    let {
      id,
      name
    } = _ref2;
    return React.createElement(MenuItem, {
      key: id,
      onClick: () => onCrumbClick(id)
    }, name);
  })));
};

export default BreadcrumbDropdown;
//# sourceMappingURL=BreadcrumbDropdown.js.map