/**
 * 
 * @file Component for the details for the item name
 * @author Box
 */
import React from 'react';
import { FormattedMessage } from 'react-intl';
import messages from '../messages';
import Breadcrumbs from './Breadcrumbs';
import { DELIMITER_SLASH } from '../../../constants';
import './InlineBreadcrumbs.scss';

const InlineBreadcrumbs = (_ref) => {
  let {
    item,
    onItemClick,
    rootId
  } = _ref;
  const {
    path_collection
  } = item;
  const {
    entries: breadcrumbs = []
  } = path_collection || {};
  return React.createElement("span", {
    className: "be-inline-breadcrumbs"
  }, React.createElement(FormattedMessage, messages.in), "\xA0", React.createElement(Breadcrumbs, {
    crumbs: breadcrumbs,
    delimiter: DELIMITER_SLASH,
    onCrumbClick: onItemClick,
    rootId: rootId
  }));
};

export default InlineBreadcrumbs;
//# sourceMappingURL=InlineBreadcrumbs.js.map