function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react'; // @ts-ignore: no ts definition

import messages from '../messages'; // @ts-ignore: no ts definition
// eslint-disable-next-line import/named

import { withAPIContext } from '../api-context'; // @ts-ignore: no ts definition

import { getBadItemError } from '../../../utils/error'; // @ts-ignore: no ts definition
// eslint-disable-next-line import/named

export default function withCurrentUser(WrappedComponent) {
  class ComponentWithCurrentUser extends React.Component {
    constructor(props) {
      var _this;

      super(props);
      _this = this;

      _defineProperty(this, "errorCallback", function (error, code) {
        let contextInfo = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
        // eslint-disable-next-line no-console
        console.error(error);

        _this.props.onError(error, code, contextInfo);
      });

      _defineProperty(this, "fetchCurrentUser", function (user) {
        let shouldDestroy = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
        const {
          api,
          file
        } = _this.props;

        if (!file) {
          throw getBadItemError();
        }

        if (typeof user === 'undefined') {
          api.getUsersAPI(shouldDestroy).getUser(file.id, _this.fetchCurrentUserSuccessCallback, _this.fetchCurrentUserErrorCallback);
        } else {
          _this.setState({
            currentUser: user,
            currentUserError: undefined
          });
        }
      });

      _defineProperty(this, "fetchCurrentUserSuccessCallback", currentUser => {
        this.setState({
          currentUser,
          currentUserError: undefined
        });
      });

      _defineProperty(this, "fetchCurrentUserErrorCallback", (e, code) => {
        this.setState({
          currentUser: undefined,
          currentUserError: {
            maskError: {
              errorHeader: messages.currentUserErrorHeaderMessage,
              errorSubHeader: messages.defaultErrorMaskSubHeaderMessage
            }
          }
        });
        this.errorCallback(e, code, {
          error: e
        });
      });

      const {
        currentUser: _currentUser
      } = props;
      this.state = {
        currentUser: _currentUser
      };
    }

    componentDidMount() {
      const {
        currentUser
      } = this.state;
      this.fetchCurrentUser(currentUser);
    }
    /**
     * Network error callback
     *
     * @private
     * @param {Error} error - Error object
     * @param {Error} code - the code for the error
     * @param {Object} contextInfo - the context info for the error
     * @return {void}
     */


    render() {
      const {
        currentUser,
        currentUserError
      } = this.state;
      return React.createElement(WrappedComponent, _extends({}, this.props, {
        currentUser: currentUser,
        currentUserError: currentUserError
      }));
    }

  }

  const displayName = WrappedComponent.displayName || WrappedComponent.name || 'Component';
  ComponentWithCurrentUser.displayName = "WithCurrentUser(".concat(displayName, ")");
  return withAPIContext(ComponentWithCurrentUser);
}
//# sourceMappingURL=withCurrentUser.js.map