/**
 * 
 * @file Logo for the header
 * @author Box
 */
import React from 'react';
import { FormattedMessage } from 'react-intl';
import IconLogo from '../../../icons/general/IconLogo';
import messages from '../messages';
import './Logo.scss';

function getLogo(url) {
  if (url === 'box') {
    return React.createElement(IconLogo, null);
  }

  if (typeof url === 'string') {
    return React.createElement("img", {
      alt: "",
      className: "be-logo-custom",
      src: url
    });
  }

  return React.createElement("div", {
    className: "be-logo-placeholder"
  }, React.createElement(FormattedMessage, messages.logo));
}

const Logo = (_ref) => {
  let {
    url
  } = _ref;
  return React.createElement("div", {
    className: "be-logo",
    "data-testid": "be-Logo"
  }, getLogo(url));
};

export default Logo;
//# sourceMappingURL=Logo.js.map