/**
 * 
 * @file Component for the details for the item name
 * @author Box
 */
import React from 'react';
import PlainButton from '../../../components/plain-button/PlainButton';
import { TYPE_FOLDER, TYPE_WEBLINK } from '../../../constants';
import './ItemName.scss';

const ItemName = (_ref) => {
  let {
    item,
    onClick,
    onFocus,
    canPreview,
    isTouch
  } = _ref;
  const {
    name,
    type
  } = item;
  const onItemFocus = onFocus ? () => onFocus(item) : null;

  const onItemClick = () => onClick(item);

  return type === TYPE_FOLDER || !isTouch && (type === TYPE_WEBLINK || canPreview) ? React.createElement(PlainButton, {
    className: "be-item-label",
    "data-testid": "be-item-name",
    onClick: onItemClick,
    onFocus: onItemFocus,
    type: "button"
  }, name) : React.createElement("span", {
    className: "be-item-label"
  }, name);
};

export default ItemName;
//# sourceMappingURL=ItemName.js.map