function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * 
 * @file Component for the sub details for the item name
 * @author Box
 */
import React from 'react';
import { FormattedMessage } from 'react-intl';
import getSize from '../../../utils/size';
import Datefield from '../date';
import messages from '../messages';
import { VIEW_RECENTS } from '../../../constants';
import './ItemSubDetails.scss';

const ItemSubDetails = (_ref) => {
  let {
    item,
    view
  } = _ref;
  const {
    modified_at = '',
    interacted_at = '',
    modified_by
  } = item;
  const modifiedBy = modified_by ? modified_by.name || '' : '';
  const isRecents = view === VIEW_RECENTS;
  const date = isRecents ? interacted_at || modified_at : modified_at;
  const {
    size
  } = item;
  const DateValue = React.createElement(Datefield, {
    date: date,
    omitCommas: true
  });
  let message = messages.modifiedDateBy;

  if (isRecents) {
    message = messages.interactedDate;
  } else if (!modifiedBy) {
    message = messages.modifiedDate;
  }

  return React.createElement("span", null, React.createElement("span", {
    className: "bdl-ItemSubDetails-modifiedBy"
  }, React.createElement(FormattedMessage, _extends({}, message, {
    values: {
      date: DateValue,
      name: modifiedBy
    }
  }))), React.createElement("span", {
    className: "bdl-ItemSubDetails-size"
  }, getSize(size)));
};

export default ItemSubDetails;
//# sourceMappingURL=ItemSubDetails.js.map