/**
 * 
 * @file i18n messages
 * @author Box
 */
import { defineMessages } from 'react-intl';
const messages = defineMessages({
  today: {
    "id": "be.today",
    "defaultMessage": "today"
  },
  yesterday: {
    "id": "be.yesterday",
    "defaultMessage": "yesterday"
  },
  logo: {
    "id": "be.logo",
    "defaultMessage": "Logo"
  },
  error: {
    "id": "be.error",
    "defaultMessage": "Error"
  },
  preview: {
    "id": "be.preview",
    "defaultMessage": "Preview"
  },
  previewError: {
    "id": "be.previewError",
    "defaultMessage": "We\u2019re sorry, the preview didn\u2019t load. Please refresh the page."
  },
  previewErrorBlockedByPolicy: {
    "id": "be.previewErrorBlockedByPolicy",
    "defaultMessage": "Your access to this content is restricted due to a security policy."
  },
  boxEditErrorBlockedByPolicy: {
    "id": "be.boxEditErrorBlockedByPolicy",
    "defaultMessage": "Local editing of this content has been disabled based on an access policy"
  },
  previewUpdate: {
    "id": "be.previewUpdate",
    "defaultMessage": "A new version of this file is available."
  },
  reload: {
    "id": "be.reload",
    "defaultMessage": "Reload"
  },
  open: {
    "id": "be.open",
    "defaultMessage": "Open"
  },
  close: {
    "id": "be.close",
    "defaultMessage": "Close"
  },
  copy: {
    "id": "be.copy",
    "defaultMessage": "Copy"
  },
  delete: {
    "id": "be.delete",
    "defaultMessage": "Delete"
  },
  rename: {
    "id": "be.rename",
    "defaultMessage": "Rename"
  },
  remove: {
    "id": "be.remove",
    "defaultMessage": "Remove"
  },
  resume: {
    "id": "be.resume",
    "defaultMessage": "Resume"
  },
  resumeAll: {
    "id": "be.resumeAll",
    "defaultMessage": "Resume All"
  },
  retry: {
    "id": "be.retry",
    "defaultMessage": "Retry"
  },
  share: {
    "id": "be.share",
    "defaultMessage": "Share"
  },
  download: {
    "id": "be.download",
    "defaultMessage": "Download"
  },
  save: {
    "id": "be.save",
    "defaultMessage": "Save"
  },
  cancel: {
    "id": "be.cancel",
    "defaultMessage": "Cancel"
  },
  create: {
    "id": "be.create",
    "defaultMessage": "Create"
  },
  choose: {
    "id": "be.choose",
    "defaultMessage": "Choose"
  },
  upload: {
    "id": "be.upload",
    "defaultMessage": "Upload"
  },
  add: {
    "id": "be.add",
    "defaultMessage": "Add"
  },
  gridView: {
    "id": "be.gridView",
    "defaultMessage": "Switch to Grid View"
  },
  gridViewColumnSize: {
    "id": "be.gridView.columnSize",
    "defaultMessage": "Column size"
  },
  gridViewIncreaseColumnSize: {
    "id": "be.gridView.increaseColumnSize",
    "defaultMessage": "Increase column size"
  },
  gridViewDecreaseColumnSize: {
    "id": "be.gridView.decreaseColumnSize",
    "defaultMessage": "Decrease column size"
  },
  listView: {
    "id": "be.listView",
    "defaultMessage": "Switch to List View"
  },
  sort: {
    "id": "be.sort",
    "defaultMessage": "Sort"
  },
  newFolder: {
    "id": "be.newFolder",
    "defaultMessage": "New Folder"
  },
  in: {
    "id": "be.in",
    "defaultMessage": "In"
  },
  print: {
    "id": "be.print",
    "defaultMessage": "Print"
  },
  selected: {
    "id": "be.selected",
    "defaultMessage": "{count} Selected"
  },
  max: {
    "id": "be.max",
    "defaultMessage": "max"
  },
  nameDate: {
    "id": "be.nameDate",
    "defaultMessage": "{date} by {name}"
  },
  modified: {
    "id": "be.itemModified",
    "defaultMessage": "Modified"
  },
  modifiedDateBy: {
    "id": "be.modifiedDateBy",
    "defaultMessage": "Modified {date} by {name}"
  },
  modifiedDate: {
    "id": "be.modifiedDate",
    "defaultMessage": "Modified {date}"
  },
  created: {
    "id": "be.itemCreated",
    "defaultMessage": "Created"
  },
  owner: {
    "id": "be.itemOwner",
    "defaultMessage": "Owner"
  },
  uploader: {
    "id": "be.itemUploader",
    "defaultMessage": "Uploader"
  },
  interacted: {
    "id": "be.itemInteracted",
    "defaultMessage": "Last Accessed"
  },
  interactedDate: {
    "id": "be.interactedDate",
    "defaultMessage": "Last accessed on {date}"
  },
  name: {
    "id": "be.itemName",
    "defaultMessage": "Name"
  },
  size: {
    "id": "be.itemSize",
    "defaultMessage": "Size"
  },
  deleteDialogLabel: {
    "id": "be.deleteDialogLabel",
    "defaultMessage": "Confirm Delete"
  },
  deleteDialogFileText: {
    "id": "be.deleteDialogFileText",
    "defaultMessage": "Are you sure you want to delete {name}?"
  },
  deleteDialogFolderText: {
    "id": "be.deleteDialogFolderText",
    "defaultMessage": "Are you sure you want to delete {name} and all its contents?"
  },
  renameDialogLabel: {
    "id": "be.renameDialogLabel",
    "defaultMessage": "Rename"
  },
  renameDialogText: {
    "id": "be.renameDialogText",
    "defaultMessage": "Please enter a new name for {name}:"
  },
  renameDialogErrorInvalid: {
    "id": "be.renameDialogErrorInvalid",
    "defaultMessage": "This name is invalid."
  },
  renameDialogErrorInUse: {
    "id": "be.renameDialogErrorInUse",
    "defaultMessage": "An item with the same name already exists."
  },
  renameDialogErrorTooLong: {
    "id": "be.renameDialogErrorTooLong",
    "defaultMessage": "This name is too long."
  },
  createDialogLabel: {
    "id": "be.createDialogLabel",
    "defaultMessage": "New Folder"
  },
  createDialogText: {
    "id": "be.createDialogText",
    "defaultMessage": "Please enter a name."
  },
  createDialogErrorInvalid: {
    "id": "be.createDialogErrorInvalid",
    "defaultMessage": "This is an invalid folder name."
  },
  createDialogErrorTooLong: {
    "id": "be.createDialogErrorTooLong",
    "defaultMessage": "This folder name is too long."
  },
  createDialogErrorInUse: {
    "id": "be.createDialogErrorInUse",
    "defaultMessage": "A folder with the same name already exists."
  },
  shareDialogLabel: {
    "id": "be.shareDialogLabel",
    "defaultMessage": "Share"
  },
  shareDialogText: {
    "id": "be.shareDialogText",
    "defaultMessage": "Shared Link:"
  },
  shareDialogNone: {
    "id": "be.shareDialogNone",
    "defaultMessage": "None"
  },
  shareAccessOpen: {
    "id": "be.shareAccessOpen",
    "defaultMessage": "Access: People with the link"
  },
  shareAccessCollab: {
    "id": "be.shareAccessCollab",
    "defaultMessage": "Access: People in this folder"
  },
  shareAccessCompany: {
    "id": "be.shareAccessCompany",
    "defaultMessage": "People in this company"
  },
  shareAccessNone: {
    "id": "be.shareAccessNone",
    "defaultMessage": "No shared link"
  },
  shareAccessRemove: {
    "id": "be.shareAccessRemove",
    "defaultMessage": "Remove shared link"
  },
  searchPlaceholder: {
    "id": "be.searchPlaceholder",
    "defaultMessage": "Search files and folders"
  },
  sidebarAccessStats: {
    "id": "be.sidebarAccessStats",
    "defaultMessage": "Access Stats"
  },
  sidebarContentInsights: {
    "id": "be.sidebarContentInsights",
    "defaultMessage": "Content Insights"
  },
  sidebarShow: {
    "id": "be.sidebarShow",
    "defaultMessage": "Show Sidebar"
  },
  sidebarHide: {
    "id": "be.sidebarHide",
    "defaultMessage": "Hide Sidebar"
  },
  description: {
    "id": "be.description",
    "defaultMessage": "Description"
  },
  descriptionPlaceholder: {
    "id": "be.descriptionPlaceholder",
    "defaultMessage": "Enter a description"
  },
  sidebarDetailsTitle: {
    "id": "be.sidebarDetailsTitle",
    "defaultMessage": "Details"
  },
  sidebarSkillsTitle: {
    "id": "be.sidebarSkillsTitle",
    "defaultMessage": "Skills"
  },
  sidebarSkillsErrorTitle: {
    "id": "be.sidebarSkillsErrorTitle",
    "defaultMessage": "Skills Error"
  },
  sidebarSkillsErrorContent: {
    "id": "be.sidebarSkillsErrorContent",
    "defaultMessage": "An error has occurred while updating skills. Please refresh the page and try again."
  },
  sidebarActivityTitle: {
    "id": "be.sidebarActivityTitle",
    "defaultMessage": "Activity"
  },
  sidebarDocGenTitle: {
    "id": "be.sidebarDocGenTitle",
    "defaultMessage": "Doc Gen Tags"
  },
  sidebarMetadataTitle: {
    "id": "be.sidebarMetadataTitle",
    "defaultMessage": "Metadata"
  },
  sidebarMetadataEditingErrorContent: {
    "id": "be.sidebarMetadataEditingErrorContent",
    "defaultMessage": "An error has occurred while updating metadata. Please refresh the page and try again."
  },
  sidebarMetadataFetchingErrorContent: {
    "id": "be.sidebarMetadataFetchingErrorContent",
    "defaultMessage": "An error has occurred while fetching metadata. Please refresh the page and try again."
  },
  sidebarFileFetchingErrorContent: {
    "id": "be.sidebarFileFetchingErrorContent",
    "defaultMessage": "An error has occurred while fetching your Box file. Please refresh the page and try again."
  },
  sidebarProperties: {
    "id": "be.sidebarProperties",
    "defaultMessage": "File Properties"
  },
  sidebarNavLabel: {
    "id": "be.sidebarNavLabel",
    "defaultMessage": "Sidebar"
  },
  defaultSkill: {
    "id": "be.defaultSkill",
    "defaultMessage": "Skill Card"
  },
  statusSkill: {
    "id": "be.statusSkill",
    "defaultMessage": "Status"
  },
  topicsSkill: {
    "id": "be.topicsSkill",
    "defaultMessage": "Topics"
  },
  keywordSkill: {
    "id": "be.keywordSkill",
    "defaultMessage": "Topics"
  },
  faceSkill: {
    "id": "be.faceSkill",
    "defaultMessage": "Faces"
  },
  transcriptSkill: {
    "id": "be.transcriptSkill",
    "defaultMessage": "Transcript"
  },
  skillPendingStatus: {
    "id": "be.skillPendingStatus",
    "defaultMessage": "We\u2019re working on processing your file - please hold!"
  },
  skillInvokedStatus: {
    "id": "be.skillInvokedStatus",
    "defaultMessage": "We\u2019re preparing to process your file - please hold!"
  },
  skillUnknownError: {
    "id": "be.skillUnknownError",
    "defaultMessage": "Something went wrong with running this skill or fetching its data."
  },
  skillInvalidFileSizeError: {
    "id": "be.skillInvalidFileSizeError",
    "defaultMessage": "We\u2019re sorry, no skills information was found. This file size is currently not supported."
  },
  skillInvalidFileExtensionError: {
    "id": "be.skillInvalidFileExtensionError",
    "defaultMessage": "We\u2019re sorry, no skills information was found. This file extension is currently not supported."
  },
  skillNoInfoFoundError: {
    "id": "be.skillNoInfoFoundError",
    "defaultMessage": "We\u2019re sorry, no skills information was found."
  },
  skillFileProcessingError: {
    "id": "be.skillFileProcessingError",
    "defaultMessage": "We\u2019re sorry, something went wrong with processing the file."
  },
  uploadErrorTooManyFiles: {
    "id": "be.uploadErrorTooManyFiles",
    "defaultMessage": "You can only upload up to {fileLimit} file(s) at a time."
  },
  uploadError: {
    "id": "be.uploadError",
    "defaultMessage": "A network error has occurred while trying to upload."
  },
  uploadEmptyWithFolderUploadEnabled: {
    "id": "be.uploadEmptyWithFolderUploadEnabled",
    "defaultMessage": "Drag and drop files and folders"
  },
  uploadEmptyWithFolderUploadDisabled: {
    "id": "be.uploadEmptyWithFolderUploadDisabled",
    "defaultMessage": "Drag and drop files"
  },
  uploadEmptyFileInput: {
    "id": "be.uploadEmptyFileInput",
    "defaultMessage": "Browse your device"
  },
  uploadEmptyFolderInput: {
    "id": "be.uploadEmptyFolderInput",
    "defaultMessage": "Select Folders"
  },
  uploadNoDragDrop: {
    "id": "be.uploadNoDragDrop",
    "defaultMessage": "Select files from your device"
  },
  uploadInProgress: {
    "id": "be.uploadInProgress",
    "defaultMessage": "Drag and drop to add additional files"
  },
  uploadSuccess: {
    "id": "be.uploadSuccess",
    "defaultMessage": "Success! Your files have been uploaded."
  },
  uploadSuccessFileInput: {
    "id": "be.uploadSuccessFileInput",
    "defaultMessage": "Select More Files"
  },
  uploadSuccessFolderInput: {
    "id": "be.uploadSuccessFolderInput",
    "defaultMessage": "Select More Folders"
  },
  uploadOptions: {
    "id": "be.uploadOptions",
    "defaultMessage": "{option1} or {option2}"
  },
  nameASC: {
    "id": "be.nameASC",
    "defaultMessage": "Name: A \u2192 Z"
  },
  nameDESC: {
    "id": "be.nameDESC",
    "defaultMessage": "Name: Z \u2192 A"
  },
  dateASC: {
    "id": "be.dateASC",
    "defaultMessage": "Date: Oldest \u2192 Newest"
  },
  dateDESC: {
    "id": "be.dateDESC",
    "defaultMessage": "Date: Newest \u2192 Oldest"
  },
  sizeASC: {
    "id": "be.sizeASC",
    "defaultMessage": "Size: Smallest \u2192 Largest"
  },
  sizeDESC: {
    "id": "be.sizeDESC",
    "defaultMessage": "Size: Largest \u2192 Smallest"
  },
  searchState: {
    "id": "be.searchState",
    "defaultMessage": "Sorry, we couldn\u2019t find what you\u2019re looking for."
  },
  selectedState: {
    "id": "be.selectedState",
    "defaultMessage": "You haven\u2019t selected any items yet."
  },
  errorState: {
    "id": "be.errorState",
    "defaultMessage": "A network error has occurred while trying to load."
  },
  folderState: {
    "id": "be.folderState",
    "defaultMessage": "There are no items in this folder."
  },
  metadataState: {
    "id": "be.metadataState",
    "defaultMessage": "There are no items in this folder."
  },
  recentsState: {
    "id": "be.recentsState",
    "defaultMessage": "There are no recent items yet."
  },
  loadingState: {
    "id": "be.loadingState",
    "defaultMessage": "Please wait while the items load..."
  },
  errorBreadcrumb: {
    "id": "be.errorBreadcrumb",
    "defaultMessage": "Error"
  },
  rootBreadcrumb: {
    "id": "be.rootBreadcrumb",
    "defaultMessage": "All Files"
  },
  searchBreadcrumb: {
    "id": "be.searchBreadcrumb",
    "defaultMessage": "Search Results"
  },
  recentsBreadcrumb: {
    "id": "be.recentsBreadcrumb",
    "defaultMessage": "Recents"
  },
  selectedBreadcrumb: {
    "id": "be.selectedBreadcrumb",
    "defaultMessage": "Selected Items"
  },
  uploadsManagerUploadInProgress: {
    "id": "be.uploadsManagerUploadInProgress",
    "defaultMessage": "Uploading"
  },
  uploadsManagerUploadPrompt: {
    "id": "be.uploadsManagerUploadPrompt",
    "defaultMessage": "Drop files on this page to upload them into this folder."
  },
  uploadsManagerUploadComplete: {
    "id": "be.uploadsManagerUploadComplete",
    "defaultMessage": "Completed"
  },
  uploadsManagerUploadFailed: {
    "id": "be.uploadsManagerUploadFailed",
    "defaultMessage": "Some Uploads Failed"
  },
  uploadsCancelButtonTooltip: {
    "id": "be.uploadsCancelButtonTooltip",
    "defaultMessage": "Cancel this upload"
  },
  uploadsRetryButtonTooltip: {
    "id": "be.uploadsRetryButtonTooltip",
    "defaultMessage": "Retry upload"
  },
  uploadsFileSizeLimitExceededErrorMessage: {
    "id": "be.uploadsFileSizeLimitExceededErrorMessage",
    "defaultMessage": "File size exceeds the folder owner\u2019s file size limit"
  },
  uploadsFileSizeLimitExceededErrorMessageForUpgradeCta: {
    "id": "be.uploadsFileSizeLimitExceededErrorMessageForUpgradeCta",
    "defaultMessage": "This file exceeds your plan\u2019s upload limit. Upgrade now to store larger files."
  },
  uploadsFileSizeLimitExceededUpgradeMessageForUpgradeCta: {
    "id": "be.uploadsFileSizeLimitExceededUpgradeMessageForUpgradeCta",
    "defaultMessage": "Upgrade"
  },
  uploadsStorageLimitErrorMessage: {
    "id": "be.uploadsStorageLimitErrorMessage",
    "defaultMessage": "Account storage limit reached"
  },
  uploadsPendingFolderSizeLimitErrorMessage: {
    "id": "be.uploadsPendingFolderSizeLimitErrorMessage",
    "defaultMessage": "Pending app folder size limit exceeded"
  },
  uploadsItemNameInUseErrorMessage: {
    "id": "be.uploadsItemNameInUseErrorMessage",
    "defaultMessage": "A file with this name already exists."
  },
  uploadsProvidedFolderNameInvalidMessage: {
    "id": "be.uploadsProvidedFolderNameInvalidMessage",
    "defaultMessage": "Provided folder name, {name}, could not be used to create a folder."
  },
  uploadsOneOrMoreChildFoldersFailedToUploadMessage: {
    "id": "be.uploadsOneOrMoreChildFoldersFailedToUploadMessage",
    "defaultMessage": "One or more child folders failed to upload."
  },
  uploadsPackageUploadErrorMessage: {
    "id": "be.uploadsPackageUploadErrorMessage",
    "defaultMessage": "Failed to upload package file. Please retry by saving as a single file."
  },
  uploadsDefaultErrorMessage: {
    "id": "be.uploadsDefaultErrorMessage",
    "defaultMessage": "Something went wrong with the upload. Please try again."
  },
  errorOccured: {
    "id": "be.errorOccured",
    "defaultMessage": "An error occurred"
  },
  editLabel: {
    "id": "be.editLabel",
    "defaultMessage": "Edit"
  },
  getVersionInfo: {
    "id": "be.getVersionInfo",
    "defaultMessage": "Get version information"
  },
  keywordsApplied: {
    "id": "be.keywordsAppliedList",
    "defaultMessage": "Keywords were applied"
  },
  keywordsList: {
    "id": "be.keywordsList",
    "defaultMessage": "Keywords: {words}"
  },
  noActivity: {
    "id": "be.noActivity",
    "defaultMessage": "No activity to show"
  },
  noActivityAnnotationPrompt: {
    "id": "be.noActivityAnnotationPrompt",
    "defaultMessage": "Hover over the preview and use the controls at the bottom to annotate the file."
  },
  noActivityCommentPrompt: {
    "id": "be.noActivityCommentPrompt",
    "defaultMessage": "Comment and @mention people to notify them."
  },
  versionDeleted: {
    "id": "be.versionDeleted",
    "defaultMessage": "{name} deleted v{version_number}"
  },
  versionPromoted: {
    "id": "be.versionPromoted",
    "defaultMessage": "{name} promoted v{version_promoted} to v{version_number}"
  },
  versionRestored: {
    "id": "be.versionRestored",
    "defaultMessage": "{name} restored v{version_number}"
  },
  versionMultipleUsersUploaded: {
    "id": "be.versionMultipleUsersUploaded",
    "defaultMessage": "{numberOfCollaborators} collaborators uploaded v{versions}"
  },
  versionUploadCollapsed: {
    "id": "be.versionUploadCollapsed",
    "defaultMessage": "{name} uploaded v{versions}"
  },
  versionUploaded: {
    "id": "be.versionUploaded",
    "defaultMessage": "{name} uploaded v{version_number}"
  },
  fileRequestDisplayName: {
    "id": "be.fileRequestDisplayName",
    "defaultMessage": "File Request"
  },
  defaultInlineErrorContentMessage: {
    "id": "be.defaultInlineErrorContentMessage",
    "defaultMessage": "Please try again later."
  },
  fileDescriptionInlineErrorTitleMessage: {
    "id": "be.fileDescriptionInlineErrorTitleMessage",
    "defaultMessage": "Something went wrong when saving the description."
  },
  defaultErrorMaskHeaderMessage: {
    "id": "be.defaultErrorMaskHeaderMessage",
    "defaultMessage": "We\u2019re sorry, something went wrong."
  },
  defaultErrorMaskSubHeaderMessage: {
    "id": "be.defaultErrorMaskSubHeaderMessage",
    "defaultMessage": "Please refresh the page or try again later."
  },
  fileAccessStatsErrorHeaderMessage: {
    "id": "be.fileAccessStatsErrorHeaderMessage",
    "defaultMessage": "Something went wrong when fetching the access stats."
  },
  fileAccessStatsPermissionsError: {
    "id": "be.accessStatsPermissionsError",
    "defaultMessage": "Sorry, you do not have permission to see the access stats for this file."
  },
  fileClassificationErrorHeaderMessage: {
    "id": "be.fileClassificationErrorHeaderMessage",
    "defaultMessage": "Something went wrong when fetching classification."
  },
  currentUserErrorHeaderMessage: {
    "id": "be.currentUserErrorHeaderMessage",
    "defaultMessage": "Something went wrong when fetching the current user."
  },
  activityFeedItemApiError: {
    "id": "be.activityFeedItemApiError",
    "defaultMessage": "There was a problem loading the activity feed. Please refresh the page or try again later."
  },
  nextFile: {
    "id": "be.nextFile",
    "defaultMessage": "Next File"
  },
  nextPage: {
    "id": "be.pagination.nextPage",
    "defaultMessage": "Next Page"
  },
  pageStatus: {
    "id": "be.pagination.pageStatus",
    "defaultMessage": "{pageNumber} of {pageCount}"
  },
  previousFile: {
    "id": "be.previousFile",
    "defaultMessage": "Previous File"
  },
  previousPage: {
    "id": "be.pagination.previousPage",
    "defaultMessage": "Previous Page"
  },
  previousSegment: {
    "id": "be.previousSegment",
    "defaultMessage": "Previous Segment"
  },
  nextSegment: {
    "id": "be.nextSegment",
    "defaultMessage": "Next Segment"
  },
  transcriptEdit: {
    "id": "be.transcriptEdit",
    "defaultMessage": "Click any section to edit."
  },
  emptyOpenWithDescription: {
    "id": "be.emptyOpenWithDescription",
    "defaultMessage": "No integrations are available for this file"
  },
  errorOpenWithDescription: {
    "id": "be.errorOpenWithDescription",
    "defaultMessage": "Opening this file with other services is currently unavailable"
  },
  defaultOpenWithDescription: {
    "id": "be.defaultOpenWithDescription",
    "defaultMessage": "Open this file with a partner service"
  },
  executeIntegrationOpenWithErrorHeader: {
    "id": "be.executeIntegrationOpenWithErrorHeader",
    "defaultMessage": "We\u2019re sorry, this integration is currently unavailable."
  },
  executeIntegrationOpenWithErrorSubHeader: {
    "id": "be.executeIntegrationOpenWithErrorSubHeader",
    "defaultMessage": "Please try again later."
  },
  boxToolsInstallMessage: {
    "id": "be.boxToolsInstallMessage",
    "defaultMessage": "Install {boxTools} to open this file on your desktop"
  },
  boxToolsBlacklistedError: {
    "id": "be.boxEditBlacklistedError",
    "defaultMessage": "This file cannot be opened locally"
  },
  drawAnnotation: {
    "id": "be.drawAnnotation",
    "defaultMessage": "Drawing annotation mode"
  },
  pointAnnotation: {
    "id": "be.pointAnnotation",
    "defaultMessage": "Point annotation mode"
  },
  expand: {
    "id": "be.expand",
    "defaultMessage": "Expand"
  },
  collapse: {
    "id": "be.collapse",
    "defaultMessage": "Collapse"
  },
  back: {
    "id": "be.back",
    "defaultMessage": "Back"
  },
  priorCollaborator: {
    "id": "be.priorCollaborator",
    "defaultMessage": "A Prior Collaborator"
  },
  moreOptions: {
    "id": "be.moreOptions",
    "defaultMessage": "More options"
  },
  bookmark: {
    "id": "be.bookmark",
    "defaultMessage": "Bookmark"
  },
  collaboratedFolder: {
    "id": "be.collaboratedFolder",
    "defaultMessage": "Collaborated Folder"
  },
  externalFolder: {
    "id": "be.externalFolder",
    "defaultMessage": "External Folder"
  },
  file: {
    "id": "be.file",
    "defaultMessage": "File"
  },
  personalFolder: {
    "id": "be.personalFolder",
    "defaultMessage": "Personal Folder"
  },
  sidebarDocGenTooltip: {
    "id": "be.sidebarDocGenTooltip",
    "defaultMessage": "Box Doc Gen"
  }
});
export default messages;
//# sourceMappingURL=messages.js.map