function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/**
 * 
 * @file Nav Button component intended to mimic React Router's NavLink component for non-anchor elements
 * @author Box
 */
import * as React from 'react';
import classNames from 'classnames';
import { Route } from 'react-router-dom';
import PlainButton from '../../../components/plain-button';
import { isLeftClick } from '../../../utils/dom';
const NavButton = React.forwardRef((props, ref) => {
  const {
    activeClassName = 'bdl-is-active',
    children,
    className = 'bdl-NavButton',
    component: Component = PlainButton,
    exact,
    isActive,
    onClick: _onClick,
    replace,
    strict,
    to
  } = props,
        rest = _objectWithoutProperties(props, ["activeClassName", "children", "className", "component", "exact", "isActive", "onClick", "replace", "strict", "to"]);

  const path = typeof to === 'object' ? to.pathname : to;
  return React.createElement(Route, {
    exact: exact,
    path: path,
    strict: strict
  }, (_ref) => {
    let {
      history,
      location,
      match
    } = _ref;
    const isActiveValue = !!(isActive ? isActive(match, location) : match);
    return React.createElement(Component, _extends({
      className: classNames(className, {
        [activeClassName]: isActiveValue
      }),
      onClick: event => {
        if (_onClick) {
          _onClick(event);
        }

        if (!event.defaultPrevented && isLeftClick(event)) {
          const method = replace ? history.replace : history.push;
          method(to);
        }
      },
      ref: ref
    }, rest), children);
  });
});
export default NavButton;
//# sourceMappingURL=NavButton.js.map