/**
 * 
 * @file Add component
 * @author Box
 */
import React from 'react';
import { FormattedMessage } from 'react-intl';
import AddButton from './AddButton';
import DropdownMenu from '../../../components/dropdown-menu/DropdownMenu';
import Menu from '../../../components/menu/Menu';
import MenuItem from '../../../components/menu/MenuItem';
import messages from '../messages';

const Add = (_ref) => {
  let {
    onUpload,
    onCreate,
    showUpload = true,
    showCreate = true
  } = _ref;
  return React.createElement(DropdownMenu, {
    isRightAligned: true
  }, React.createElement(AddButton, null), React.createElement(Menu, null, showUpload && React.createElement(MenuItem, {
    onClick: onUpload
  }, React.createElement(FormattedMessage, messages.upload)), showCreate && React.createElement(MenuItem, {
    onClick: onCreate
  }, React.createElement(FormattedMessage, messages.newFolder))));
};

export default Add;
//# sourceMappingURL=Add.js.map