/**
 * 
 * @file Sort component
 * @author Box
 */
import React from 'react';
import { FormattedMessage } from 'react-intl';
import DropdownMenu from '../../../components/dropdown-menu/DropdownMenu';
import Menu from '../../../components/menu/Menu';
import SelectMenuItem from '../../../components/menu/SelectMenuItem';
import SortButton from './SortButton';
import messages from '../messages';
import { FIELD_NAME, FIELD_DATE, FIELD_SIZE, SORT_ASC, SORT_DESC } from '../../../constants';
const SORT_ITEMS = [[FIELD_NAME, SORT_ASC], [FIELD_NAME, SORT_DESC], [FIELD_DATE, SORT_ASC], [FIELD_DATE, SORT_DESC], [FIELD_SIZE, SORT_ASC], [FIELD_SIZE, SORT_DESC]];

const Sort = (_ref) => {
  let {
    sortBy,
    sortDirection,
    onSortChange
  } = _ref;
  return React.createElement(DropdownMenu, {
    isRightAligned: true
  }, React.createElement(SortButton, null), React.createElement(Menu, null, SORT_ITEMS.map((_ref2) => {
    let [sortByValue, sortDirectionValue] = _ref2;
    const isSelected = sortByValue === sortBy && sortDirectionValue === sortDirection;
    const sortItemKey = "".concat(sortByValue).concat(sortDirectionValue);
    return React.createElement(SelectMenuItem, {
      key: sortItemKey,
      isSelected: isSelected,
      onClick: () => onSortChange(sortByValue, sortDirectionValue)
    }, React.createElement(FormattedMessage, messages[sortItemKey]));
  })));
};

export default Sort;
//# sourceMappingURL=Sort.js.map