/**
 * 
 * @file Content sub header component
 * @author Box
 */
import React from 'react';
import noop from 'lodash/noop';
import SubHeaderLeft from './SubHeaderLeft';
import SubHeaderRight from './SubHeaderRight';
import { VIEW_MODE_LIST } from '../../../constants';
import './SubHeader.scss';

const SubHeader = (_ref) => {
  let {
    canCreateNewFolder,
    canUpload,
    currentCollection,
    gridColumnCount = 0,
    gridMaxColumns = 0,
    gridMinColumns = 0,
    maxGridColumnCountForWidth = 0,
    onGridViewSliderChange = noop,
    isSmall,
    onCreate,
    onItemClick,
    onSortChange,
    onUpload,
    onViewModeChange,
    rootId,
    rootName,
    view,
    viewMode = VIEW_MODE_LIST
  } = _ref;
  return React.createElement("div", {
    className: "be-sub-header",
    "data-testid": "be-sub-header"
  }, React.createElement(SubHeaderLeft, {
    currentCollection: currentCollection,
    isSmall: isSmall,
    onItemClick: onItemClick,
    rootId: rootId,
    rootName: rootName,
    view: view
  }), React.createElement(SubHeaderRight, {
    canCreateNewFolder: canCreateNewFolder,
    canUpload: canUpload,
    currentCollection: currentCollection,
    gridColumnCount: gridColumnCount,
    gridMaxColumns: gridMaxColumns,
    gridMinColumns: gridMinColumns,
    maxGridColumnCountForWidth: maxGridColumnCountForWidth,
    onCreate: onCreate,
    onGridViewSliderChange: onGridViewSliderChange,
    onSortChange: onSortChange,
    onUpload: onUpload,
    onViewModeChange: onViewModeChange,
    view: view,
    viewMode: viewMode
  }));
};

export default SubHeader;
//# sourceMappingURL=SubHeader.js.map