function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import { injectIntl } from 'react-intl';
import classNames from 'classnames';
import noop from 'lodash/noop';
import Button from '../../../components/button';
import IconGridViewInverted from '../../../icons/general/IconGridViewInverted';
import IconListView from '../../../icons/general/IconListView';
import messages from '../messages';
import Tooltip from '../Tooltip';
import { VIEW_MODE_GRID, VIEW_MODE_LIST } from '../../../constants';
import { bdlGray65 } from '../../../styles/variables';
import './ViewModeChangeButton.scss';

const ViewModeChangeButton = (_ref) => {
  let {
    className = '',
    onViewModeChange = noop,
    intl,
    viewMode
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["className", "onViewModeChange", "intl", "viewMode"]);

  const isGridView = viewMode === VIEW_MODE_GRID;
  const viewMessage = isGridView ? intl.formatMessage(messages.listView) : intl.formatMessage(messages.gridView);

  const onClick = () => {
    onViewModeChange(isGridView ? VIEW_MODE_LIST : VIEW_MODE_GRID);
  };

  return React.createElement(Tooltip, {
    text: viewMessage
  }, React.createElement(Button, _extends({
    "aria-label": viewMessage,
    "data-testid": "view-mode-change-button",
    className: classNames('bdl-ViewModeChangeButton', className),
    type: "button",
    onClick: onClick
  }, rest), isGridView ? React.createElement(IconListView, {
    color: bdlGray65,
    width: 17,
    height: 17
  }) : React.createElement(IconGridViewInverted, {
    color: bdlGray65,
    width: 17,
    height: 17
  })));
};

export default injectIntl(ViewModeChangeButton);
//# sourceMappingURL=ViewModeChangeButton.js.map