function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * 
 * @file Content Explorer Delete Confirmation Dialog
 * @author Box
 */
import React from 'react';
import Modal from 'react-modal';
import { injectIntl } from 'react-intl';
import ContentUploader from '../../content-uploader';
import messages from '../messages';
import { CLASS_MODAL_CONTENT_FULL_BLEED, CLASS_MODAL_OVERLAY, CLASS_MODAL } from '../../../constants';

const UploadDialog = (_ref) => {
  let {
    isOpen,
    currentFolderId,
    token,
    sharedLink,
    sharedLinkPassword,
    apiHost,
    uploadHost,
    onClose,
    parentElement,
    appElement,
    onUpload,
    contentUploaderProps,
    requestInterceptor,
    responseInterceptor,
    intl
  } = _ref;
  return React.createElement(Modal, {
    appElement: appElement,
    className: CLASS_MODAL_CONTENT_FULL_BLEED,
    contentLabel: intl.formatMessage(messages.upload),
    isOpen: isOpen,
    onRequestClose: onClose,
    overlayClassName: CLASS_MODAL_OVERLAY,
    parentSelector: () => parentElement,
    portalClassName: "".concat(CLASS_MODAL, " be-modal-upload")
  }, React.createElement(ContentUploader, _extends({}, contentUploaderProps, {
    apiHost: apiHost,
    onClose: onClose,
    onComplete: onUpload,
    requestInterceptor: requestInterceptor,
    responseInterceptor: responseInterceptor,
    rootFolderId: currentFolderId,
    sharedLink: sharedLink,
    sharedLinkPassword: sharedLinkPassword,
    token: token,
    uploadHost: uploadHost
  })));
};

export default injectIntl(UploadDialog);
//# sourceMappingURL=UploadDialog.js.map