function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { FormattedMessage } from 'react-intl';
import Datefield from '../common/date';
import messages from '../common/messages';
import { FIELD_INTERACTED_AT } from '../../constants';

const Date = (_ref) => {
  let {
    dataKey,
    item
  } = _ref;
  const {
    modified_at = '',
    interacted_at = '',
    modified_by
  } = item;
  const modifiedBy = modified_by ? modified_by.name || '' : '';
  const isRecents = dataKey === FIELD_INTERACTED_AT;
  const date = isRecents ? interacted_at || modified_at : modified_at;
  const DateValue = React.createElement(Datefield, {
    capitalize: true,
    date: date,
    omitCommas: true
  });

  if (isRecents || !modifiedBy) {
    return DateValue;
  }

  return React.createElement(FormattedMessage, _extends({}, messages.nameDate, {
    values: {
      date: DateValue,
      name: modifiedBy
    }
  }));
};

export default Date;
//# sourceMappingURL=Date.js.map