function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * 
 * @file Content Explorer Preview Dialog
 * @author Box
 */
import React from 'react';
import Modal from 'react-modal';
import { injectIntl } from 'react-intl';
import cloneDeep from 'lodash/cloneDeep';
import messages from '../common/messages';
import ContentPreview from '../content-preview';
import { TYPE_FILE, CLASS_MODAL_CONTENT_FULL_BLEED, CLASS_MODAL_OVERLAY, CLASS_MODAL } from '../../constants';

const PreviewDialog = (_ref) => {
  let {
    item,
    isOpen,
    parentElement,
    appElement,
    token,
    cache,
    currentCollection,
    canDownload,
    onCancel,
    onPreview,
    onDownload,
    apiHost,
    appHost,
    staticHost,
    staticPath,
    previewLibraryVersion,
    sharedLink,
    sharedLinkPassword,
    contentPreviewProps,
    requestInterceptor,
    responseInterceptor,
    intl
  } = _ref;
  const {
    items
  } = currentCollection;

  const onLoad = data => {
    onPreview(cloneDeep(data));
  };

  if (!item || !items) {
    return null;
  }

  const files = items.filter((_ref2) => {
    let {
      type
    } = _ref2;
    return type === TYPE_FILE;
  });
  return React.createElement(Modal, {
    isOpen: isOpen,
    parentSelector: () => parentElement,
    portalClassName: "".concat(CLASS_MODAL, " be-modal-preview"),
    className: CLASS_MODAL_CONTENT_FULL_BLEED,
    overlayClassName: CLASS_MODAL_OVERLAY,
    contentLabel: intl.formatMessage(messages.preview),
    onRequestClose: onCancel,
    appElement: appElement
  }, React.createElement(ContentPreview, _extends({}, contentPreviewProps, {
    fileId: item.id,
    apiHost: apiHost,
    appHost: appHost,
    staticHost: staticHost,
    staticPath: staticPath,
    previewLibraryVersion: previewLibraryVersion,
    cache: cache,
    token: token,
    hasHeader: true,
    autoFocus: true,
    collection: files,
    onLoad: onLoad,
    onClose: onCancel,
    onDownload: onDownload,
    canDownload: canDownload,
    sharedLink: sharedLink,
    sharedLinkPassword: sharedLinkPassword,
    requestInterceptor: requestInterceptor,
    responseInterceptor: responseInterceptor
  })));
};

export default injectIntl(PreviewDialog);
//# sourceMappingURL=PreviewDialog.js.map