function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as React from 'react';
import { useArgs } from '@storybook/preview-api';
import PrimaryButton from '../../../components/primary-button/PrimaryButton';
import { addRootElement } from '../../../utils/storybook';
import DeleteConfirmationDialog from '../DeleteConfirmationDialog'; // need to import this into the story because it's usually in ContentExplorer

import '../../common/modal.scss';
export const deleteDialog = {
  // eslint-disable-next-line react/prop-types
  render: args => {
    // eslint-disable-next-line react-hooks/rules-of-hooks
    const [, setArgs] = useArgs();

    const handleOpenModal = () => setArgs({
      isOpen: true
    });

    const handleCloseModal = () => {
      setArgs({
        isOpen: false
      });
    };

    const {
      appElement,
      rootElement
    } = addRootElement();
    return React.createElement("div", null, React.createElement(DeleteConfirmationDialog, _extends({
      appElement: appElement,
      item: {
        id: '123456',
        name: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Eget nulla facilisi etiam dignissim diam quis enim lobortis scelerisque. Aliquam faucibus purus in massa tempor nec. Ut consequat semper viverra nam libero justo laoreet sit amet. Purus gravida quis blandit turpis cursus in hac. Dui ut ornare lectus sit amet est. Nisl condimentum id venenatis a condimentum vitae sapien.'
      },
      onCancel: handleCloseModal,
      parentElement: rootElement
    }, args)), React.createElement(PrimaryButton, {
      onClick: handleOpenModal
    }, "Launch DeleteConfirmationDialog"));
  }
};
export default {
  title: 'Elements/ContentExplorer',
  component: DeleteConfirmationDialog,
  args: {
    isLoading: false,
    isOpen: false
  }
};
//# sourceMappingURL=DeleteConfirmationDialog.stories.js.map