function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as React from 'react';
import { useArgs } from '@storybook/preview-api';
import PrimaryButton from '../../../components/primary-button/PrimaryButton';
import { ACCESS_OPEN } from '../../../constants';
import { addRootElement } from '../../../utils/storybook';
import ShareDialog from '../ShareDialog'; // need to import this into the story because it's usually in ContentExplorer

import '../../common/modal.scss';
export const shareDialog = {
  render: args => {
    // eslint-disable-next-line react-hooks/rules-of-hooks
    const [, setArgs] = useArgs();

    const handleOpenModal = () => setArgs({
      isOpen: true
    });

    const handleCloseModal = () => setArgs({
      isOpen: false
    });

    const {
      appElement,
      rootElement
    } = addRootElement();
    return React.createElement("div", null, React.createElement(ShareDialog, _extends({
      appElement: appElement,
      item: {
        id: 'abcdefg',
        shared_link: {
          access: ACCESS_OPEN,
          url: 'https://cloud.box.com/s/abcdefg'
        }
      },
      onCancel: handleCloseModal,
      parentElement: rootElement
    }, args)), React.createElement(PrimaryButton, {
      onClick: handleOpenModal
    }, "Launch ShareDialog"));
  }
};
export default {
  title: 'Elements/ContentExplorer',
  component: ShareDialog,
  args: {
    canSetShareAccess: false,
    isLoading: false,
    isOpen: false
  }
};
//# sourceMappingURL=ShareDialog.stories.js.map