function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import { http, HttpResponse } from 'msw';
import { userEvent, waitFor, within } from '@storybook/testing-library';
import ContentExplorer from '../../ContentExplorer';
import { DEFAULT_HOSTNAME_API } from '../../../../constants';
import mockRootFolder from '../__mocks__/mockRootFolder';
import { defaultVisualConfig, SLEEP_TIMEOUT } from '../../../../utils/storybook';
export const basic = {};
export const openExistingFolder = {
  play: async (_ref) => {
    let {
      canvasElement
    } = _ref;
    const canvas = within(canvasElement);
    await waitFor(async () => {
      const row = canvas.getByText('An Ordered Folder');
      await userEvent.click(row);
    }, {
      timeout: SLEEP_TIMEOUT
    });
  }
};
export default {
  title: 'Elements/ContentExplorer/tests/ContentExplorer/visual',
  component: ContentExplorer,
  args: {
    features: global.FEATURE_FLAGS,
    rootFolderId: global.FOLDER_ID,
    token: global.TOKEN
  },
  parameters: _objectSpread({}, defaultVisualConfig.parameters, {
    msw: {
      handlers: [http.get("".concat(DEFAULT_HOSTNAME_API, "/2.0/folders/69083462919"), () => {
        return HttpResponse.json(mockRootFolder);
      })]
    }
  })
};
//# sourceMappingURL=ContentExplorer-visual.stories.js.map