/**
 * 
 * @file Open With dropdown menu
 * @author Box
 */
import * as React from 'react';
import DropdownMenu from '../../components/dropdown-menu/DropdownMenu';
import Menu from '../../components/menu/Menu';
import OpenWithDropdownMenuItem from './OpenWithDropdownMenuItem';
import MultipleIntegrationsOpenWithButton from './MultipleIntegrationsOpenWithButton';
const RIGHT_ALIGNMENT = 'right';

const OpenWithDropdownMenu = (_ref) => {
  let {
    dropdownAlignment = RIGHT_ALIGNMENT,
    integrations,
    onClick
  } = _ref;
  return React.createElement(DropdownMenu, {
    isRightAligned: dropdownAlignment === RIGHT_ALIGNMENT
  }, React.createElement(MultipleIntegrationsOpenWithButton, null), React.createElement(Menu, {
    className: "bcow-menu"
  }, integrations.map(integration => React.createElement(OpenWithDropdownMenuItem, {
    key: integration.appIntegrationId,
    integration: integration,
    onClick: onClick
  }))));
};

export default OpenWithDropdownMenu;
//# sourceMappingURL=OpenWithDropdownMenu.js.map