/**
 * 
 * @file Function to render the checkbox table cell
 * @author Box
 */
import React from 'react';
import Checkbox from '../../components/checkbox/Checkbox';
import isRowSelectable from './cellRendererHelper';
export default ((onItemSelect, selectableType, extensionsWhitelist, hasHitSelectionLimit) => (_ref) => {
  let {
    rowData
  } = _ref;
  const {
    name,
    selected = false
  } = rowData;

  if (!isRowSelectable(selectableType, extensionsWhitelist, hasHitSelectionLimit, rowData)) {
    return React.createElement("span", null);
  }

  return React.createElement(Checkbox, {
    hideLabel: true,
    isChecked: selected,
    label: name,
    name: name,
    onChange: () => onItemSelect(rowData)
  });
});
//# sourceMappingURL=checkboxCellRenderer.js.map