function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * 
 * @file Function to render the checkbox or radio table cell
 * @author Box
 */
import React from 'react';
import Checkbox from '../../components/checkbox';
import RadioButton from '../../components/radio/RadioButton';
import isRowSelectable from './cellRendererHelper';
export default ((onItemSelect, selectableType, extensionsWhitelist, hasHitSelectionLimit, isRadio) => (_ref) => {
  let {
    rowData
  } = _ref;
  const {
    name = '',
    selected = false
  } = rowData;
  const Component = isRadio ? RadioButton : Checkbox;

  if (!isRowSelectable(selectableType, extensionsWhitelist, hasHitSelectionLimit, rowData)) {
    return React.createElement("span", null);
  }

  return React.createElement(Component, _extends({
    hideLabel: true,
    label: name,
    name: name,
    onChange: () => onItemSelect(rowData),
    value: name
  }, {
    [isRadio ? 'isSelected' : 'isChecked']: selected
  }));
});
//# sourceMappingURL=selectionCellRenderer.js.map