function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import { withRouter } from 'react-router-dom';
import AddTaskMenu from './AddTaskMenu';
import TaskModal from './TaskModal';
import { TASK_TYPE_APPROVAL } from '../../constants';

class AddTaskButton extends React.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "buttonRef", React.createRef());

    _defineProperty(this, "state", {
      error: null,
      isTaskFormOpen: false,
      taskType: TASK_TYPE_APPROVAL
    });

    _defineProperty(this, "handleClickMenuItem", taskType => {
      this.props.history.replace({
        state: {
          open: true
        }
      });
      this.setState({
        isTaskFormOpen: true,
        taskType
      });
    });

    _defineProperty(this, "handleModalClose", () => {
      const {
        onTaskModalClose
      } = this.props;
      this.setState({
        isTaskFormOpen: false,
        error: null
      });

      if (this.buttonRef.current) {
        this.buttonRef.current.focus();
      }

      onTaskModalClose();
    });

    _defineProperty(this, "handleSubmitError", e => this.setState({
      error: e
    }));

    _defineProperty(this, "setAddTaskButtonRef", element => {
      this.buttonRef.current = element;
    });
  }

  render() {
    const {
      isDisabled,
      taskFormProps
    } = this.props;
    const {
      isTaskFormOpen,
      taskType,
      error
    } = this.state;
    return React.createElement(React.Fragment, null, React.createElement(AddTaskMenu, {
      isDisabled: isDisabled,
      onMenuItemClick: this.handleClickMenuItem,
      setAddTaskButtonRef: this.setAddTaskButtonRef
    }), React.createElement(TaskModal, {
      error: error,
      onSubmitError: this.handleSubmitError,
      onSubmitSuccess: this.handleModalClose,
      onModalClose: this.handleModalClose,
      isTaskFormOpen: isTaskFormOpen,
      taskFormProps: taskFormProps,
      taskType: taskType
    }));
  }

}

_defineProperty(AddTaskButton, "defaultProps", {
  isDisabled: false
});

export { AddTaskButton as AddTaskButtonComponent };
export default withRouter(AddTaskButton);
//# sourceMappingURL=AddTaskButton.js.map