import React from 'react';
import './DocGenSidebar.scss';

const TagTree = (_ref) => {
  let {
    data,
    level = 0
  } = _ref;

  if (!data) {
    return null;
  }

  return React.createElement("div", null, Object.keys(data).sort().map(key => React.createElement("div", {
    key: "".concat(key, "-").concat(level),
    style: {
      paddingLeft: "".concat(level * 12, "px")
    }
  }, React.createElement("span", {
    className: "bcs-DocGen-tagPath"
  }, key), data[key] && React.createElement(TagTree, {
    data: data[key],
    level: level + 1
  }))));
};

export default TagTree;
//# sourceMappingURL=TagTree.js.map