import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import TagTree from './TagTree';
import './DocGenSidebar.scss';

const TagsSection = (_ref) => {
  let {
    data,
    message
  } = _ref;

  if (Object.keys(data).length === 0) {
    return null;
  }

  return React.createElement("div", {
    className: "bcs-TagsSection"
  }, React.createElement("span", {
    className: "bcs-TagsSection-header"
  }, React.createElement(FormattedMessage, message)), React.createElement(TagTree, {
    data: data
  }));
};

export default TagsSection;
//# sourceMappingURL=TagsSection.js.map