function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import classnames from 'classnames';
import { injectIntl } from 'react-intl';
import BoxSign28 from '../../icon/logo/BoxSign28';
import Sign16 from '../../icon/fill/Sign16';
import PlainButton from '../../components/plain-button'; // @ts-ignore Module is written in Flow

import TargetedClickThroughGuideTooltip from '../../features/targeting/TargetedClickThroughGuideTooltip';
import Tooltip, { TooltipPosition } from '../../components/tooltip'; // @ts-ignore Module is written in Flow

import messages from './messages';
import './SidebarNavSignButton.scss';
export const PlaceholderTooltip = (_ref) => {
  let {
    children
  } = _ref;
  return children;
};
export function SidebarNavSignButton(_ref2) {
  let {
    blockedReason,
    intl,
    status,
    targetingApi
  } = _ref2,
      rest = _objectWithoutProperties(_ref2, ["blockedReason", "intl", "status", "targetingApi"]);

  const isSignDisabled = !!blockedReason;
  const isTargeted = targetingApi && targetingApi.canShow;
  const FtuxTooltip = !isSignDisabled && isTargeted ? TargetedClickThroughGuideTooltip : PlaceholderTooltip;
  const label = intl.formatMessage(status === 'active' ? messages.boxSignSignature : messages.boxSignRequest);
  const buttonClassName = classnames('bcs-SidebarNavSignButton', {
    'bdl-is-disabled': isSignDisabled
  });
  let tooltipMessage = label;

  switch (blockedReason) {
    case 'shield-download':
    case 'shared-link':
    case 'shield-sign':
      tooltipMessage = intl.formatMessage(messages.boxSignSecurityBlockedTooltip);
      break;

    case 'watermark':
      tooltipMessage = intl.formatMessage(messages.boxSignWatermarkBlockedTooltip);
      break;

    default:
  }

  return React.createElement(FtuxTooltip, {
    body: intl.formatMessage(messages.boxSignFtuxBody),
    position: TooltipPosition.MIDDLE_LEFT,
    shouldTarget: isTargeted,
    title: intl.formatMessage(messages.boxSignFtuxTitle),
    useTargetingApi: () => targetingApi
  }, React.createElement(Tooltip, {
    isDisabled: isTargeted,
    position: TooltipPosition.MIDDLE_LEFT,
    text: tooltipMessage
  }, React.createElement(PlainButton, _extends({
    "aria-label": label,
    className: buttonClassName,
    "data-testid": "sign-button",
    isDisabled: isSignDisabled
  }, rest), React.createElement(BoxSign28, {
    className: "bcs-SidebarNavSignButton-icon"
  }), React.createElement(Sign16, {
    width: 20,
    height: 20,
    className: "bcs-SidebarNavSignButton-icon--grayscale"
  }))));
}
export default injectIntl(SidebarNavSignButton);
//# sourceMappingURL=SidebarNavSignButton.js.map