function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// @deprecated, use Collapsible

/**
 * 
 * @file Preview sidebar section component
 * @author Box
 */
import * as React from 'react';
import classNames from 'classnames';
import PlainButton from '../../components/plain-button/PlainButton';
import IconCaretDown from '../../icons/general/IconCaretDown';
import { COLOR_999 } from '../../constants';
import './SidebarSection.scss';

class SidebarSection extends React.PureComponent {
  /**
   * [constructor]
   *
   * @private
   * @return {ContentPreview}
   */
  constructor(props) {
    super(props);

    _defineProperty(this, "toggleVisibility", () => {
      this.setState(prevState => ({
        isOpen: !prevState.isOpen
      }));
    });

    this.state = {
      isOpen: props.isOpen
    };
  }
  /**
   * Click handler for toggling the section
   *
   * @private
   * @param {Event} event - click event
   * @return {void}
   */


  /**
   * Renders the section
   *
   * @private
   * @inheritdoc
   * @return {void}
   */
  render() {
    const {
      isOpen
    } = this.state;
    const {
      children,
      className,
      title,
      interactionTarget
    } = this.props;
    const sectionClassName = classNames('bcs-section', {
      'bcs-section-open': isOpen
    }, className);
    return React.createElement("div", {
      className: sectionClassName
    }, title && React.createElement(PlainButton, {
      "aria-expanded": isOpen,
      className: "bcs-section-title",
      "data-resin-target": interactionTarget,
      onClick: this.toggleVisibility,
      type: "button"
    }, title, React.createElement(IconCaretDown, {
      color: COLOR_999,
      width: 8
    })), (isOpen || !title) && React.createElement("div", {
      className: "bcs-section-content"
    }, children));
  }

}

_defineProperty(SidebarSection, "defaultProps", {
  className: '',
  isOpen: true
});

export default SidebarSection;
//# sourceMappingURL=SidebarSection.js.map