function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from 'react';
import classNames from 'classnames';
import ActivityCard from './ActivityCard'; // @ts-ignore flow import

import { decode } from '../../../utils/keys';
import './SelectableActivityCard.scss';
const ALLOWABLE_NODENAMES = ['A', 'BUTTON'];

function isAllowableNode(_ref) {
  let {
    target
  } = _ref;
  return target instanceof HTMLElement && ALLOWABLE_NODENAMES.includes(target.nodeName);
}

const SelectableActivityCard = (_ref2) => {
  let {
    children,
    className,
    isDisabled = false,
    onSelect
  } = _ref2,
      rest = _objectWithoutProperties(_ref2, ["children", "className", "isDisabled", "onSelect"]);

  const ref = React.useRef(null);

  const handleClick = event => {
    if (isDisabled || isAllowableNode(event)) {
      return;
    }

    event.preventDefault();
    event.stopPropagation();
    event.currentTarget.focus(); // Buttons do not receive focus in Firefox and Safari on MacOS

    onSelect();
  };

  const handleKeyDown = event => {
    if (isDisabled || isAllowableNode(event)) {
      return;
    }

    const key = decode(event);

    if (key === 'Space' || key === 'Enter') {
      onSelect();
    }
  };

  return React.createElement(ActivityCard, _extends({
    ref: ref,
    "aria-disabled": isDisabled,
    className: classNames('bcs-SelectableActivityCard', className),
    onClick: handleClick,
    onKeyDown: handleKeyDown,
    role: "button",
    tabIndex: 0
  }, rest), children);
};

export default SelectableActivityCard;
//# sourceMappingURL=SelectableActivityCard.js.map