function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import Comment from '../comment';
import LoadingIndicator from '../../../../components/loading-indicator';
import { BaseComment } from '../comment/BaseComment';
import './ActivityThreadReplies.scss';

const ActivityThreadReplies = (_ref) => {
  let {
    currentUser,
    getAvatarUrl,
    getMentionWithQuery,
    getUserProfileUrl,
    hasNewThreadedReplies = false,
    isRepliesLoading,
    mentionSelectorContacts,
    onDelete,
    onEdit,
    onSelect,
    replies,
    translations
  } = _ref;

  const getReplyPermissions = reply => {
    const {
      permissions: {
        can_delete = false,
        can_edit = false,
        can_resolve = false
      } = {}
    } = reply;
    return {
      can_delete,
      can_edit,
      can_resolve
    };
  };

  const handleOnEdit = (_ref2) => {
    let {
      hasMention,
      id,
      onError,
      onSuccess,
      permissions,
      status,
      text
    } = _ref2;

    if (onEdit) {
      onEdit(id, text, status, hasMention, permissions, onSuccess, onError);
    }
  };

  const renderComment = reply => {
    if (hasNewThreadedReplies) {
      return React.createElement(BaseComment, _extends({
        key: "".concat(reply.type).concat(reply.id)
      }, reply, {
        currentUser: currentUser,
        getAvatarUrl: getAvatarUrl,
        getMentionWithQuery: getMentionWithQuery,
        getUserProfileUrl: getUserProfileUrl,
        mentionSelectorContacts: mentionSelectorContacts,
        onDelete: onDelete,
        onCommentEdit: handleOnEdit,
        onSelect: onSelect,
        permissions: getReplyPermissions(reply),
        translations: translations
      }));
    }

    return React.createElement(Comment, _extends({
      key: "".concat(reply.type).concat(reply.id)
    }, reply, {
      currentUser: currentUser,
      getAvatarUrl: getAvatarUrl,
      getMentionWithQuery: getMentionWithQuery,
      getUserProfileUrl: getUserProfileUrl,
      mentionSelectorContacts: mentionSelectorContacts,
      onDelete: onDelete,
      onEdit: handleOnEdit,
      onSelect: onSelect,
      permissions: getReplyPermissions(reply),
      translations: translations
    }));
  };

  return React.createElement("div", {
    className: "bcs-ActivityThreadReplies",
    "data-testid": "activity-thread-replies"
  }, isRepliesLoading && React.createElement("div", {
    className: "bcs-ActivityThreadReplies-loading",
    "data-testid": "activity-thread-replies-loading"
  }, React.createElement(LoadingIndicator, null)), replies.map(reply => renderComment(reply)));
};

export default ActivityThreadReplies;
//# sourceMappingURL=ActivityThreadReplies.js.map