/**
 * 
 * @file Component for Activity feed empty state
 */
import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import ActivityFeedEmptyStateIllustration from '../illustrations/ActivityFeedEmptyStateIllustration';
import EmptyStatePreviewActivity140 from '../../../../illustration/EmptyStatePreviewActivity140';
import messages from '../../../common/messages';
import './EmptyState.scss';

const EmptyState = (_ref) => {
  let {
    showAnnotationMessage,
    showCommentMessage
  } = _ref;
  const showActionMessage = showAnnotationMessage || showCommentMessage;
  const actionMessage = showAnnotationMessage ? messages.noActivityAnnotationPrompt : messages.noActivityCommentPrompt;
  return React.createElement("div", {
    className: "bcs-EmptyState"
  }, React.createElement("div", {
    className: "bcs-EmptyState-illustration"
  }, showAnnotationMessage ? React.createElement(ActivityFeedEmptyStateIllustration, null) : React.createElement(EmptyStatePreviewActivity140, null)), React.createElement("div", {
    className: "bcs-EmptyState-cta"
  }, React.createElement(FormattedMessage, messages.noActivity, text => React.createElement("span", {
    className: "bcs-EmptyState-cta-detail"
  }, text)), showActionMessage && React.createElement("aside", {
    className: "bcs-EmptyState-cta-message"
  }, React.createElement(FormattedMessage, actionMessage))));
};

export default EmptyState;
//# sourceMappingURL=EmptyState.js.map