import React from 'react';
import ActivityError from '../common/activity-error';
import ActivityThread from '../activity-feed/ActivityThread';
import AnnotationActivity from '../annotations';
import LoadingIndicator from '../../../../components/loading-indicator/LoadingIndicator';
import './AnnotationThreadContent.scss';

const AnnotationThreadContent = (_ref) => {
  let {
    annotation,
    currentUser,
    error,
    getAvatarUrl,
    getMentionWithQuery,
    getUserProfileUrl,
    isLoading,
    mentionSelectorContacts,
    onAnnotationDelete,
    onAnnotationEdit,
    onAnnotationStatusChange,
    onReplyCreate,
    onReplyDelete,
    onReplyEdit,
    replies = []
  } = _ref;
  return React.createElement(React.Fragment, null, error && React.createElement(ActivityError, error), isLoading && React.createElement("div", {
    className: "AnnotationThreadContent-loading",
    "data-testid": "annotation-loading"
  }, React.createElement(LoadingIndicator, null)), annotation && React.createElement(ActivityThread, {
    getAvatarUrl: getAvatarUrl,
    getMentionWithQuery: getMentionWithQuery,
    getUserProfileUrl: getUserProfileUrl,
    hasReplies: true,
    isAlwaysExpanded: true,
    isRepliesLoading: isLoading,
    mentionSelectorContacts: mentionSelectorContacts,
    onReplyCreate: onReplyCreate,
    onReplyDelete: onReplyDelete,
    onReplyEdit: onReplyEdit,
    replies: replies,
    repliesTotalCount: replies.length
  }, React.createElement(AnnotationActivity, {
    currentUser: currentUser,
    getAvatarUrl: getAvatarUrl,
    getMentionWithQuery: getMentionWithQuery,
    getUserProfileUrl: getUserProfileUrl,
    isCurrentVersion: true,
    item: annotation,
    mentionSelectorContacts: mentionSelectorContacts,
    onDelete: onAnnotationDelete,
    onEdit: onAnnotationEdit,
    onStatusChange: onAnnotationStatusChange
  })));
};

export default AnnotationThreadContent;
//# sourceMappingURL=AnnotationThreadContent.js.map