import React from 'react';
import classNames from 'classnames';
import CommentForm from '../comment-form';
import './AnnotationThreadCreate.scss';

const AnnotationThreadCreate = (_ref) => {
  let {
    currentUser,
    getAvatarUrl,
    getMentionWithQuery,
    isPending,
    mentionSelectorContacts,
    onFormCancel,
    onFormSubmit
  } = _ref;

  const handleSubmit = (_ref2) => {
    let {
      text
    } = _ref2;
    onFormSubmit(text);
  };

  return React.createElement("div", {
    className: classNames('AnnotationThreadCreate', {
      'is-pending': isPending
    }),
    "data-testid": "annotation-create"
  }, React.createElement(CommentForm, {
    className: "AnnotationThreadCreate-editor",
    createComment: handleSubmit,
    getAvatarUrl: getAvatarUrl,
    getMentionWithQuery: getMentionWithQuery,
    isOpen: true,
    mentionSelectorContacts: mentionSelectorContacts,
    onCancel: onFormCancel,
    user: currentUser
  }));
};

export default AnnotationThreadCreate;
//# sourceMappingURL=AnnotationThreadCreate.js.map