import API from '../../../../api/APIFactory';

const useAnnotationAPI = (_ref) => {
  let {
    api,
    errorCallback,
    file: {
      id: fileId,
      file_version: {
        id: fileVersionId
      } = {},
      permissions: filePermissions = {}
    }
  } = _ref;

  const handleCreate = (_ref2) => {
    let {
      payload,
      successCallback
    } = _ref2;
    api.getAnnotationsAPI(false).createAnnotation(fileId, fileVersionId, payload, filePermissions, successCallback, errorCallback);
  };

  const handleFetch = (_ref3) => {
    let {
      id,
      successCallback
    } = _ref3;
    api.getAnnotationsAPI(false).getAnnotation(fileId, id, filePermissions, successCallback, errorCallback, true // to fetch aanotation with its replies
    );
  };

  const handleDelete = (_ref4) => {
    let {
      id,
      permissions,
      successCallback
    } = _ref4;
    api.getAnnotationsAPI(false).deleteAnnotation(fileId, id, permissions, successCallback, errorCallback);
  };

  const handleEdit = (_ref5) => {
    let {
      id,
      text,
      permissions,
      successCallback
    } = _ref5;
    api.getAnnotationsAPI(false).updateAnnotation(fileId, id, permissions, {
      message: text
    }, successCallback, errorCallback);
  };

  const handleStatusChange = (_ref6) => {
    let {
      id,
      status,
      permissions,
      successCallback
    } = _ref6;
    api.getAnnotationsAPI(false).updateAnnotation(fileId, id, permissions, {
      status
    }, successCallback, errorCallback);
  };

  return {
    handleCreate,
    handleFetch,
    handleDelete,
    handleEdit,
    handleStatusChange
  };
};

export default useAnnotationAPI;
//# sourceMappingURL=useAnnotationAPI.js.map