import APIFactory from '../../../../api';

const useRepliesAPI = (_ref) => {
  let {
    annotationId,
    api,
    errorCallback,
    fileId,
    filePermissions
  } = _ref;

  const createReply = (_ref2) => {
    let {
      message,
      requestId,
      successCallback
    } = _ref2;

    if (!annotationId) {
      return;
    }

    api.getAnnotationsAPI(false).createAnnotationReply(fileId, annotationId, filePermissions, message, successCallback, errorCallback.bind(null, requestId));
  };

  const deleteReply = (_ref3) => {
    let {
      id,
      permissions,
      successCallback
    } = _ref3;
    api.getThreadedCommentsAPI(false).deleteComment({
      fileId,
      commentId: id,
      permissions,
      successCallback,
      errorCallback: errorCallback.bind(null, id)
    });
  };

  const editReply = (_ref4) => {
    let {
      id,
      message,
      permissions,
      successCallback
    } = _ref4;
    api.getThreadedCommentsAPI(false).updateComment({
      fileId,
      commentId: id,
      message,
      permissions,
      successCallback,
      errorCallback: errorCallback.bind(null, id)
    });
  };

  return {
    createReply,
    deleteReply,
    editReply
  };
};

export default useRepliesAPI;
//# sourceMappingURL=useRepliesAPI.js.map