function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from 'react';
import classNames from 'classnames';
import noop from 'lodash/noop';
import { injectIntl } from 'react-intl';
import PlainButton from '../../../../components/plain-button';
import { ButtonType } from '../../../../components/button';
import './AnnotationActivityLink.scss';

const AnnotationActivityLink = (_ref) => {
  let {
    className,
    id,
    intl,
    isDisabled = false,
    message,
    onClick = noop
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["className", "id", "intl", "isDisabled", "message", "onClick"]);

  const {
    values
  } = message,
        messageDescriptor = _objectWithoutProperties(message, ["values"]);

  const translatedMessage = intl.formatMessage(messageDescriptor, values);

  const handleClick = event => {
    event.preventDefault();
    event.stopPropagation();
    event.currentTarget.focus(); // Buttons do not receive focus in Firefox and Safari on MacOS

    onClick(id);
  };

  const handleMouseDown = event => {
    if (isDisabled) {
      return;
    } // Prevents document event handlers from executing because box-annotations relies on
    // detecting mouse events on the document outside of annotation targets to determine when to
    // deselect annotations. This link also may represent that annotation target in the sidebar.


    event.nativeEvent.stopImmediatePropagation();
  };

  return React.createElement(PlainButton, _extends({
    className: classNames('bcs-AnnotationActivityLink', className),
    "data-testid": "bcs-AnnotationActivity-link",
    isDisabled: isDisabled,
    onClick: handleClick,
    onMouseDown: handleMouseDown,
    title: translatedMessage,
    type: ButtonType.BUTTON
  }, rest), React.createElement("span", {
    className: "bcs-AnnotationActivityLink-message"
  }, translatedMessage));
};

export { AnnotationActivityLink as AnnotationActivityLinkBase };
export default injectIntl(AnnotationActivityLink);
//# sourceMappingURL=AnnotationActivityLink.js.map