import * as React from 'react';
import { FormattedMessage, injectIntl } from 'react-intl';
import noop from 'lodash/noop';
import ArrowArcRight from '../../../../icon/fill/ArrowArcRight';
import PlainButton from '../../../../components/plain-button';
import CommentForm from '../comment-form';
import messages from './messages';
import './CreateReply.scss';

const CreateReply = (_ref) => {
  let {
    mentionSelectorContacts,
    getMentionWithQuery,
    isDisabled = false,
    intl,
    onFocus = noop,
    onCancel,
    onSubmit,
    onClick,
    placeholder = intl.formatMessage(messages.replyInThread),
    showReplyForm
  } = _ref;

  const handleSubmit = (_ref2) => {
    let {
      text
    } = _ref2;
    onSubmit(text);
  };

  return React.createElement("div", {
    className: "bcs-CreateReply"
  }, showReplyForm && !isDisabled ? React.createElement(CommentForm, {
    className: "bcs-CreateReply-form",
    createComment: handleSubmit,
    getMentionWithQuery: getMentionWithQuery,
    isOpen: true,
    isEditing: true,
    mentionSelectorContacts: mentionSelectorContacts,
    onCancel: onCancel,
    onFocus: onFocus,
    placeholder: placeholder,
    shouldFocusOnOpen: true,
    showTip: false
  }) : React.createElement(PlainButton, {
    className: "bcs-CreateReply-toggle",
    onClick: onClick,
    type: "button",
    isDisabled: isDisabled
  }, React.createElement(ArrowArcRight, {
    className: "bcs-CreateReply-arrow"
  }), React.createElement(FormattedMessage, messages.reply)));
};

export default injectIntl(CreateReply);
//# sourceMappingURL=CreateReply.js.map