function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import messages from './messages';
import PlainButton from '../../../../components/plain-button';
import './RepliesToggle.scss';

const RepliesToggle = (_ref) => {
  let {
    onShowReplies,
    onHideReplies,
    repliesShownCount,
    repliesTotalCount
  } = _ref;

  if (repliesTotalCount <= 1) {
    return null;
  }

  const hasMoreRepliesToShow = repliesTotalCount > repliesShownCount;
  const toggleMessage = hasMoreRepliesToShow ? messages.showReplies : messages.hideReplies;
  const repliesToLoadCount = Math.max(repliesTotalCount - repliesShownCount, 0);

  const handleToggle = () => {
    if (hasMoreRepliesToShow) {
      onShowReplies();
    } else if (repliesShownCount) {
      onHideReplies(repliesShownCount - 1);
    }
  };

  return React.createElement(PlainButton, {
    className: "bcs-RepliesToggle",
    onClick: handleToggle,
    type: "button",
    "data-testid": "replies-toggle"
  }, React.createElement(FormattedMessage, _extends({
    values: {
      repliesToLoadCount
    }
  }, toggleMessage)));
};

export default RepliesToggle;
//# sourceMappingURL=RepliesToggle.js.map