import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import { ACTIVITY_TARGETS } from '../../../../common/interactionTargets';
import { PLACEHOLDER_USER } from '../../../../../constants';
import ActivityTimestamp from '../../common/activity-timestamp';
import Avatar from '../../Avatar';
import IconAnnotation from '../../../../../icons/two-toned/IconAnnotation';
import UserLink from '../../common/user-link';
import messages from '../messages';
import './BaseCommentInfo.scss';
export const BaseCommentInfo = (_ref) => {
  let {
    annotationActivityLink,
    created_at,
    created_by,
    getAvatarUrl,
    getUserProfileUrl
  } = _ref;
  const createdByUser = created_by || PLACEHOLDER_USER;
  const createdAtTimestamp = new Date(created_at).getTime();
  return React.createElement("div", {
    className: "bcs-BaseCommentInfo"
  }, React.createElement("div", {
    className: "bcs-BaseCommentInfo-avatar"
  }, React.createElement(Avatar, {
    badgeIcon: annotationActivityLink && React.createElement(IconAnnotation, {
      title: React.createElement(FormattedMessage, messages.inlineCommentAnnotationIconTitle)
    }),
    getAvatarUrl: getAvatarUrl,
    user: createdByUser
  })), React.createElement("div", {
    className: "bcs-BaseCommentInfo-data"
  }, React.createElement("div", {
    className: "bcs-Comment-headline"
  }, React.createElement(UserLink, {
    "data-resin-target": ACTIVITY_TARGETS.PROFILE,
    getUserProfileUrl: getUserProfileUrl,
    id: createdByUser.id,
    name: createdByUser.name
  })), React.createElement("div", {
    className: "bcs-BaseCommentInfo-data-timestamp"
  }, React.createElement(ActivityTimestamp, {
    date: createdAtTimestamp
  }), annotationActivityLink && React.createElement("div", {
    className: "bcs-BaseComment-AnnotationActivityLink"
  }, annotationActivityLink))));
};
//# sourceMappingURL=BaseCommentInfo.js.map