import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import TetherComponent from 'react-tether';
import { ACTIVITY_TARGETS } from '../../../../common/interactionTargets';
import { COMMENT_STATUS_OPEN, COMMENT_STATUS_RESOLVED } from '../../../../../constants';
import { MenuItem } from '../../../../../components/menu';
import Checkmark16 from '../../../../../icon/line/Checkmark16';
import DeleteConfirmation from '../../common/delete-confirmation';
import Media from '../../../../../components/media';
import messages from '../messages';
import Pencil16 from '../../../../../icon/line/Pencil16';
import Trash16 from '../../../../../icon/line/Trash16';
import X16 from '../../../../../icon/fill/X16';
import './BaseCommentMenu.scss';
export const BaseCommentMenu = (_ref) => {
  let {
    canDelete,
    canEdit,
    canResolve,
    handleDeleteCancel,
    handleDeleteClick,
    handleDeleteConfirm,
    handleEditClick,
    handleMenuClose,
    handleStatusUpdate,
    isConfirmingDelete,
    isResolved,
    onSelect
  } = _ref;
  return React.createElement(TetherComponent, {
    attachment: "top right",
    className: "bcs-Comment-deleteConfirmationModal",
    constraints: [{
      to: 'scrollParent',
      attachment: 'together'
    }],
    targetAttachment: "bottom right"
  }, React.createElement(Media.Menu, {
    "data-testid": "comment-actions-menu",
    dropdownProps: {
      onMenuOpen: () => onSelect(true),
      onMenuClose: handleMenuClose
    },
    className: "BaseCommentMenu",
    isDisabled: isConfirmingDelete,
    menuProps: {
      'data-resin-component': ACTIVITY_TARGETS.COMMENT_OPTIONS
    }
  }, canResolve && isResolved && React.createElement(MenuItem, {
    className: "bcs-Comment-unresolveComment",
    "data-resin-target": ACTIVITY_TARGETS.COMMENT_OPTIONS_EDIT,
    "data-testid": "unresolve-comment",
    onClick: () => handleStatusUpdate(COMMENT_STATUS_OPEN)
  }, React.createElement(X16, null), React.createElement(FormattedMessage, messages.commentUnresolveMenuItem)), canResolve && !isResolved && React.createElement(MenuItem, {
    "data-resin-target": ACTIVITY_TARGETS.COMMENT_OPTIONS_EDIT,
    "data-testid": "resolve-comment",
    onClick: () => handleStatusUpdate(COMMENT_STATUS_RESOLVED)
  }, React.createElement(Checkmark16, null), React.createElement(FormattedMessage, messages.commentResolveMenuItem)), canEdit && React.createElement(MenuItem, {
    "data-resin-target": ACTIVITY_TARGETS.COMMENT_OPTIONS_EDIT,
    "data-testid": "edit-comment",
    onClick: handleEditClick
  }, React.createElement(Pencil16, null), React.createElement(FormattedMessage, messages.commentEditMenuItem)), canDelete && React.createElement(MenuItem, {
    "aria-label": messages.commentDeleteMenuItem.defaultMessage,
    "data-resin-target": ACTIVITY_TARGETS.COMMENT_OPTIONS_DELETE,
    "data-testid": "delete-comment",
    onClick: handleDeleteClick
  }, React.createElement(Trash16, null), React.createElement(FormattedMessage, messages.commentDeleteMenuItem))), isConfirmingDelete && React.createElement(DeleteConfirmation, {
    "data-resin-component": ACTIVITY_TARGETS.COMMENT_OPTIONS,
    isOpen: isConfirmingDelete,
    message: messages.commentDeletePrompt,
    onDeleteCancel: handleDeleteCancel,
    onDeleteConfirm: handleDeleteConfirm
  }));
};
//# sourceMappingURL=BaseCommentMenu.js.map