import * as React from 'react';
import classNames from 'classnames';
import CollapsableMessageToggle from './CollapsableMessageToggle';
import './ActivityMessage.scss';
export default function CollapsableMessage(_ref) {
  let {
    children
  } = _ref;
  const [isCollapsed, setIsCollapsed] = React.useState(true);
  const [shouldCollapse, setShouldCollapse] = React.useState(false);
  const messageContainer = React.useRef(null);
  React.useLayoutEffect(() => {
    if (messageContainer.current) {
      const {
        clientHeight,
        scrollHeight
      } = messageContainer.current;
      setShouldCollapse(clientHeight !== scrollHeight);
    }
  }, []);
  return React.createElement(React.Fragment, null, React.createElement("div", {
    className: classNames({
      'bcs-ActivityMessage-collapsed': isCollapsed
    }),
    ref: messageContainer
  }, children), shouldCollapse && React.createElement(CollapsableMessageToggle, {
    isMore: isCollapsed,
    onClick: () => setIsCollapsed(prevState => !prevState)
  }));
}
//# sourceMappingURL=CollapsableMessage.js.map