function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * 
 * @file Comment component
 */
import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import Button from '../../../../../components/button';
import commonMessages from '../../../../common/messages';
import PrimaryButton from '../../../../../components/primary-button';
import { KEYS } from '../../../../../constants';
import { Overlay } from '../../../../../components/flyout';
import { ACTIVITY_TARGETS } from '../../../../common/interactionTargets';
import './DeleteConfirmation.scss';

class DeleteConfirmation extends React.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "onKeyDown", event => {
      const {
        nativeEvent
      } = event;
      const {
        isOpen,
        onDeleteCancel
      } = this.props;
      nativeEvent.stopImmediatePropagation();

      switch (event.key) {
        case KEYS.escape:
          event.stopPropagation();
          event.preventDefault();

          if (isOpen) {
            onDeleteCancel();
          }

          break;

        default:
          break;
      }
    });
  }

  render() {
    const _this$props = this.props,
          {
      isOpen,
      message,
      onDeleteCancel,
      onDeleteConfirm
    } = _this$props,
          rest = _objectWithoutProperties(_this$props, ["isOpen", "message", "onDeleteCancel", "onDeleteConfirm"]);

    return React.createElement(Overlay, _extends({
      className: "be-modal bcs-DeleteConfirmation",
      onKeyDown: this.onKeyDown,
      role: "dialog",
      shouldDefaultFocus: true,
      shouldOutlineFocus: false
    }, rest), React.createElement("div", {
      className: "bcs-DeleteConfirmation-promptMessage"
    }, React.createElement(FormattedMessage, message)), React.createElement("div", null, React.createElement(Button, {
      "aria-label": commonMessages.cancel.defaultMessage,
      className: "bcs-DeleteConfirmation-cancel",
      onClick: onDeleteCancel,
      type: "button",
      "data-resin-target": ACTIVITY_TARGETS.INLINE_DELETE_CANCEL
    }, React.createElement(FormattedMessage, commonMessages.cancel)), React.createElement(PrimaryButton, {
      "aria-label": commonMessages.delete.defaultMessage,
      className: "bcs-DeleteConfirmation-delete",
      onClick: onDeleteConfirm,
      type: "button",
      "data-resin-target": ACTIVITY_TARGETS.INLINE_DELETE_CONFIRM
    }, React.createElement(FormattedMessage, commonMessages.delete))));
  }

}

export default DeleteConfirmation;
//# sourceMappingURL=DeleteConfirmation.js.map