function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import classnames from 'classnames';
import { Link } from '../../../../../components/link';
import './UserLink.scss';

class UserLink extends React.PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "state", {});

    _defineProperty(this, "getProfileUrlHandler", profileUrl => {
      this.setState({
        profileUrl
      });
    });
  }

  /**
   * Gets the profile URL for the user from the getUserProfileUrl prop
   *
   * @return {Promise} a promise which resolves with the profileUrl string
   */
  getUserProfileUrl() {
    const {
      id,
      getUserProfileUrl
    } = this.props;

    if (!getUserProfileUrl) {
      return Promise.resolve();
    }

    return getUserProfileUrl(id).then(this.getProfileUrlHandler);
  }

  componentDidMount() {
    this.getUserProfileUrl();
  }

  render() {
    const _this$props = this.props,
          {
      name,
      getUserProfileUrl,
      className
    } = _this$props,
          rest = _objectWithoutProperties(_this$props, ["name", "getUserProfileUrl", "className"]);

    const {
      profileUrl
    } = this.state;
    return profileUrl ? React.createElement(Link, _extends({
      className: classnames('bcs-UserLink', className)
    }, rest, {
      href: profileUrl
    }), name) : React.createElement("span", rest, name);
  }

}

export default UserLink;
//# sourceMappingURL=UserLink.js.map