/**
 * 
 * @file i18n messages
 * @author Box
 */
import { defineMessages } from 'react-intl';
const messages = defineMessages({
  taskCollaboratorLoadErrorMessage: {
    "id": "be.contentSidebar.activityFeed.taskNew.taskCollaboratorLoadErrorMessage",
    "defaultMessage": "An error has occurred while loading collaborators for this task. Please try again."
  },
  taskShowMoreAssignees: {
    "id": "be.contentSidebar.activityFeed.taskNew.taskShowMoreAssignees",
    "defaultMessage": "Show {additionalAssigneeCount} More"
  },
  taskShowMoreAssigneesOverflow: {
    "id": "be.contentSidebar.activityFeed.taskNew.taskShowMoreAssigneesOverflow",
    "defaultMessage": "{additionalAssigneeCount, plural, one {Show #+ More} other {Show #+ More}}"
  },
  taskShowLessAssignees: {
    "id": "be.contentSidebar.activityFeed.taskNew.taskShowLessAssignees",
    "defaultMessage": "Show Less"
  },
  taskDueDateLabel: {
    "id": "be.contentSidebar.activityFeed.taskNew.taskDueDateLabel",
    "defaultMessage": "Due: {date}"
  },
  tasksFeedApproveAction: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedApproveAction",
    "defaultMessage": "Approve"
  },
  tasksFeedCompleteAction: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedCompleteAction",
    "defaultMessage": "Mark as Complete"
  },
  tasksFeedRejectAction: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedRejectAction",
    "defaultMessage": "Reject"
  },
  tasksFeedViewDetailsAction: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedViewDetailsAction",
    "defaultMessage": "View Task Details"
  },
  tasksFeedCompletedLabel: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedCompletedLabel",
    "defaultMessage": "Completed"
  },
  taskFeedCompletedUppercaseLabel: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedCompletedUppercaseLabel",
    "defaultMessage": "COMPLETED"
  },
  tasksFeedApprovedLabel: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedApprovedLabel",
    "defaultMessage": "Approved"
  },
  taskFeedApprovedUppercaseLabel: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedApprovedUppercaseLabel",
    "defaultMessage": "APPROVED"
  },
  tasksFeedRejectedLabel: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedRejectedLabel",
    "defaultMessage": "Rejected"
  },
  taskFeedRejectedUppercaseLabel: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedRejectedUppercaseLabel",
    "defaultMessage": "REJECTED"
  },
  tasksFeedInProgressLabel: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedInProgressLabel",
    "defaultMessage": "In Progress"
  },
  taskFeedInProgressUppercaseLabel: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedInProgressUppercaseLabel",
    "defaultMessage": "IN PROGRESS"
  },
  tasksFeedHeadlineApprovalCurrentUser: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedHeadlineApprovalCurrentUser",
    "defaultMessage": "{user} assigned you an Approval Task"
  },
  tasksFeedHeadlineApproval: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedHeadlineApproval",
    "defaultMessage": "{user} assigned an Approval Task"
  },
  tasksFeedHeadlineGeneralCurrentUser: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedHeadlineGeneralCurrentUser",
    "defaultMessage": "{user} assigned you a Task"
  },
  tasksFeedHeadlineGeneral: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedHeadlineGeneral",
    "defaultMessage": "{user} assigned a Task"
  },
  tasksFeedMoreAssigneesLabel: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedMoreAssigneesLabel",
    "defaultMessage": "See all assignees"
  },
  tasksFeedAssigneeListTitle: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedAssigneeListTitle",
    "defaultMessage": "Assignees"
  },
  tasksFeedStatusRejected: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedStatusRejected",
    "defaultMessage": "Rejected {dateTime}"
  },
  tasksFeedStatusApproved: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedStatusApproved",
    "defaultMessage": "Approved {dateTime}"
  },
  tasksFeedStatusCompleted: {
    "id": "be.contentSidebar.activityFeed.taskNew.tasksFeedStatusCompleted",
    "defaultMessage": "Completed {dateTime}"
  },
  taskFeedStatusDue: {
    "id": "be.contentSidebar.activityFeed.taskNew.taskFeedStatusDue",
    "defaultMessage": "DUE {dateTime}"
  },
  taskAssignmentCompleted: {
    "id": "be.contentSidebar.activityFeed.taskNew.taskAssignmentCompleted",
    "defaultMessage": "Completed"
  },
  taskDeleteMenuItem: {
    "id": "be.contentSidebar.activityFeed.task.taskDeleteMenuItem",
    "defaultMessage": "Delete task"
  },
  taskEditMenuItem: {
    "id": "be.contentSidebar.activityFeed.task.taskEditMenuItem",
    "defaultMessage": "Modify task"
  },
  taskDeletePrompt: {
    "id": "be.contentSidebar.activityFeed.task.taskDeletePrompt",
    "defaultMessage": "Are you sure you want to permanently delete this task?"
  },
  taskAnyAffordanceTooltip: {
    "id": "be.contentSidebar.activityFeed.task.taskAnyAffordanceTooltip",
    "defaultMessage": "Only one assignee is required to complete this task"
  },
  taskMultipleFilesAffordanceTooltip: {
    "id": "be.contentSidebar.activityFeed.task.taskMultipleFilesAffordanceTooltip",
    "defaultMessage": "There are multiple files associated with this task"
  },
  generalTaskAnnotationIconTitle: {
    "id": "be.contentSidebar.activityFeed.task.generalTaskAnnotationIconTitle",
    "defaultMessage": "General Task"
  },
  approvalTaskAnnotationIconTitle: {
    "id": "be.contentSidebar.activityFeed.task.approvalTaskAnnotationIconTitle",
    "defaultMessage": "Approval Task"
  }
});
export default messages;
//# sourceMappingURL=messages.js.map