function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * 
 * @file Version component
 */
import * as React from 'react';
import { FormattedMessage, injectIntl } from 'react-intl';
import ActivityCard from '../ActivityCard';
import IconInfo from '../../../../icons/general/IconInfo';
import messages from '../../../common/messages';
import PlainButton from '../../../../components/plain-button';
import selectors from '../../../common/selectors/version';
import { ACTIVITY_TARGETS } from '../../../common/interactionTargets';
import { FILE_REQUEST_NAME, VERSION_UPLOAD_ACTION, VERSION_DELETE_ACTION, VERSION_PROMOTE_ACTION, VERSION_RESTORE_ACTION } from '../../../../constants';
import './Version.scss';
const ACTION_MAP = {
  [VERSION_DELETE_ACTION]: messages.versionDeleted,
  [VERSION_PROMOTE_ACTION]: messages.versionPromoted,
  [VERSION_RESTORE_ACTION]: messages.versionRestored,
  [VERSION_UPLOAD_ACTION]: messages.versionUploaded
};

const Version = props => {
  // $FlowFixMe
  const action = selectors.getVersionAction(props);
  const {
    id,
    intl,
    onInfo,
    version_number,
    version_promoted
  } = props; // $FlowFixMe

  const user = selectors.getVersionUser(props);
  const name = user.name === FILE_REQUEST_NAME ? intl.formatMessage(messages.fileRequestDisplayName) : user.name;
  return React.createElement(ActivityCard, {
    className: "bcs-Version"
  }, React.createElement("span", {
    className: "bcs-Version-message"
  }, React.createElement(FormattedMessage, _extends({}, ACTION_MAP[action], {
    values: {
      name: React.createElement("strong", null, name),
      version_number,
      version_promoted
    }
  }))), onInfo ? React.createElement("span", {
    className: "bcs-Version-actions"
  }, React.createElement(PlainButton, {
    "aria-label": intl.formatMessage(messages.getVersionInfo),
    className: "bcs-Version-info",
    "data-resin-target": ACTIVITY_TARGETS.VERSION_CARD,
    onClick: () => {
      onInfo({
        id,
        version_number
      });
    },
    type: "button"
  }, React.createElement(IconInfo, {
    height: 16,
    width: 16
  }))) : null);
};

export { Version as VersionBase };
export default injectIntl(Version);
//# sourceMappingURL=Version.js.map