function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * 
 * @file Preview sidebar additional tabs component
 * @author Box
 */
import React, { PureComponent } from 'react';
import AdditionalTab from './AdditionalTab';
import AdditionalTabsLoading from './AdditionalTabsLoading';
import './AdditionalTabs.scss';

class AdditionalTabs extends PureComponent {
  constructor(props) {
    super(props);

    _defineProperty(this, "numLoadedTabs", 0);

    _defineProperty(this, "onImageLoad", () => {
      const {
        tabs
      } = this.props;

      if (!tabs) {
        return;
      }

      const hasMoreTab = tabs.find(tab => tab.id < 0 && !tab.iconUrl);
      const numTabs = tabs.length - (hasMoreTab ? 1 : 0);
      this.numLoadedTabs += 1;

      if (this.numLoadedTabs === numTabs) {
        this.setState({
          isLoading: false
        });
      }
    });

    this.state = {
      isLoading: true
    };
  }
  /**
   * Handles an individual icon image load
   *
   * @return {void}
   */


  render() {
    const {
      tabs
    } = this.props;
    const {
      isLoading
    } = this.state;
    return React.createElement("div", {
      className: "bdl-AdditionalTabs"
    }, isLoading && React.createElement(AdditionalTabsLoading, null), tabs && tabs.map(tabData => React.createElement(AdditionalTab, _extends({
      key: tabData.id,
      onImageLoad: this.onImageLoad,
      isLoading: isLoading
    }, tabData))));
  }

}

export default AdditionalTabs;
//# sourceMappingURL=AdditionalTabs.js.map