/**
 * 
 * @file Skills card component
 * @author Box
 */
import React from 'react';
import Status from './status';
import Transcript from './transcript';
import Keywords from './keywords';
import Faces from './faces';
import { SKILLS_TRANSCRIPT, SKILLS_KEYWORD, SKILLS_TIMELINE, SKILLS_FACE, SKILLS_STATUS } from '../../../constants';

const SidebarSkillsCard = (_ref) => {
  let {
    card,
    cards,
    hasError,
    isEditable,
    onSkillChange,
    getViewer
  } = _ref;

  switch (card.skill_card_type) {
    case SKILLS_KEYWORD:
      return React.createElement(Keywords, {
        card: card,
        getViewer: getViewer,
        hasError: hasError,
        isEditable: isEditable,
        onSkillChange: onSkillChange,
        transcript: isEditable ? cards.find((_ref2) => {
          let {
            skill_card_type
          } = _ref2;
          return skill_card_type === SKILLS_TRANSCRIPT;
        }) : undefined
      });

    case SKILLS_TIMELINE:
    case SKILLS_FACE:
      return React.createElement(Faces, {
        card: card,
        getViewer: getViewer,
        hasError: hasError,
        isEditable: isEditable,
        onSkillChange: onSkillChange
      });

    case SKILLS_TRANSCRIPT:
      return React.createElement(Transcript, {
        card: card,
        getViewer: getViewer,
        hasError: hasError,
        isEditable: isEditable,
        onSkillChange: onSkillChange
      });

    case SKILLS_STATUS:
      return React.createElement(Status, {
        card: card
      });

    default:
      return null;
  }
};

export default SidebarSkillsCard;
//# sourceMappingURL=SidebarSkillsCard.js.map