function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * 
 * @file Read Only Keywords Card component
 * @author Box
 */
import * as React from 'react';
import PillCloud from '../../../../components/pill-cloud/PillCloud';
import { SKILLS_TARGETS, INTERACTION_TARGET } from '../../../common/interactionTargets';
import Timeline from '../timeline';
import getPills from './keywordUtils';
import './ReadOnlyKeywords.scss';

class ReadOnlyselecteds extends React.PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "state", {
      selectedIndex: -1
    });

    _defineProperty(this, "onSelect", pill => {
      const {
        selectedIndex
      } = this.state;
      const newIndex = pill.value;
      this.setState({
        selectedIndex: selectedIndex === newIndex ? -1 : newIndex
      });
    });
  }

  /**
   * Renders the keywords
   *
   * @private
   * @return {void}
   */
  render() {
    const {
      keywords,
      getViewer,
      duration
    } = this.props;
    const {
      selectedIndex
    } = this.state;
    const options = getPills(keywords);
    const selected = keywords[selectedIndex];
    const pillCloudProps = selected ? {
      selectedOptions: [options[selectedIndex]]
    } : {};
    return React.createElement(React.Fragment, null, React.createElement(PillCloud, _extends({
      onSelect: this.onSelect,
      options: options
    }, pillCloudProps, {
      buttonProps: {
        [INTERACTION_TARGET]: SKILLS_TARGETS.KEYWORDS.SELECT
      }
    })), !!selected && Array.isArray(selected.appears) && selected.appears.length > 0 && React.createElement(Timeline, {
      duration: duration,
      getViewer: getViewer,
      interactionTarget: SKILLS_TARGETS.KEYWORDS.TIMELINE,
      text: selected.text,
      timeslices: selected.appears
    }));
  }

}

export default ReadOnlyselecteds;
//# sourceMappingURL=ReadOnlyKeywords.js.map