/**
 * 
 * @file Read only transcript row component
 * @author Box
 */
import * as React from 'react';
import PlainButton from '../../../../components/plain-button/PlainButton';

const ReadOnlyTranscriptRow = (_ref) => {
  let {
    time,
    text = '',
    onClick,
    interactionTarget
  } = _ref;
  return React.createElement(PlainButton, {
    className: "be-transcript-row",
    "data-resin-target": interactionTarget,
    onClick: onClick,
    type: "button"
  }, time && React.createElement("div", {
    className: "be-transcript-time"
  }, time), React.createElement("div", {
    className: "be-transcript-text"
  }, text));
};

export default ReadOnlyTranscriptRow;
//# sourceMappingURL=ReadOnlyTranscriptRow.js.map