function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * 
 * @file Versions Item Retention component
 * @author Box
 */
import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import { ReadableTime } from '../../../components/time';
import { VERSION_RETENTION_DELETE_ACTION, VERSION_RETENTION_REMOVE_ACTION, VERSION_RETENTION_INDEFINITE } from '../../../constants';
import messages from './messages';
const RETENTION_MAP = {
  [VERSION_RETENTION_DELETE_ACTION]: messages.versionRetentionDelete,
  [VERSION_RETENTION_REMOVE_ACTION]: messages.versionRetentionRemove
};

const VersionsItemRetention = (_ref) => {
  let {
    retention
  } = _ref;
  const {
    disposition_at: dispositionAt,
    winning_retention_policy: retentionPolicy
  } = retention || {};
  const {
    disposition_action: dispositionAction,
    retention_length: retentionLength
  } = retentionPolicy || {};
  const dispositionAtTime = dispositionAt && new Date(dispositionAt).getTime();

  if (!dispositionAction) {
    return null;
  }

  return retentionLength === VERSION_RETENTION_INDEFINITE || !dispositionAtTime ? React.createElement(FormattedMessage, messages.versionRetentionIndefinite) : React.createElement(FormattedMessage, _extends({}, RETENTION_MAP[dispositionAction], {
    values: {
      time: React.createElement(ReadableTime, {
        timestamp: dispositionAtTime,
        showWeekday: true
      })
    }
  }));
};

export default VersionsItemRetention;
//# sourceMappingURL=VersionsItemRetention.js.map