import { defineMessages } from 'react-intl';
const messages = defineMessages({
  fileRequestDisplayName: {
    "id": "be.sidebarVersions.fileRequestDisplayName",
    "defaultMessage": "File Request"
  },
  versionsEmpty: {
    "id": "be.sidebarVersions.empty",
    "defaultMessage": "No prior versions are available for this file."
  },
  versionsPriorWeek: {
    "id": "be.sidebarVersions.priorWeek",
    "defaultMessage": "Last Week"
  },
  versionsThisMonth: {
    "id": "be.sidebarVersions.thisMonth",
    "defaultMessage": "This Month"
  },
  versionsToday: {
    "id": "be.sidebarVersions.today",
    "defaultMessage": "Today"
  },
  versionsYesterday: {
    "id": "be.sidebarVersions.yesterday",
    "defaultMessage": "Yesterday"
  },
  versionsTitle: {
    "id": "be.sidebarVersions.title",
    "defaultMessage": "Version History"
  },
  versionCurrent: {
    "id": "be.sidebarVersions.current",
    "defaultMessage": "Current Version"
  },
  versionActionDelete: {
    "id": "be.sidebarVersions.delete",
    "defaultMessage": "Delete"
  },
  versionActionDeleteError: {
    "id": "be.sidebarVersions.deleteError",
    "defaultMessage": "File version could not be deleted."
  },
  versionActionDisabledRetention: {
    "id": "be.sidebarVersions.disabledByRetention",
    "defaultMessage": "Disabled by retention policy"
  },
  versionActionDownload: {
    "id": "be.sidebarVersions.download",
    "defaultMessage": "Download"
  },
  versionActionDownloadError: {
    "id": "be.sidebarVersions.downloadError",
    "defaultMessage": "File version could not be downloaded."
  },
  versionActionPreview: {
    "id": "be.sidebarVersions.preview",
    "defaultMessage": "Preview"
  },
  versionActionPromote: {
    "id": "be.sidebarVersions.promote",
    "defaultMessage": "Make Current"
  },
  versionActionPromoteError: {
    "id": "be.sidebarVersions.promoteError",
    "defaultMessage": "File version could not be made current."
  },
  versionActionRestore: {
    "id": "be.sidebarVersions.restore",
    "defaultMessage": "Restore"
  },
  versionActionRestoreError: {
    "id": "be.sidebarVersions.restoreError",
    "defaultMessage": "File version could not be restored."
  },
  versionActionToggle: {
    "id": "be.sidebarVersions.toggle",
    "defaultMessage": "Toggle Actions Menu"
  },
  versionDeletedBy: {
    "id": "be.sidebarVersions.deletedBy",
    "defaultMessage": "Deleted by {name}"
  },
  versionFetchError: {
    "id": "be.sidebarVersions.fetchError",
    "defaultMessage": "File versions could not be retrieved."
  },
  versionNotAvailable: {
    "id": "be.sidebarVersions.notAvailable",
    "defaultMessage": "Sorry, version history is not available with your current account plan. To access versioning, select from one of our paid plans."
  },
  versionLimitExceeded: {
    "id": "be.sidebarVersions.versionLimitExceeded",
    "defaultMessage": "You are limited to the last {versionLimit, number} {versionLimit, plural, one {version} other {versions}}."
  },
  versionNumberBadge: {
    "id": "be.sidebarVersions.versionNumberBadge",
    "defaultMessage": "V{versionNumber}"
  },
  versionNumberLabel: {
    "id": "be.sidebarVersions.versionNumberLabel",
    "defaultMessage": "Version number {versionNumber}"
  },
  versionPromotedBy: {
    "id": "be.sidebarVersions.promotedBy",
    "defaultMessage": "Promoted from v{versionPromoted} by {name}"
  },
  versionRestoredBy: {
    "id": "be.sidebarVersions.restoredBy",
    "defaultMessage": "Restored by {name}"
  },
  versionServerError: {
    "id": "be.sidebarVersions.serverError",
    "defaultMessage": "Server Error"
  },
  versionUpgradeLink: {
    "id": "be.sidebarVersions.upgradeLink",
    "defaultMessage": "Upgrade Now"
  },
  versionUploadedBy: {
    "id": "be.sidebarVersions.uploadedBy",
    "defaultMessage": "Uploaded by {name}"
  },
  versionUserUnknown: {
    "id": "be.sidebarVersions.versionUserUnknown",
    "defaultMessage": "Unknown"
  },
  versionMaxEntries: {
    "id": "be.sidebarVersions.versionMaxEntries",
    "defaultMessage": "Version history is limited to the last {maxVersions} entries."
  },
  versionRetentionDelete: {
    "id": "be.sidebarVersions.versionRetentionDelete",
    "defaultMessage": "Will be deleted {time} by retention policy."
  },
  versionRetentionIndefinite: {
    "id": "be.sidebarVersions.versionRetentionIndefinite",
    "defaultMessage": "Retained indefinitely by retention policy."
  },
  versionRetentionRemove: {
    "id": "be.sidebarVersions.versionRetentionRemove",
    "defaultMessage": "Retention policy expires on {time}."
  },
  versionUpsell: {
    "id": "be.sidebarVersions.versionUpsell",
    "defaultMessage": "Sorry, version history is not available with your current account plan. To access versioning, select from one of our paid plans."
  },
  upgradeButton: {
    "id": "be.sidebarVersions.upgradeButton",
    "defaultMessage": "Upgrade"
  }
});
export default messages;
//# sourceMappingURL=messages.js.map