/**
 * 
 * @file Input element for folder/file upload
 * @author Box
 */
import * as React from 'react';

const UploadInput = (_ref) => {
  let {
    handleChange,
    inputLabel,
    inputLabelClass = '',
    isFolderUpload = false,
    isMultiple = true
  } = _ref;
  const inputRef = React.useRef(null);

  const onKeyDown = e => {
    if (e.key === 'Enter' || e.key === ' ') {
      if (inputRef.current) {
        inputRef.current.click();
      }
    }
  };

  return inputLabel ? React.createElement("label", {
    className: inputLabelClass,
    onKeyDown: onKeyDown,
    tabIndex: 0
  }, inputLabel, React.createElement("input", {
    ref: inputRef,
    directory: isFolderUpload ? '' : undefined,
    multiple: isMultiple,
    onChange: handleChange,
    type: "file",
    webkitdirectory: isFolderUpload ? '' : undefined
  })) : null;
};

export default UploadInput;
//# sourceMappingURL=UploadInput.js.map