function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * 
 * @file Uploads Manager action component
 */
import React from 'react';
import { FormattedMessage } from 'react-intl';
import messages from '../common/messages';
import PrimaryButton from '../../components/primary-button';
import { STATUS_ERROR } from '../../constants';
import { RESIN_TAG_TARGET } from '../../common/variables';
import './UploadsManagerAction.scss';

const UploadsManagerAction = (_ref) => {
  let {
    onClick,
    hasMultipleFailedUploads
  } = _ref;

  const handleResumeClick = event => {
    event.stopPropagation();
    onClick(STATUS_ERROR);
  };

  const resumeMessage = hasMultipleFailedUploads ? messages.resumeAll : messages.resume;
  const resin = {
    [RESIN_TAG_TARGET]: 'uploadresumeheader'
  };
  return React.createElement("div", {
    className: "bcu-uploads-manager-action"
  }, React.createElement(PrimaryButton, _extends({
    onClick: handleResumeClick,
    type: "button"
  }, resin), React.createElement(FormattedMessage, resumeMessage)));
};

export default UploadsManagerAction;
//# sourceMappingURL=UploadsManagerAction.js.map