function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * 
 * @file Base class for the Content Explorer ES6 wrapper
 * @author Box
 */
import React from 'react';
import { render } from 'react-dom';
import ES6Wrapper from './ES6Wrapper';
import ContentExplorerReactComponent from '../content-explorer';

class ContentExplorer extends ES6Wrapper {
  constructor() {
    super(...arguments);

    _defineProperty(this, "onSelect", data => {
      this.emit('select', data);
    });

    _defineProperty(this, "onNavigate", data => {
      this.emit('navigate', data);
    });

    _defineProperty(this, "onRename", data => {
      this.emit('rename', data);
    });

    _defineProperty(this, "onPreview", data => {
      this.emit('preview', data);
    });

    _defineProperty(this, "onDownload", data => {
      this.emit('download', data);
    });

    _defineProperty(this, "onDelete", data => {
      this.emit('delete', data);
    });

    _defineProperty(this, "onUpload", data => {
      this.emit('upload', data);
    });

    _defineProperty(this, "onCreate", data => {
      this.emit('create', data);
    });
  }

  /**
   * Helper to programatically navigate
   *
   * @param {string} id - string folder id
   * @return {void}
   */
  navigateTo(id) {
    const component = this.getComponent();

    if (component && typeof component.clearCache === 'function') {
      component.fetchFolder(id);
    }
  }
  /** @inheritdoc */


  render() {
    render(React.createElement(ContentExplorerReactComponent, _extends({
      language: this.language,
      messages: this.messages,
      rootFolderId: this.id,
      token: this.token,
      componentRef: this.setComponent,
      onDelete: this.onDelete,
      onDownload: this.onDownload,
      onPreview: this.onPreview,
      onRename: this.onRename,
      onSelect: this.onSelect,
      onUpload: this.onUpload,
      onCreate: this.onCreate,
      onNavigate: this.onNavigate,
      onInteraction: this.onInteraction
    }, this.options)), this.container);
  }

}

global.Box = global.Box || {};
global.Box.ContentExplorer = ContentExplorer;
export default ContentExplorer;
//# sourceMappingURL=ContentExplorer.js.map