function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * 
 * @file Base class for the Content Picker ES6 wrapper
 * @author Box
 */
import React from 'react';
import { render } from 'react-dom';
import ES6Wrapper from './ES6Wrapper';
import ContentPickerPopup from '../content-picker/ContentPickerPopup';
import ContentPickerReactComponent from '../content-picker/ContentPicker';
import { TYPE_FOLDER, TYPE_FILE, TYPE_WEBLINK, CLIENT_NAME_CONTENT_PICKER } from '../../constants';

class ContentPicker extends ES6Wrapper {
  constructor() {
    super(...arguments);

    _defineProperty(this, "onChoose", data => {
      this.emit('choose', data);
    });

    _defineProperty(this, "onCancel", () => {
      this.emit('cancel');
    });
  }

  /**
   * Returns the type of content picker
   *
   * @return {void}
   */
  getType() {
    const {
      type
    } = this.options || {};
    return type || "".concat(TYPE_FOLDER, ",").concat(TYPE_FILE, ",").concat(TYPE_WEBLINK);
  }
  /**
   * Returns the name for content picker
   *
   * @return {void}
   */


  getClientName() {
    return CLIENT_NAME_CONTENT_PICKER;
  }
  /** @inheritdoc */


  render() {
    const _this$options = this.options,
          {
      modal
    } = _this$options,
          rest = _objectWithoutProperties(_this$options, ["modal"]);

    const PickerComponent = modal ? ContentPickerPopup : ContentPickerReactComponent;
    render(React.createElement(PickerComponent, _extends({
      clientName: this.getClientName(),
      componentRef: this.setComponent,
      language: this.language,
      messages: this.messages,
      modal: modal,
      onCancel: this.onCancel,
      onChoose: this.onChoose,
      rootFolderId: this.id,
      token: this.token,
      type: this.getType()
    }, rest)), this.container);
  }

}

export default ContentPicker;
//# sourceMappingURL=ContentPicker.js.map