function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * 
 * @file Base class for the Content Preview ES6 wrapper
 * @author Box
 */
import React from 'react';
import { render } from 'react-dom';
import ES6Wrapper from './ES6Wrapper';
import ContentPreviewResponsive from '../content-preview';

class ContentPreview extends ES6Wrapper {
  /**
   * Helper to programmatically refresh the preview's sidebar panel
   * @returns {void}
   */
  refreshSidebar() {
    this.getComponent().refreshSidebar();
  }
  /** @inheritdoc */


  render() {
    render(React.createElement(ContentPreviewResponsive, _extends({
      componentRef: this.setComponent,
      fileId: this.id,
      language: this.language,
      messages: this.messages,
      onInteraction: this.onInteraction,
      token: this.token
    }, this.options)), this.container);
  }

}

global.Box = global.Box || {};
global.Box.ContentPreview = ContentPreview;
export default ContentPreview;
//# sourceMappingURL=ContentPreview.js.map