function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * 
 * @file Base class for the Content Sharing ES6 wrapper
 * @author Box
 */
import * as React from 'react';
import uniqueId from 'lodash/uniqueId';
import { render } from 'react-dom';
import ES6Wrapper from './ES6Wrapper';
import ContentSharingReactComponent from '../content-sharing';
import { ITEM_TYPE_FILE } from '../../common/constants';

class ContentSharing extends ES6Wrapper {
  /** @inheritdoc */
  render() {
    const {
      itemType
    } = this.options;
    render(React.createElement(ContentSharingReactComponent, _extends({
      itemID: this.id,
      itemType: itemType || ITEM_TYPE_FILE,
      language: this.language,
      messages: this.messages,
      token: this.token,
      uuid: uniqueId('contentSharing_')
    }, this.options)), this.container);
  }

}

global.Box = global.Box || {};
global.Box.ContentSharing = ContentSharing;
export default ContentSharing;
//# sourceMappingURL=ContentSharing.js.map