function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * 
 * @file Base class for the Content Sidebar ES6 wrapper
 * @author Box
 */
import React from 'react';
import { render } from 'react-dom';
import ES6Wrapper from './ES6Wrapper';
import ContentSidebarComponent from '../content-sidebar';

class ContentSidebar extends ES6Wrapper {
  /**
   * Helper to programmatically refresh the current sidebar panel
   * @returns {void}
   */
  refresh() {
    this.getComponent().refresh();
  }
  /** @inheritdoc */


  render() {
    render(React.createElement(ContentSidebarComponent, _extends({
      componentRef: this.setComponent,
      fileId: this.id,
      language: this.language,
      messages: this.messages,
      onInteraction: this.onInteraction,
      token: this.token
    }, this.options)), this.container);
  }

}

global.Box = global.Box || {};
global.Box.ContentSidebar = ContentSidebar;
export default ContentSidebar;
//# sourceMappingURL=ContentSidebar.js.map