function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * 
 * @file Base class for the Content Uploader ES6 wrapper
 * @author Box
 */
import React from 'react';
import { render } from 'react-dom';
import ES6Wrapper from './ES6Wrapper';
import ContentUploaderPopup from '../content-uploader/ContentUploaderPopup';
import WrappedContentUploaderComponent from '../content-uploader/ContentUploader';

class ContentUploader extends ES6Wrapper {
  constructor() {
    super(...arguments);

    _defineProperty(this, "onClose", () => {
      this.emit('close');
    });

    _defineProperty(this, "onComplete", data => {
      this.emit('complete', data);
    });

    _defineProperty(this, "onError", data => {
      this.emit('error', data);
    });

    _defineProperty(this, "onBeforeUpload", data => {
      this.emit('beforeupload', data);
    });

    _defineProperty(this, "onUpload", data => {
      this.emit('upload', data);
    });
  }

  /** @inheritdoc */
  render() {
    const _this$options = this.options,
          {
      modal
    } = _this$options,
          rest = _objectWithoutProperties(_this$options, ["modal"]);

    const UploaderComponent = modal ? ContentUploaderPopup : WrappedContentUploaderComponent;
    render(React.createElement(UploaderComponent, _extends({
      language: this.language,
      messages: this.messages,
      componentRef: this.setComponent,
      rootFolderId: this.id,
      token: this.token,
      onClose: this.onClose,
      onComplete: this.onComplete,
      onError: this.onError,
      onBeforeUpload: this.onBeforeUpload,
      onUpload: this.onUpload,
      modal: modal
    }, rest)), this.container);
  }

}

global.Box = global.Box || {};
global.Box.ContentUploader = ContentUploader;
export default ContentUploader;
//# sourceMappingURL=ContentUploader.js.map