function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import PlainButton from '../../components/plain-button/PlainButton';
import AccessStatsItemsList from './AccessStatsItemsList';
import messages from './messages';
import './AccessStats.scss';

const AccessStats = (_ref) => {
  let {
    commentCount = 0,
    commentStatButtonProps = {},
    downloadCount = 0,
    downloadStatButtonProps = {},
    editCount = 0,
    editStatButtonProps = {},
    errorMessage,
    hasCountOverflowed = false,
    isBoxNote = false,
    openAccessStatsModal,
    previewCount = 0,
    previewStatButtonProps = {},
    viewMoreButtonProps = {},
    viewStatButtonProps = {}
  } = _ref;
  return React.createElement("div", {
    className: "access-stats"
  }, errorMessage ? React.createElement("p", null, errorMessage) : React.createElement(React.Fragment, null, React.createElement(AccessStatsItemsList, {
    commentCount: commentCount,
    commentStatButtonProps: commentStatButtonProps,
    downloadCount: downloadCount,
    downloadStatButtonProps: downloadStatButtonProps,
    editCount: editCount,
    editStatButtonProps: editStatButtonProps,
    hasCountOverflowed: hasCountOverflowed,
    isBoxNote: isBoxNote,
    openAccessStatsModal: openAccessStatsModal,
    previewCount: previewCount,
    previewStatButtonProps: previewStatButtonProps,
    viewStatButtonProps: viewStatButtonProps
  }), openAccessStatsModal && React.createElement(PlainButton, _extends({
    className: "lnk access-stats-view-details",
    onClick: openAccessStatsModal
  }, viewMoreButtonProps), React.createElement(FormattedMessage, messages.accessStatsViewDetails))));
};

export default AccessStats;
//# sourceMappingURL=AccessStats.js.map