import * as React from 'react';
import AccessStatsItem from './AccessStatsItem';

const AccessStatsItemsList = (_ref) => {
  let {
    commentCount,
    commentStatButtonProps,
    downloadCount,
    downloadStatButtonProps,
    editCount,
    editStatButtonProps,
    hasCountOverflowed = false,
    isBoxNote,
    openAccessStatsModal,
    previewCount,
    previewStatButtonProps,
    viewStatButtonProps
  } = _ref;
  return React.createElement("ul", {
    className: "access-stats-list"
  }, React.createElement(AccessStatsItem, {
    count: previewCount,
    hasCountOverflowed: hasCountOverflowed,
    openAccessStatsModal: openAccessStatsModal,
    statButtonProps: isBoxNote ? viewStatButtonProps : previewStatButtonProps,
    type: isBoxNote ? 'view' : 'preview'
  }), React.createElement(AccessStatsItem, {
    count: editCount,
    hasCountOverflowed: hasCountOverflowed,
    openAccessStatsModal: openAccessStatsModal,
    statButtonProps: editStatButtonProps,
    type: "edit"
  }), React.createElement(AccessStatsItem, {
    count: commentCount,
    hasCountOverflowed: hasCountOverflowed,
    openAccessStatsModal: openAccessStatsModal,
    statButtonProps: commentStatButtonProps,
    type: "comment"
  }), !isBoxNote && React.createElement(AccessStatsItem, {
    count: downloadCount,
    hasCountOverflowed: hasCountOverflowed,
    openAccessStatsModal: openAccessStatsModal,
    statButtonProps: downloadStatButtonProps,
    type: "download"
  }));
};

export default AccessStatsItemsList;
//# sourceMappingURL=AccessStatsItemsList.js.map