import React from 'react';
import noop from 'lodash/noop';
import { FormattedMessage } from 'react-intl';
import InfoBadge16 from '../../icon/fill/InfoBadge16'; // @ts-ignore flow import

import Toggle from '../../components/toggle';
import Tooltip from '../../components/tooltip';
import messages from './messages';
import './AdvancedContentInsightsToggle.scss';

const AdvancedContentInsightsToggle = (_ref) => {
  let {
    hasDescription,
    hasTooltip = true,
    isChecked = false,
    isDisabled,
    onChange: _onChange = noop
  } = _ref;
  const description = React.createElement(FormattedMessage, messages.advancedContentInsightsDescription);
  const label = React.createElement(React.Fragment, null, React.createElement(FormattedMessage, isChecked ? messages.advancedContentInsightsTitleEnabled : messages.advancedContentInsightsTitleDisabled), hasTooltip && React.createElement(Tooltip, {
    text: description
  }, React.createElement("div", {
    className: "AdvancedContentInsightsToggle-icon"
  }, React.createElement(InfoBadge16, {
    height: 14,
    width: 14
  }))));
  return React.createElement(Toggle, {
    className: "AdvancedContentInsightsToggle",
    "data-testid": "insights-toggle",
    description: !hasTooltip && hasDescription && description,
    isDisabled: isDisabled,
    isOn: isChecked,
    label: label,
    onChange: () => _onChange(!isChecked)
  });
};

export default AdvancedContentInsightsToggle;
//# sourceMappingURL=AdvancedContentInsightsToggle.js.map