import * as React from 'react';
import PlainButton from '../../components/plain-button';
import Tooltip from '../../components/tooltip';
import IconSecurityClassification from '../../icons/general/IconSecurityClassification';
import SecurityBadge from '../security';
import { bdlYellow50 } from '../../styles/variables';
import './ClassifiedBadge.scss';
const ICON_SIZE = 12;

const ClassifiedBadge = (_ref) => {
  let {
    color,
    name,
    onClick,
    tooltipPosition = 'bottom-center',
    tooltipText
  } = _ref;
  const isClickable = typeof onClick === 'function';
  const isTooltipDisabled = !tooltipText;
  const badge = React.createElement(SecurityBadge, {
    className: "bdl-ClassifiedBadge",
    color: color,
    icon: React.createElement(IconSecurityClassification, {
      height: ICON_SIZE,
      width: ICON_SIZE
    }),
    message: name
  });
  return React.createElement(Tooltip, {
    isDisabled: isTooltipDisabled,
    isTabbable: false,
    position: tooltipPosition,
    text: tooltipText
  }, isClickable ? React.createElement(PlainButton, {
    className: "bdl-ClassifiedBadge-editButton",
    "data-resin-target": "editclassification",
    onClick: onClick,
    type: "button"
  }, badge) : badge);
};

ClassifiedBadge.defaultProps = {
  color: bdlYellow50
};
export default ClassifiedBadge;
//# sourceMappingURL=ClassifiedBadge.js.map