function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import { ModalActions } from '../../components/modal';
import Button from '../../components/button';
import { Link } from '../../components/link';
import CollaborationBadge from '../../icons/badges/CollaborationBadge';
import commonMessages from '../../common/messages';
import CollaboratorListItem from './CollaboratorListItem';
import messages from './messages';
import './CollaboratorList.scss';
const MAX_COLLABORATOR_LIST_SIZE = 90;

class CollaboratorList extends React.Component {
  createCollaboratorPageLink(children, trackingProp) {
    const {
      item
    } = this.props;
    const {
      type,
      id
    } = item;
    const collaboratorsPageLink = "/".concat(type, "/").concat(id, "/collaborators/");
    return React.createElement(Link, _extends({
      href: collaboratorsPageLink,
      rel: "noopener",
      target: "_blank"
    }, trackingProp), children);
  }

  render() {
    const {
      collaborators,
      onDoneClick,
      maxCollaboratorListSize,
      trackingProps
    } = this.props;
    const {
      usernameProps,
      emailProps,
      manageLinkProps,
      viewAdditionalProps,
      doneButtonProps
    } = trackingProps;
    const manageAllBtn = React.createElement("span", {
      className: "manage-all-btn"
    }, React.createElement(FormattedMessage, messages.manageAllLinkText));
    const maxListSizeToRender = Math.min(maxCollaboratorListSize, MAX_COLLABORATOR_LIST_SIZE);
    return React.createElement("div", {
      className: "usm-collaborator-list"
    }, React.createElement("div", {
      className: "manage-all-btn-container"
    }, this.createCollaboratorPageLink(manageAllBtn, manageLinkProps)), React.createElement("ul", {
      className: "be collaborator-list"
    }, collaborators.slice(0, maxListSizeToRender).map((collaborator, index) => {
      const {
        collabID,
        type
      } = collaborator;
      return React.createElement(CollaboratorListItem, {
        key: "".concat(collabID, "-").concat(type),
        collaborator: collaborator,
        index: index,
        trackingProps: {
          usernameProps,
          emailProps
        }
      });
    }), collaborators.length > maxListSizeToRender && React.createElement("li", {
      className: "collaborator-list-item more"
    }, React.createElement("div", null, React.createElement(CollaborationBadge, {
      height: 32,
      width: 32
    })), React.createElement("div", null, this.createCollaboratorPageLink(React.createElement(FormattedMessage, messages.viewAdditionalPeopleText), viewAdditionalProps)))), React.createElement(ModalActions, null, React.createElement(Button, _extends({
      className: "btn-done",
      onClick: onDoneClick,
      type: "button"
    }, doneButtonProps), React.createElement(FormattedMessage, commonMessages.done))));
  }

}

_defineProperty(CollaboratorList, "defaultProps", {
  maxCollaboratorListSize: MAX_COLLABORATOR_LIST_SIZE
});

export default CollaboratorList;
//# sourceMappingURL=CollaboratorList.js.map