function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import classnames from 'classnames';
import { FormattedMessage } from 'react-intl';
import { Link } from '../../components/link';
import { COLLAB_GROUP_TYPE, COLLAB_PENDING_TYPE } from './constants';
import messages from './messages';
import CollaboratorAvatarItem from './CollaboratorAvatarItem';
import './CollaboratorListItem.scss';

const CollaboratorListItem = props => {
  const {
    index,
    trackingProps
  } = props;
  const {
    usernameProps,
    emailProps
  } = trackingProps;
  const {
    email,
    expiration,
    hasCustomAvatar,
    name,
    type,
    imageURL,
    isExternalCollab,
    profileURL,
    translatedRole,
    userID
  } = props.collaborator;
  const userOrGroupNameContent = type !== COLLAB_GROUP_TYPE ? React.createElement("div", {
    className: classnames('name', type)
  }, React.createElement(Link, _extends({
    href: profileURL || "/profile/".concat(userID),
    rel: "noopener",
    target: "_blank"
  }, usernameProps), name)) : React.createElement("div", {
    className: classnames('name', type)
  }, name);
  const emailContent = type !== COLLAB_GROUP_TYPE && email ? React.createElement("div", {
    className: "email"
  }, React.createElement(Link, _extends({
    href: "mailto:".concat(email)
  }, emailProps), email)) : null;
  return React.createElement("li", null, React.createElement("div", {
    className: "collaborator-list-item"
  }, React.createElement("div", {
    className: "bdl-CollaboratorListItem-user user"
  }, React.createElement("div", {
    className: "info"
  }, userOrGroupNameContent, emailContent), React.createElement(CollaboratorAvatarItem, {
    allowBadging: true,
    avatarUrl: imageURL,
    email: email,
    expiration: expiration,
    hasCustomAvatar: hasCustomAvatar,
    id: index,
    isExternalCollab: isExternalCollab,
    name: name
  })), React.createElement("div", {
    className: "role"
  }, type === COLLAB_PENDING_TYPE ? React.createElement(FormattedMessage, messages.pendingCollabText) : translatedRole)));
};

export default CollaboratorListItem;
//# sourceMappingURL=CollaboratorListItem.js.map