function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from 'react';
import classNames from 'classnames';
import styled from 'styled-components';
import Tooltip from '../../components/tooltip';
import { useIsContentOverflowed } from '../../utils/dom';
import CollapsibleSidebarContext from './CollapsibleSidebarContext';
const StyledMenuItem = styled.div.withConfig({
  displayName: "CollapsibleSidebarMenuItem__StyledMenuItem",
  componentId: "sc-1fmdq8m-0"
})(["position:relative;&:hover a{background-color:", ";}&:hover a.is-currentPage{background-color:", ";}body.is-move-dragging & a:hover{background-color:", ";.bdl-CollapsibleSidebar-menuItemIcon{opacity:0.7;}}.bdl-CollapsibleSidebar-menuItemActionContainer{position:absolute;top:12px;right:8px;padding:0;opacity:0;&:hover,&:focus-within{opacity:1;}}"], (_ref) => {
  let {
    theme
  } = _ref;
  return theme.primary.backgroundHover;
}, (_ref2) => {
  let {
    theme
  } = _ref2;
  return theme.primary.backgroundActive;
}, (_ref3) => {
  let {
    theme
  } = _ref3;
  return theme.primary.background;
});
const StyledIconWrapper = styled.span.withConfig({
  displayName: "CollapsibleSidebarMenuItem__StyledIconWrapper",
  componentId: "sc-1fmdq8m-1"
})(["line-height:0;opacity:0.7;& path,& .fill-color{fill:", ";}a:active &,a:hover &,a:focus &,a.is-currentPage &{opacity:1;}"], (_ref4) => {
  let {
    theme
  } = _ref4;
  return theme.primary.foreground;
});
const StyledMenuItemLabel = styled.span.withConfig({
  displayName: "CollapsibleSidebarMenuItem__StyledMenuItemLabel",
  componentId: "sc-1fmdq8m-2"
})(["flex-grow:1;overflow:hidden;color:", ";text-overflow:ellipsis;opacity:0.85;&.overflow-action{margin-right:12px;}a:active &,a:hover &,a:focus &,a.is-currentPage &{opacity:1;}"], (_ref5) => {
  let {
    theme
  } = _ref5;
  return theme.primary.foreground;
}); // {...rest} props will go here, such as `as` prop to adjust the component name.
// In most cases the consumer will want the tag to use a `Link` instead of `a`.

const StyledLink = styled.a.withConfig({
  displayName: "CollapsibleSidebarMenuItem__StyledLink",
  componentId: "sc-1fmdq8m-3"
})(["display:flex;align-items:center;height:", "px;padding:0 ", "px;overflow-x:hidden;color:", ";font-weight:bold;white-space:nowrap;border:1px solid transparent;border-radius:", "px;transition:background-color 0.15s cubic-bezier(0.215,0.61,0.355,1);&:hover,&:active,&:focus,&.is-currentPage{.bdl-CollapsibleSidebar-menuItemIcon,.bdl-CollapsibleSidebar-menuItemLabel{opacity:1;}}&:focus{border-color:", ";outline:none;}&:focus:active{border-color:transparent;}&.is-currentPage{background-color:", ";}&.is-currentPage:active{border-color:", ";}.bdl-CollapsibleSidebar-menuItemIcon + .bdl-CollapsibleSidebar-menuItemLabel{margin-left:16px;}&.show-overflowAction + .bdl-CollapsibleSidebar-menuItemActionContainer,&:focus + .bdl-CollapsibleSidebar-menuItemActionContainer,&:hover + .bdl-CollapsibleSidebar-menuItemActionContainer{opacity:1;}"], (_ref6) => {
  let {
    theme
  } = _ref6;
  return theme.base.gridUnitPx * 10;
}, (_ref7) => {
  let {
    theme
  } = _ref7;
  return theme.base.gridUnitPx * 3;
}, (_ref8) => {
  let {
    theme
  } = _ref8;
  return theme.primary.foreground;
}, (_ref9) => {
  let {
    theme
  } = _ref9;
  return theme.base.gridUnitPx * 2;
}, (_ref10) => {
  let {
    theme
  } = _ref10;
  return theme.primary.foreground;
}, (_ref11) => {
  let {
    theme
  } = _ref11;
  return theme.primary.backgroundActive;
}, (_ref12) => {
  let {
    theme
  } = _ref12;
  return theme.primary.foreground;
});

function CollapsibleSidebarMenuItem(props) {
  const {
    className,
    content,
    icon,
    linkClassName,
    overflowAction,
    showOverflowAction,
    text,
    shouldHideTooltip = false
  } = props,
        rest = _objectWithoutProperties(props, ["className", "content", "icon", "linkClassName", "overflowAction", "showOverflowAction", "text", "shouldHideTooltip"]);

  const textRef = React.useRef(null);
  const isTextOverflowed = useIsContentOverflowed(textRef);
  const {
    isScrolling
  } = React.useContext(CollapsibleSidebarContext);
  const isShowOverflowActionOnHover = showOverflowAction === 'hover';
  const menuItemClassName = classNames('bdl-CollapsibleSidebar-menuItem', className);
  const menuItemLinkClassName = classNames('bdl-CollapsibleSidebar-menuItemLink', linkClassName, {
    'show-overflowAction': !isShowOverflowActionOnHover
  });
  const menuItemLabelClassName = classNames('bdl-CollapsibleSidebar-menuItemLabel', {
    'overflow-action': overflowAction
  });

  const renderMenuItem = () => {
    return React.createElement(StyledMenuItem, {
      className: menuItemClassName
    }, React.createElement(StyledLink, _extends({
      className: menuItemLinkClassName
    }, rest), icon && React.createElement(StyledIconWrapper, {
      className: "bdl-CollapsibleSidebar-menuItemIcon"
    }, icon), text && React.createElement(StyledMenuItemLabel, {
      ref: textRef,
      className: menuItemLabelClassName
    }, text), content), overflowAction && React.createElement("span", {
      className: "bdl-CollapsibleSidebar-menuItemActionContainer"
    }, overflowAction));
  };

  if (isScrolling) {
    return renderMenuItem();
  }

  return React.createElement(Tooltip, {
    className: classNames('bdl-CollapsibleSidebar-menuItemToolTip'),
    isDisabled: !isTextOverflowed,
    isShown: isScrolling || shouldHideTooltip ? false : undefined,
    isTabbable: false,
    position: "middle-right",
    text: text
  }, renderMenuItem());
}

export default CollapsibleSidebarMenuItem;
//# sourceMappingURL=CollapsibleSidebarMenuItem.js.map