import React, { useCallback, useState } from 'react';
import getProp from 'lodash/get';
import ContentAnswersModal from './ContentAnswersModal';
import ContentAnswersOpenButton from './ContentAnswersOpenButton'; // @ts-ignore: no ts definition
// eslint-disable-next-line import/named

const ContentAnswers = (_ref) => {
  let {
    file
  } = _ref;
  const [isModalOpen, setIsModalOpen] = useState(false);
  const [hasQuestions, setHasQuestions] = useState(false);
  const [isHighlighted, setIsHighlighted] = useState(false);
  const handleClick = useCallback(() => {
    setIsModalOpen(true);
  }, [setIsModalOpen]);
  const handleClose = useCallback(() => {
    setIsModalOpen(false);

    if (hasQuestions) {
      setIsHighlighted(true);
    }
  }, [hasQuestions]);
  const handleAsk = useCallback(() => {
    setHasQuestions(true);
  }, []);
  const currentExtension = getProp(file, 'extension');
  return React.createElement("div", {
    className: "bdl-ContentAnswers"
  }, React.createElement(ContentAnswersOpenButton, {
    "data-testid": "content-answers-open-button",
    fileExtension: currentExtension,
    isHighlighted: isHighlighted,
    isModalOpen: isModalOpen,
    onClick: handleClick
  }), React.createElement(ContentAnswersModal, {
    "data-testid": "content-answers-modal",
    file: file,
    isOpen: isModalOpen,
    onAsk: handleAsk,
    onRequestClose: handleClose
  }));
};

export default ContentAnswers;
//# sourceMappingURL=ContentAnswers.js.map