import React from 'react';
import { FormattedMessage } from 'react-intl';
import Unplugged140 from '../../illustration/Unplugged140';
import messages from './messages';
import './ContentAnswersModalError.scss';

const ContentAnswersModalError = () => {
  return React.createElement("div", {
    className: "bdl-ContentAnswersModalError"
  }, React.createElement("div", {
    className: "bdl-ContentAnswersModalError-illustration",
    "data-testid": "content-answers-modal-error-illustration"
  }, React.createElement(Unplugged140, null)), React.createElement("h2", {
    "data-testid": "content-answers-modal-error-heading"
  }, React.createElement(FormattedMessage, messages.intelligenceUnavailableHeading)), React.createElement("p", {
    "data-testid": "content-answers-modal-error-description"
  }, React.createElement(FormattedMessage, messages.intelligenceUnavailableDescription)), React.createElement("p", {
    "data-testid": "content-answers-modal-error-tryagain"
  }, React.createElement(FormattedMessage, messages.intelligenceUnavailableTryAgain)));
};

export default ContentAnswersModalError;
//# sourceMappingURL=ContentAnswersModalError.js.map