import React from 'react';
import { FormattedMessage } from 'react-intl';
import Button from '../../components/button';
import messages from './messages';
import './ContentAnswersModalFooterActions.scss';

const ContentAnswersModalFooterActions = (_ref) => {
  let {
    hasError,
    onRetry
  } = _ref;
  const retryButtonRef = React.useRef(null);
  React.useEffect(() => {
    if (retryButtonRef.current && hasError) {
      retryButtonRef.current.focus();
    }
  }, [retryButtonRef, hasError]);

  if (!hasError) {
    return null;
  }

  return React.createElement("div", {
    className: "bdl-ContentAnswersModalFooterActions",
    "data-testid": "content-answers-modal-footer-actions"
  }, React.createElement(Button, {
    setRef: ref => {
      retryButtonRef.current = ref;
    },
    className: "bdl-ContentAnswersModalFooterActions-button",
    "data-testid": "content-answers-retry-button",
    onClick: onRetry,
    size: "large"
  }, React.createElement(FormattedMessage, messages.retryResponse)));
};

export default ContentAnswersModalFooterActions;
//# sourceMappingURL=ContentAnswersModalFooterActions.js.map