import React from 'react';
import { FormattedMessage } from 'react-intl';
import BoxAi from '../../icon/line/BoxAi';
import Media from '../../components/media';
import TriangleAlert16 from '../../icon/line/TriangleAlert16';
import messages from './messages';
import './InlineError.scss';

const InlineError = () => {
  return React.createElement(Media, {
    className: "bdl-InlineError",
    "data-testid": "InlineError"
  }, React.createElement(Media.Figure, null, React.createElement("div", {
    className: "bdl-InlineError-icon"
  }, React.createElement(BoxAi, {
    height: 16,
    width: 16
  }))), React.createElement(Media.Body, null, React.createElement("div", {
    className: "bdl-InlineError-alertIcon"
  }, React.createElement(TriangleAlert16, {
    height: 20,
    width: 20
  })), React.createElement("div", {
    className: "bdl-InlineError-text"
  }, React.createElement(FormattedMessage, messages.inlineErrorText))));
};

export default InlineError;
//# sourceMappingURL=InlineError.js.map