function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import PropTypes from 'prop-types';
import React from 'react';
import { injectIntl } from 'react-intl';
import Button from '../../../components/button';
import Breadcrumb from '../../../components/breadcrumb';
import IconChevron from '../../../icons/general/IconChevron';
import IconAllFiles from '../../../icons/general/IconAllFiles';
import PlainButton from '../../../components/plain-button';
import { FoldersPathPropType } from '../prop-types';
import messages from '../messages';

const ContentExplorerBreadcrumbs = (_ref) => {
  let {
    breadcrumbProps,
    foldersPath,
    intl: {
      formatMessage
    },
    isUpButtonDisabled = false,
    onUpButtonClick,
    onBreadcrumbClick
  } = _ref;
  return React.createElement("div", {
    className: "content-explorer-breadcrumbs-container"
  }, React.createElement(Button, {
    "aria-label": formatMessage(messages.clickToGoBack),
    className: "content-explorer-breadcrumbs-up-button",
    type: "button",
    onClick: onUpButtonClick,
    isDisabled: isUpButtonDisabled
  }, React.createElement(IconChevron, {
    direction: "left",
    size: "6px",
    color: "#333"
  })), React.createElement(Breadcrumb, _extends({
    label: formatMessage(messages.breadcrumb)
  }, breadcrumbProps), foldersPath.map((folder, i) => React.createElement("div", {
    key: folder.id,
    className: "lnk"
  }, React.createElement(PlainButton, {
    className: "bdl-ContentExplorerBreadcrumbs-crumbLink",
    "data-testid": "breadcrumb-lnk",
    onClick: event => onBreadcrumbClick(i, event),
    title: folder.name
  }, i === 0 && React.createElement(IconAllFiles, null), React.createElement("span", null, folder.name))))));
};

ContentExplorerBreadcrumbs.propTypes = {
  breadcrumbProps: PropTypes.object,
  foldersPath: FoldersPathPropType.isRequired,
  intl: PropTypes.any,
  isUpButtonDisabled: PropTypes.bool,
  onUpButtonClick: PropTypes.func,
  onBreadcrumbClick: PropTypes.func
};
export { ContentExplorerBreadcrumbs as ContentExplorerBreadcrumbsBase };
export default injectIntl(ContentExplorerBreadcrumbs);
//# sourceMappingURL=ContentExplorerBreadcrumbs.js.map