import React from 'react';
import PropTypes from 'prop-types';
import { injectIntl, FormattedMessage } from 'react-intl';
import InfoBadge16 from '../../../icon/fill/InfoBadge16';
import Toggle from '../../../components/toggle';
import Tooltip from '../../../components/tooltip';
import messages from '../messages';

const ContentExplorerIncludeSubfolders = (_ref) => {
  let {
    isDisabled,
    onChange,
    tooltipMessage
  } = _ref;
  const label = React.createElement(React.Fragment, null, React.createElement(FormattedMessage, messages.includeSubfolders), tooltipMessage && React.createElement(Tooltip, {
    text: React.createElement(FormattedMessage, tooltipMessage)
  }, React.createElement(InfoBadge16, {
    className: "bdl-ContentExplorerIncludeSubfolders-icon",
    fill: "blue"
  })));
  return React.createElement(Toggle, {
    label: label,
    isDisabled: isDisabled,
    onChange: onChange
  });
};

ContentExplorerIncludeSubfolders.propTypes = {
  isDisabled: PropTypes.bool,
  onChange: PropTypes.func,
  tooltipMessage: PropTypes.object
};
export { ContentExplorerIncludeSubfolders as ContentExplorerIncludeSubfoldersBase };
export default injectIntl(ContentExplorerIncludeSubfolders);
//# sourceMappingURL=ContentExplorerIncludeSubfolders.js.map