function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import PropTypes from 'prop-types';
import React, { PureComponent } from 'react';
import { injectIntl } from 'react-intl';
import SearchForm from '../../../components/search-form';
import messages from '../messages';

class ContentExplorerSearch extends PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "handleChange", value => {
      const {
        onClearButtonClick,
        onInput
      } = this.props;

      if (onInput) {
        onInput(value);
      }

      if (onClearButtonClick && !value) {
        onClearButtonClick();
      }
    });

    _defineProperty(this, "handleSubmit", (value, event) => {
      const {
        onSubmit
      } = this.props;
      event.preventDefault();

      if (onSubmit) {
        onSubmit();
      }
    });
  }

  render() {
    const {
      intl,
      inputValue,
      searchInputProps
    } = this.props;
    return React.createElement(SearchForm, _extends({
      className: "content-explorer-search-container",
      onChange: this.handleChange,
      onSubmit: this.handleSubmit,
      placeholder: intl.formatMessage(messages.searchPlaceholder),
      useClearButton: true,
      value: inputValue
    }, searchInputProps));
  }

}

_defineProperty(ContentExplorerSearch, "propTypes", {
  intl: PropTypes.any,
  inputValue: PropTypes.string,
  onSubmit: PropTypes.func,
  onInput: PropTypes.func,
  onClearButtonClick: PropTypes.func,
  searchInputProps: PropTypes.object
});

_defineProperty(ContentExplorerSearch, "defaultProps", {
  inputValue: '',
  searchInputProps: {}
});

export { ContentExplorerSearch as ContentExplorerSearchBase };
export default injectIntl(ContentExplorerSearch);
//# sourceMappingURL=ContentExplorerSearch.js.map