import React from 'react';
import PropTypes from 'prop-types';
import { ItemTypePropType } from '../prop-types';
import IconCell from '../../../elements/common/item/IconCell';

const ItemListIcon = (_ref) => {
  let {
    type,
    extension,
    hasCollaborations = false,
    isExternallyOwned = false
  } = _ref;
  const rowData = {
    type,
    extension,
    has_collaborations: hasCollaborations,
    is_externally_owned: isExternallyOwned
  };
  return React.createElement(IconCell, {
    rowData: rowData
  });
};

ItemListIcon.propTypes = {
  type: ItemTypePropType,
  extension: PropTypes.string,
  hasCollaborations: PropTypes.bool,
  isExternallyOwned: PropTypes.bool
};
export default ItemListIcon;
//# sourceMappingURL=ItemListIcon.js.map