function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import classNames from 'classnames';
import { Flyout, Overlay, OverlayHeader } from '../../components/flyout';
import ScrollWrapper from '../../components/scroll-wrapper';
import './styles/HeaderFlyout.scss';

class HeaderFlyout extends React.Component {
  render() {
    const _this$props = this.props,
          {
      header,
      footer,
      flyoutButton,
      children,
      scrollRefFn,
      className
    } = _this$props,
          rest = _objectWithoutProperties(_this$props, ["header", "footer", "flyoutButton", "children", "scrollRefFn", "className"]);

    return React.createElement(Flyout, _extends({
      className: classNames('header-flyout', className),
      closeOnClick: false,
      constrainToWindow: true,
      offset: HeaderFlyout.panelOffset
    }, rest), flyoutButton, React.createElement(Overlay, {
      className: "header-flyout-overlay"
    }, React.createElement(OverlayHeader, null, header && React.createElement("h4", {
      className: "header-flyout-title"
    }, header)), React.createElement("div", {
      className: "header-flyout-list-container"
    }, React.createElement("div", {
      className: classNames('flyout-list-container-body', {
        'with-header': !!header,
        'with-footer': !!footer
      })
    }, children != null && React.createElement(ScrollWrapper, {
      scrollRefFn: scrollRefFn,
      shadowSize: "contain"
    }, children)), footer && React.createElement("div", {
      className: "flyout-list-container-footer"
    }, footer))));
  }

}

_defineProperty(HeaderFlyout, "panelOffset", '-4px 0px');

_defineProperty(HeaderFlyout, "defaultProps", {
  position: 'bottom-left'
});

export default HeaderFlyout;
//# sourceMappingURL=HeaderFlyout.js.map