function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import { injectIntl } from 'react-intl';
import TextareaAutosize from 'react-textarea-autosize';
import messages from './messages';

class EditableDescription extends React.PureComponent {
  constructor(props) {
    super(props);

    _defineProperty(this, "handleBlur", () => {
      const {
        value
      } = this.state;
      this.props.onDescriptionChange(value);
    });

    _defineProperty(this, "handleChange", event => {
      const {
        value
      } = event.currentTarget;
      this.setState({
        value
      });
    });

    this.state = {
      value: props.value || ''
    };
  }

  componentDidUpdate(_ref) {
    let {
      value: prevValue
    } = _ref;
    const {
      value
    } = this.props;

    if (prevValue !== value) {
      this.setState({
        value
      });
    }
  }

  render() {
    const {
      intl,
      textAreaProps
    } = this.props;
    const {
      value
    } = this.state;
    return React.createElement(TextareaAutosize, _extends({}, textAreaProps, {
      className: "description-textarea",
      maxLength: "255",
      maxRows: 6,
      onBlur: this.handleBlur,
      onChange: this.handleChange,
      placeholder: intl.formatMessage(messages.descriptionPlaceholder),
      value: value
    }));
  }

}

_defineProperty(EditableDescription, "defaultProps", {
  textAreaProps: {},
  value: ''
});

export { EditableDescription as EditableDescriptionBase };
export default injectIntl(EditableDescription);
//# sourceMappingURL=EditableDescription.js.map