function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import classNames from 'classnames';
import './styles/LeftSidebarDropWrapper.scss';

class LeftSidebarDropWrapper extends React.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "state", {
      dropZoneHover: false
    });

    _defineProperty(this, "handleDropZoneHover", () => this.setState({
      dropZoneHover: true
    }));

    _defineProperty(this, "handleDropZoneHoverLeave", () => this.setState({
      dropZoneHover: false
    }));
  }

  componentDidUpdate(prevProps) {
    const {
      showDropZoneOnHover,
      isDragging
    } = this.props; // Reset drop zone hover state if dragging has stopped without firing a mouseleave event.

    if (showDropZoneOnHover && !isDragging && prevProps.isDragging) {
      this.setState({
        dropZoneHover: false
      });
    }
  }

  render() {
    const _this$props = this.props,
          {
      children,
      className = '',
      isDragging = false,
      showDropZoneOnHover = false,
      message = '',
      dropTargetRef
    } = _this$props,
          rest = _objectWithoutProperties(_this$props, ["children", "className", "isDragging", "showDropZoneOnHover", "message", "dropTargetRef"]);

    const {
      dropZoneHover
    } = this.state;
    const shouldShowVeil = isDragging && (showDropZoneOnHover ? dropZoneHover : true);
    const hoverEventHandlers = isDragging && showDropZoneOnHover ? {
      onMouseEnter: this.handleDropZoneHover,
      onMouseLeave: this.handleDropZoneHoverLeave
    } : {};
    const classes = classNames('left-sidebar-drop-wrapper', className);
    return React.createElement("div", _extends({
      ref: dropTargetRef,
      className: classes
    }, hoverEventHandlers, rest), shouldShowVeil ? React.createElement("div", {
      className: "left-sidebar-drop-veil"
    }, React.createElement("span", {
      className: "left-sidebar-drop-wrapper-text"
    }, message)) : null, children);
  }

}

export default LeftSidebarDropWrapper;
//# sourceMappingURL=LeftSidebarDropWrapper.js.map