function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import classNames from 'classnames';
import TetherComponent from 'react-tether';
import PlainButton from '../../components/plain-button';
import IconClose from '../../icons/general/IconClose';
import TETHER_POSITIONS from '../../common/tether-positions';
import './styles/LeftSidebarLinkCallout.scss';

class LeftSidebarLinkCallout extends React.Component {
  constructor(props) {
    super(props);

    _defineProperty(this, "hideCallout", () => {
      const {
        onClose
      } = this.props.callout;

      if (onClose) {
        onClose();
      }

      this.setState({
        isShown: false
      });
    });

    _defineProperty(this, "isControlled", () => {
      const {
        isShown: isShownProp
      } = this.props;
      return typeof isShownProp !== 'undefined';
    });

    _defineProperty(this, "isShown", () => {
      const {
        isShown: isShownProp
      } = this.props;
      const isControlled = this.isControlled();
      const showTooltip = isControlled ? isShownProp : this.state.isShown;
      return showTooltip;
    });

    this.state = {
      isShown: true
    };
  }

  render() {
    const {
      attachmentPosition = TETHER_POSITIONS.MIDDLE_LEFT,
      children,
      callout: {
        content
      },
      navLinkClassName,
      targetAttachmentPosition = TETHER_POSITIONS.MIDDLE_RIGHT
    } = this.props;
    const showTooltip = this.isShown();
    return React.createElement(TetherComponent, {
      attachment: attachmentPosition,
      classPrefix: "nav-link-callout",
      enabled: showTooltip,
      targetAttachment: targetAttachmentPosition
    }, React.Children.only(children), showTooltip && React.createElement("div", {
      className: classNames('nav-link-callout', navLinkClassName)
    }, React.createElement(PlainButton, {
      className: "nav-link-callout-close-button",
      onClick: this.hideCallout
    }, React.createElement(IconClose, {
      color: "#fff",
      height: 16,
      width: 16
    })), content));
  }

}

export default LeftSidebarLinkCallout;
//# sourceMappingURL=LeftSidebarLinkCallout.js.map