function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from 'react';
import classNames from 'classnames';
import debounce from 'lodash/debounce';
import throttle from 'lodash/throttle';
import Scrollbar from 'react-scrollbars-custom';
import styled from 'styled-components';
import { getScrollShadowClassName } from '../../../collapsible-sidebar/utils/scrollShadow';
const StyledScrollThumb = styled.div.withConfig({
  displayName: "CollapsibleScrollbar__StyledScrollThumb",
  componentId: "sc-6dom38-0"
})(["opacity:0;transition:opacity 0.15s;.scroll-shadow-container:hover &,&.dragging{opacity:0.5;}"]); // The following values match the derived values from scrollShadow.scss

const StyledScrollContainer = styled.div.withConfig({
  displayName: "CollapsibleScrollbar__StyledScrollContainer",
  componentId: "sc-6dom38-1"
})(["&::before{box-shadow:0 6px 6px -2px ", ";}&::after{box-shadow:0 -6px 6px -2px ", ";}"], props => props.theme.primary.scrollShadowRgba, props => props.theme.primary.scrollShadowRgba);

function CollapsibleScrollbar(_ref, ref) {
  let {
    children,
    className,
    onScroll,
    style,
    thumbYStyles,
    trackYStyles
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["children", "className", "onScroll", "style", "thumbYStyles", "trackYStyles"]);

  const scrollRef = React.useRef(null);
  const [isScrolling, setIsScrolling] = React.useState(false);
  const [scrollShadowClassName, setScrollShadowClassName] = React.useState();

  const turnOffScrollingState = () => {
    setIsScrolling(false);
  }; // If there hasn't been an update to isScrolling in 100ms, it'll be set to false.


  const debouncedTurnOffScrollingState = React.useCallback(debounce(turnOffScrollingState, 100), []);

  const onScrollHandler = (scrollValues, prevScrollValues) => {
    if (!scrollRef.current) {
      return;
    }

    const {
      scrollHeight,
      clientHeight,
      scrollTop
    } = scrollValues;
    const scrollShadowClassNameValue = getScrollShadowClassName(scrollTop, scrollHeight, clientHeight);
    setIsScrolling(true);
    setScrollShadowClassName(scrollShadowClassNameValue);
    debouncedTurnOffScrollingState();

    if (onScroll) {
      onScroll(scrollValues, prevScrollValues);
    }
  };

  const setScrollShadowState = React.useCallback(() => {
    if (!scrollRef.current) {
      return;
    }

    const {
      scrollHeight,
      clientHeight,
      scrollTop
    } = scrollRef.current;
    const newScrollShadowClassName = getScrollShadowClassName(scrollTop, scrollHeight, clientHeight);

    if (scrollShadowClassName !== newScrollShadowClassName) {
      setScrollShadowClassName(newScrollShadowClassName);
    }
  }, [scrollShadowClassName]);

  const onUpdateHandler = (scrollValues, prevScrollValues) => {
    const {
      clientHeight,
      contentScrollHeight
    } = scrollValues;
    const {
      clientHeight: prevClientHeight,
      contentScrollHeight: prevContentScrollHeight
    } = prevScrollValues;

    if (clientHeight !== prevClientHeight || contentScrollHeight !== prevContentScrollHeight) {
      setScrollShadowState();
    }
  }; // sets onScrollHandler to true for a maximum of once every 50ms.


  const throttledOnScrollHandler = throttle(onScrollHandler, 50);
  const throttledOnUpdateHandler = throttle(onUpdateHandler, 50);
  const classes = classNames('bdl-CollapsibleScrollbar', className, {
    'is-scrolling': isScrolling
  });
  React.useEffect(() => {
    setScrollShadowState();
  }, [setScrollShadowState]); // $FlowFixMe

  React.useImperativeHandle(ref, () => ({
    scrollbarRef: scrollRef
  }));
  return React.createElement(Scrollbar, _extends({
    ref: scrollRef,
    className: scrollShadowClassName,
    onScroll: throttledOnScrollHandler,
    onUpdate: throttledOnUpdateHandler,
    renderer: props => {
      const {
        elementRef
      } = props,
            restProps = _objectWithoutProperties(props, ["elementRef"]);

      return React.createElement(StyledScrollContainer, _extends({}, restProps, {
        ref: elementRef
      }));
    },
    style: style,
    thumbYProps: {
      renderer: renderProps => {
        const {
          elementRef,
          style: renderPropStyle
        } = renderProps,
              restProps = _objectWithoutProperties(renderProps, ["elementRef", "style"]);

        return React.createElement(StyledScrollThumb, _extends({
          style: _objectSpread({}, renderPropStyle, {}, thumbYStyles)
        }, restProps, {
          ref: elementRef
        }));
      }
    },
    trackYProps: {
      style: _objectSpread({
        background: 'none',
        top: '0',
        height: '100%',
        width: '8px',
        marginRight: '1px'
      }, trackYStyles)
    }
  }, rest), React.createElement("div", {
    className: classes,
    "data-testid": "content-wrapper"
  }, children));
}

export default React.forwardRef(CollapsibleScrollbar);
//# sourceMappingURL=CollapsibleScrollbar.js.map