import * as React from 'react';
import classNames from 'classnames';
import LabelPill from '../../../../../components/label-pill';
import './styles/MessageTags.scss';

const generateTags = tags => {
  const tagArray = tags.split(',');
  return tagArray.filter(tag => !!tag).map(tag => {
    return React.createElement(LabelPill.Pill, {
      key: "".concat(tag),
      className: "MessageTags-tag"
    }, React.createElement(LabelPill.Text, null, tag.trim()));
  });
};

function MessageTags(_ref) {
  let {
    tags,
    className
  } = _ref;
  return React.createElement("div", {
    className: classNames('MessageTags', className)
  }, generateTags(tags));
}

export default MessageTags;
//# sourceMappingURL=MessageTags.js.map