import * as React from 'react';
import MessagePreviewContent from '../../../../message-preview-content/MessagePreviewContent';
import MessageTextContent from '../common/MessageTextContent';
import MessageTags from '../common/MessageTags';
import MessageFooter from '../common/MessageFooter';
import BottomContentWrapper from '../common/BottomContentWrapper';

function PreviewTitleBodyTagsButton(_ref) {
  let {
    apiHost,
    date,
    body,
    button1,
    contentPreviewProps,
    fileUpload: {
      fileId,
      sharedLinkUrl
    } = {},
    getToken,
    tags,
    title,
    name
  } = _ref;
  return React.createElement("div", {
    className: "PreviewTitleBodyTagsButton"
  }, React.createElement(MessagePreviewContent, {
    apiHost: apiHost,
    contentPreviewProps: contentPreviewProps,
    fileId: fileId,
    getToken: getToken,
    sharedLink: sharedLinkUrl
  }), React.createElement(BottomContentWrapper, null, React.createElement(MessageTextContent, {
    body: body,
    title: title
  }), React.createElement(MessageTags, {
    tags: tags
  }), React.createElement(MessageFooter, {
    actionItem: button1,
    date: date,
    name: name
  })));
}

export default PreviewTitleBodyTagsButton;
//# sourceMappingURL=PreviewTitleBodyTagsButton.js.map