function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// // 
import * as React from 'react';
import classNames from 'classnames';
import ContentPreview from '../../elements/content-preview';
import Cache from '../../utils/Cache';
import MessagePreviewGhost from '../message-preview-ghost/MessagePreviewGhost';
import PreviewErrorNotification from './PreviewErrorNotification';
import './styles/MessagePreviewContent.scss';
const apiCache = new Cache();

function MessagePreviewContent(_ref) {
  let {
    contentPreviewProps,
    fileId,
    sharedLink,
    getToken,
    className = '',
    apiHost
  } = _ref;
  const [isPreviewLoaded, setIsPreviewLoaded] = React.useState(false);
  const [isPreviewInErrorState, setIsPreviewInErrorState] = React.useState(false);
  const previewRef = React.useRef(null);
  React.useEffect(() => {
    setIsPreviewLoaded(false);
    setIsPreviewInErrorState(false);
  }, [fileId]);
  return React.createElement("div", {
    className: classNames('MessagePreviewContent', className)
  }, isPreviewLoaded ? null : React.createElement(MessagePreviewGhost, null), isPreviewInErrorState ? React.createElement(PreviewErrorNotification, null) : React.createElement(ContentPreview, _extends({}, contentPreviewProps, {
    apiHost: apiHost,
    cache: apiCache,
    className: classNames({
      'MessagePreviewContent is-loading': !isPreviewLoaded
    }),
    componentRef: previewRef,
    fileId: fileId,
    onError: () => {
      setIsPreviewLoaded(true);
      setIsPreviewInErrorState(true);
    },
    onLoad: () => {
      if (previewRef.current) {
        previewRef.current.getViewer().disableViewerControls();
        setIsPreviewLoaded(true);
      }
    },
    sharedLink: sharedLink,
    token: () => getToken(fileId)
  })));
}

export default MessagePreviewContent;
//# sourceMappingURL=MessagePreviewContent.js.map