import * as React from 'react';
import Instance from './Instance';

const Instances = (_ref) => {
  let {
    isCascadingPolicyApplicable = false,
    editors = [],
    onModification,
    onRemove,
    onSave,
    selectedTemplateKey
  } = _ref;
  return editors.map((_ref2) => {
    let {
      isDirty = false,
      instance,
      hasError = false,
      template
    } = _ref2;
    const {
      templateKey
    } = template;
    const isOpen = editors.length === 1 || templateKey === selectedTemplateKey;
    return React.createElement(Instance, {
      canEdit: instance.canEdit,
      cascadePolicy: instance.cascadePolicy,
      data: instance.data,
      hasError: hasError,
      id: instance.id,
      isCascadingPolicyApplicable: isCascadingPolicyApplicable,
      isDirty: isDirty,
      isOpen: isOpen,
      key: "".concat(instance.id, "-").concat(templateKey),
      onModification: onModification,
      onSave: onSave,
      onRemove: onRemove,
      template: template
    });
  });
};

export default Instances;
//# sourceMappingURL=Instances.js.map