import * as React from 'react';
import ScrollWrapper from '../../components/scroll-wrapper';
import Header from './Header';
import Instances from './Instances';
import EmptyContent from './EmptyContent';
import MetadataInstanceEditorContext from './MetadataInstanceEditorContext';
import './MetadataInstanceEditor.scss';

const MetadataInstanceEditor = (_ref) => {
  let {
    blurExceptionClassNames,
    canAdd,
    isCascadingPolicyApplicable = false,
    isDropdownBusy,
    editors = [],
    onModification,
    onRemove,
    onAdd,
    onSave,
    selectedTemplateKey,
    templates,
    title
  } = _ref;
  return React.createElement(MetadataInstanceEditorContext.Provider, {
    value: {
      blurExceptionClassNames
    }
  }, React.createElement("div", {
    className: "metadata-instance-editor"
  }, React.createElement(Header, {
    canAdd: canAdd,
    editors: editors,
    isDropdownBusy: isDropdownBusy,
    onAdd: onAdd,
    templates: templates,
    title: title
  }), editors.length === 0 ? React.createElement(EmptyContent, {
    canAdd: canAdd
  }) : React.createElement(ScrollWrapper, null, React.createElement(Instances, {
    editors: editors,
    isCascadingPolicyApplicable: isCascadingPolicyApplicable,
    onModification: onModification,
    onRemove: onRemove,
    onSave: onSave,
    selectedTemplateKey: selectedTemplateKey
  }))));
};

export default MetadataInstanceEditor;
//# sourceMappingURL=MetadataInstanceEditor.js.map