import * as React from 'react';
import TextMetadataField from './TextMetadataField';
import { isValidValue } from './validateMetadataField';

const FloatMetadataField = (_ref) => {
  let {
    dataKey,
    dataValue,
    displayName,
    description,
    error,
    onChange: _onChange,
    onRemove,
    type
  } = _ref;
  return React.createElement(TextMetadataField, {
    dataKey: dataKey,
    dataValue: dataValue,
    description: description,
    displayName: displayName,
    error: error,
    onChange: (key, value) => {
      if (isValidValue(type, value)) {
        _onChange(key, value);
      }
    },
    onRemove: onRemove
  });
};

export default FloatMetadataField;
//# sourceMappingURL=FloatMetadataField.js.map