import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import Label from '../../components/label/Label';
import MultiSelect from '../../components/select-field/MultiSelectField';
import messages from './messages';
import './MultiSelectMetadataField.scss';

const MultiSelectMetadataField = (_ref) => {
  let {
    blurExceptionClassNames,
    dataKey,
    dataValue,
    displayName,
    description,
    onChange: _onChange,
    onRemove,
    options = []
  } = _ref;
  const placeholder = React.createElement(FormattedMessage, messages.metadataFieldMultiSelectValue);
  return React.createElement("div", {
    className: "bdl-MultiSelectMetadataField"
  }, React.createElement(Label, {
    text: displayName
  }, !!description && React.createElement("i", {
    className: "bdl-MultiSelectMetadataField-desc"
  }, description), React.createElement(MultiSelect, {
    blurExceptionClassNames: blurExceptionClassNames,
    isEscapedWithReference: true,
    isScrollable: true,
    onChange: selectedOptions => {
      if (selectedOptions.length) {
        _onChange(dataKey, selectedOptions.map((_ref2) => {
          let {
            value
          } = _ref2;
          return value;
        }));
      } else {
        onRemove(dataKey);
      }
    },
    options: options.map(option => ({
      displayText: option.key,
      value: option.key
    })),
    placeholder: placeholder,
    selectedValues: dataValue
  })));
};

export { MultiSelectMetadataField as MultiSelectMetadataFieldBase };
export default MultiSelectMetadataField;
//# sourceMappingURL=MultiSelectMetadataField.js.map