import * as React from 'react';
import { injectIntl } from 'react-intl';
import TextInput from '../../components/text-input';
import messages from './messages';
import './TextMetadataField.scss';

const TextMetadataField = (_ref) => {
  let {
    dataKey,
    dataValue,
    displayName,
    description,
    error,
    intl,
    onChange: _onChange,
    onRemove,
    type = 'text'
  } = _ref;
  let value = '';

  if (typeof dataValue === 'number') {
    value = dataValue;
  } else if (dataValue) {
    value = dataValue;
  }

  return React.createElement(TextInput, {
    className: "bdl-TextMetadataField",
    description: description,
    error: error,
    hideOptionalLabel: true,
    label: displayName,
    name: dataKey,
    onChange: event => {
      const currentTarget = event.currentTarget;

      if (currentTarget.value) {
        _onChange(dataKey, currentTarget.value);
      } else {
        onRemove(dataKey);
      }
    },
    placeholder: intl.formatMessage(messages.metadataFieldSetValue),
    type: type,
    value: value
  });
};

export { TextMetadataField as TextMetadataFieldBase };
export default injectIntl(TextMetadataField);
//# sourceMappingURL=TextMetadataField.js.map