function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * 
 * @file PaginationMenu component
 * @author Box
 */
import React from 'react';
import range from 'lodash/range';
import { FormattedMessage } from 'react-intl';
import Button from '../../components/button';
import DropdownMenu from '../../components/dropdown-menu';
import { Menu, MenuItem } from '../../components/menu';
import messages from '../../elements/common/messages';
import './PaginationMenu.scss';

const PaginationMenu = (_ref) => {
  let {
    onPageClick,
    pageCount = 0,
    pageNumber = 0
  } = _ref;
  return React.createElement(DropdownMenu, {
    className: "bdl-Pagination-dropdown",
    constrainToWindow: true,
    isRightAligned: true
  }, React.createElement(Button, {
    className: "bdl-Pagination-toggle"
  }, React.createElement(FormattedMessage, _extends({}, messages.pageStatus, {
    values: {
      pageNumber,
      pageCount
    }
  }))), React.createElement(Menu, {
    className: "bdl-Pagination-dropdownMenu"
  }, range(1, pageCount + 1).map(page => React.createElement(MenuItem, {
    key: page,
    isDisabled: page === pageNumber,
    onClick: () => onPageClick(page)
  }, page))));
};

export default PaginationMenu;
//# sourceMappingURL=PaginationMenu.js.map