function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { FormattedMessage, injectIntl } from 'react-intl'; // @ts-ignore flow import

import messages from './messages'; // @ts-ignore flow import

import { determineInteractionMessage } from './utils/presenceUtils';
import './PresenceAvatarTooltipContent.scss'; // @ts-ignore flow import

import timeFromNow from '../../utils/relativeTime';

function PresenceAvatarTooltipContent(_ref) {
  let {
    name,
    interactedAt,
    interactionType,
    intl,
    isActive
  } = _ref;
  const lastActionMessage = determineInteractionMessage(interactionType);
  const {
    value,
    unit
  } = timeFromNow(interactedAt);
  const timeAgo = intl.formatRelativeTime(value, unit);
  return React.createElement("div", {
    className: "bdl-PresenceAvatarTooltipContent"
  }, React.createElement("span", {
    className: "bdl-PresenceAvatarTooltipContent-name"
  }, name), lastActionMessage && React.createElement("span", {
    className: "bdl-PresenceAvatarTooltipContent-event"
  }, isActive ? React.createElement(FormattedMessage, messages.activeNowText) : React.createElement(FormattedMessage, _extends({}, lastActionMessage, {
    values: {
      timeAgo
    }
  }))));
}

export { PresenceAvatarTooltipContent as PresenceAvatarTooltipContentComponent };
export default injectIntl(PresenceAvatarTooltipContent);
//# sourceMappingURL=PresenceAvatarTooltipContent.js.map