function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import PlainButton from '../../components/plain-button';
import { Flyout, Overlay } from '../../components/flyout';
import PresenceCollaboratorsList from './PresenceCollaboratorsList';
import { collaboratorsPropType, flyoutPositionPropType } from './propTypes';
import './Presence.scss'; // eslint-disable-next-line react/prefer-stateless-function

class PresenceLink extends Component {
  render() {
    const {
      children,
      className,
      collaborators,
      onFlyoutScroll,
      containerAttributes,
      flyoutPosition
    } = this.props;

    if (collaborators.length === 0) {
      return null;
    }

    return React.createElement(Flyout, {
      className: "presence ".concat(className),
      position: flyoutPosition
    }, React.createElement("div", _extends({
      className: "presence-link-container"
    }, containerAttributes), React.createElement(PlainButton, null, children)), React.createElement(Overlay, {
      shouldDefaultFocus: false
    }, React.createElement(PresenceCollaboratorsList, {
      collaborators: collaborators,
      onScroll: onFlyoutScroll
    })));
  }

}

_defineProperty(PresenceLink, "propTypes", {
  children: PropTypes.node,
  className: PropTypes.string,
  collaborators: PropTypes.arrayOf(collaboratorsPropType).isRequired,

  /** Addtional attributes for presenceLink container */
  containerAttributes: PropTypes.object,
  onFlyoutScroll: PropTypes.func,

  /** Option to change the orientation of the dropdown. MUST be: bottom-right, bottom-left, bottom-center etc. or in this specific format */
  flyoutPosition: flyoutPositionPropType
});

_defineProperty(PresenceLink, "defaultProps", {
  className: '',
  flyoutPosition: 'bottom-right'
});

export default PresenceLink;
//# sourceMappingURL=PresenceLink.js.map