import * as React from 'react';
import TemplateButton from './components/TemplateButton';
import FilterButton from './components/filter/FilterButton';
import ColumnButton from './components/ColumnButton';
import './styles/QueryBarButtons.scss';

const isItemName = column => {
  return column.source === 'item' && column.property === 'name';
};

const QueryBar = (_ref) => {
  let {
    activeTemplate,
    columns,
    conditions,
    onColumnChange,
    onFilterChange,
    onTemplateChange,
    templates
  } = _ref;
  const metadataColumns = columns && columns.filter(column => column.source !== 'item');
  const columnsWithoutItemName = columns && columns.filter(column => !isItemName(column));
  return React.createElement("section", {
    className: "metadata-view-query-bar"
  }, React.createElement(TemplateButton, {
    activeTemplate: activeTemplate,
    onTemplateChange: onTemplateChange,
    templates: templates
  }), React.createElement(FilterButton, {
    columns: metadataColumns,
    conditions: conditions,
    onFilterChange: onFilterChange
  }), React.createElement(ColumnButton, {
    columns: columnsWithoutItemName,
    onColumnChange: onColumnChange,
    template: activeTemplate
  }));
};

export default QueryBar;
//# sourceMappingURL=QueryBar.js.map