function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import classNames from 'classnames';
import SelectorDropdown from '../../components/selector-dropdown';
import QuickSearchMessage from './QuickSearchMessage';
import QuickSearchSelector from './QuickSearchSelector';
import './QuickSearch.scss';

class QuickSearch extends React.Component {
  constructor(props) {
    super(props);

    _defineProperty(this, "handleFocus", () => {
      this.setState({
        showMessage: true
      });
    });

    _defineProperty(this, "handleBlur", () => {
      this.setState({
        showMessage: false
      });
    });

    this.state = {
      showMessage: false
    };
  }

  render() {
    const {
      children,
      className,
      dividerIndex,
      errorMessage,
      inputProps,
      noItemsMessage,
      onSelect,
      title
    } = this.props;
    const {
      showMessage
    } = this.state;
    return React.createElement("div", {
      className: classNames('quick-search', className),
      onBlur: this.handleBlur,
      onFocus: this.handleFocus
    }, React.createElement(SelectorDropdown, {
      dividerIndex: dividerIndex,
      onSelect: onSelect,
      selector: React.createElement(QuickSearchSelector, inputProps),
      title: title
    }, children), !!errorMessage && React.createElement(QuickSearchMessage, {
      isShown: showMessage
    }, errorMessage), !!noItemsMessage && React.createElement(QuickSearchMessage, {
      isShown: showMessage
    }, noItemsMessage));
  }

}

export default QuickSearch;
//# sourceMappingURL=QuickSearch.js.map