function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from 'react';
import { useOnClickBody } from '../utils';

function withTargetedClickThrough(WrappedComponent) {
  const WrapperComponent = (_ref) => {
    let {
      children,
      closeOnClickOutside,
      shouldTarget,
      useTargetingApi,
      onDismiss
    } = _ref,
        rest = _objectWithoutProperties(_ref, ["children", "closeOnClickOutside", "shouldTarget", "useTargetingApi", "onDismiss"]);

    const {
      canShow,
      onComplete,
      onClose,
      onShow
    } = useTargetingApi();

    const handleClose = () => {
      onClose();

      if (onDismiss) {
        // $FlowFixMe onDismiss should be declared in both inferred types, which is not true, because we declare props types as Union of Config & TargetedComponentProps
        onDismiss();
      }
    };

    const handleOnComplete = () => {
      if (shouldTarget && canShow) {
        onComplete();
      }
    };

    const shouldShow = shouldTarget && canShow;
    useOnClickBody(onClose, !!(shouldShow && closeOnClickOutside));
    React.useEffect(() => {
      if (shouldShow) {
        onShow();
      }
    }, [shouldShow, onShow]);
    return React.createElement(WrappedComponent, _extends({
      showCloseButton: true,
      stopBubble: true
    }, rest, {
      isShown: shouldShow,
      onDismiss: handleClose
    }), React.createElement("span", {
      className: "bdl-targeted-click-through",
      "data-targeting": "click-through",
      "data-testid": "with-targeted-click-span",
      onClickCapture: handleOnComplete,
      onKeyPressCapture: handleOnComplete,
      tabIndex: -1
    }, children));
  };

  WrapperComponent.displayName = "withTargetedClickThrough(".concat(WrappedComponent.displayName || WrappedComponent.name || 'Component', ")");
  return WrapperComponent;
}

export default withTargetedClickThrough;
//# sourceMappingURL=withTargetedClickThrough.js.map