import React from 'react';
import { FormattedMessage } from 'react-intl';
import { EDITOR, CO_OWNER, PREVIEWER, PREVIEWER_UPLOADER, VIEWER, VIEWER_UPLOADER, UPLOADER } from './constants';
import messages from './messages';

const InviteePermissionDescription = (_ref) => {
  let {
    inviteePermissionLevel,
    itemType
  } = _ref;
  const permissionDescriptions = {
    [EDITOR]: itemType === 'folder' ? messages.editorLevelDescription : messages.editorLevelFileDescription,
    [CO_OWNER]: messages.coownerLevelDescription,
    [VIEWER_UPLOADER]: messages.viewerUploaderLevelDescription,
    [PREVIEWER_UPLOADER]: messages.previewerUploaderLevelDescription,
    [VIEWER]: messages.viewerLevelDescription,
    [PREVIEWER]: messages.previewerLevelDescription,
    [UPLOADER]: messages.uploaderLevelDescription
  };
  const description = permissionDescriptions[inviteePermissionLevel];
  return React.createElement("small", {
    className: "usm-menu-description"
  }, React.createElement(FormattedMessage, description));
};

export default InviteePermissionDescription;
//# sourceMappingURL=InviteePermissionsDescription.js.map