function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { Component } from 'react';
import { FormattedMessage } from 'react-intl';
import { Modal, ModalActions } from '../../components/modal';
import Button from '../../components/button';
import PrimaryButton from '../../components/primary-button';
import commonMessages from '../../common/messages';
import messages from './messages';

class RemoveLinkConfirmModal extends Component {
  componentDidMount() {
    const {
      onLoad
    } = this.props;

    if (onLoad) {
      onLoad();
    }
  }

  render() {
    const {
      isOpen,
      onRequestClose,
      removeLink,
      submitting,
      okayButtonProps,
      modalProps,
      cancelButtonProps
    } = this.props;
    return React.createElement(Modal, _extends({
      className: "be-modal",
      focusElementSelector: ".btn-primary",
      isOpen: isOpen,
      onRequestClose: submitting ? undefined : onRequestClose,
      title: React.createElement(FormattedMessage, messages.removeLinkConfirmationTitle),
      type: "alert"
    }, modalProps), React.createElement(FormattedMessage, messages.removeLinkConfirmationDescription), React.createElement(ModalActions, null, React.createElement(Button, _extends({
      isDisabled: submitting,
      onClick: onRequestClose
    }, cancelButtonProps), React.createElement(FormattedMessage, commonMessages.cancel)), React.createElement(PrimaryButton, _extends({
      isDisabled: submitting,
      isLoading: submitting,
      onClick: removeLink
    }, okayButtonProps), React.createElement(FormattedMessage, commonMessages.okay))));
  }

}

export default RemoveLinkConfirmModal;
//# sourceMappingURL=RemoveLinkConfirmModal.js.map