function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import { ANYONE_WITH_LINK, ANYONE_IN_COMPANY, PEOPLE_IN_ITEM } from './constants';
import SharedLinkAccessDescription from './SharedLinkAccessDescription';
import messages from './messages';

const SharedLinkAccessLabel = (_ref) => {
  let {
    accessLevel,
    enterpriseName,
    hasDescription,
    itemType
  } = _ref;
  const messageKeyMap = {
    [ANYONE_WITH_LINK]: 'peopleWithTheLinkText',
    [ANYONE_IN_COMPANY]: enterpriseName === '' ? 'peopleInYourCompany' : 'peopleInEnterpriseName',
    [PEOPLE_IN_ITEM]: itemType === 'folder' ? 'peopleInThisFolder' : 'peopleInThisFile'
  };
  let messageName;

  if (accessLevel) {
    messageName = messageKeyMap[accessLevel];
  } else {
    return null;
  }

  return hasDescription ? React.createElement("span", null, React.createElement("strong", null, React.createElement(FormattedMessage, _extends({}, messages[messageName], {
    values: {
      enterpriseName
    }
  }))), React.createElement(SharedLinkAccessDescription, {
    accessLevel: accessLevel,
    enterpriseName: enterpriseName,
    itemType: itemType
  })) : React.createElement(FormattedMessage, _extends({}, messages[messageName], {
    values: {
      enterpriseName
    }
  }));
};

export default SharedLinkAccessLabel;
//# sourceMappingURL=SharedLinkAccessLabel.js.map