import { defineMessages } from 'react-intl';
const messages = defineMessages({
  contentSharedWithExternalCollaborators: {
    "id": "boxui.unifiedShare.contentSharedWithExternalCollaborators",
    "defaultMessage": "This content will be shared with external collaborators."
  },
  disabledShareLinkPermission: {
    "id": "boxui.unifiedShare.disabledShareLinkPermission",
    "defaultMessage": "This option is not available due to a security policy."
  },
  disabledMaliciousContentShareLinkPermission: {
    "id": "boxui.unifiedShare.disabledMaliciousContentShareLinkPermission",
    "defaultMessage": "This option isn\u2019t available for this item due to a security policy."
  },
  enterAtLeastOneEmailError: {
    "id": "boxui.unifiedShare.enterAtLeastOneEmail",
    "defaultMessage": "Enter at least one valid email"
  },
  contactsExceedLimitError: {
    "id": "boxui.unifiedShare.contactsExceedLimitError",
    "defaultMessage": "Oops! The maximum number of collaborators that can be added at once is {maxContacts} collaborators. Please try again by splitting your invitations into batches."
  },
  enterEmailAddressesCalloutText: {
    "id": "boxui.unifiedShare.enterEmailAddressesCalloutText",
    "defaultMessage": "Share this item with coworkers by entering their email addresses"
  },
  ftuxNewUSMUserTitle: {
    "id": "boxui.unifiedShare.ftuxNewUsmUserTitle",
    "defaultMessage": "Simplified sharing for files and folders"
  },
  ftuxNewUSMUserBody: {
    "id": "boxui.unifiedShare.ftuxNewUSMUserBody",
    "defaultMessage": "We\u2019ve simplified the sharing experience when you click 'Share'. Invite people to this item here and toggle the link on or off below for easy sharing."
  },
  ftuxLinkText: {
    "id": "boxui.unifiedShare.ftuxLinkText",
    "defaultMessage": "Read more about shared link security here."
  },
  ftuxConfirmLabel: {
    "id": "boxui.unifiedShare.ftuxConfirmLabel",
    "defaultMessage": "Got it"
  },
  ftuxEditPermissionTooltipBody: {
    "id": "boxui.unifiedShare.ftuxEditPermissionTooltipBody",
    "defaultMessage": "Select the new edit option to easily share your file with people or groups."
  },
  ftuxEditPermissionTooltipTitle: {
    "id": "boxui.unifiedShare.ftuxEditPermissionTooltipTitle",
    "defaultMessage": "Collaboration made easy"
  },
  collaboratorListTitle: {
    "id": "boxui.unifiedShare.collaboratorListTitle",
    "defaultMessage": "People in \u2018{itemName}\u2019"
  },
  expirationTooltipClickableText: {
    "id": "boxui.unifiedShare.collaborators.expirationTooltipClickableText",
    "defaultMessage": "Access expires on {date}. Click for details."
  },
  groupLabel: {
    "id": "boxui.unifiedShare.groupLabel",
    "defaultMessage": "Group"
  },
  modalTitle: {
    "id": "boxui.unifiedShare.modalTitle",
    "defaultMessage": "Share \u2018{itemName}\u2019"
  },
  emailModalTitle: {
    "id": "boxui.unifiedShare.emailModalTitle",
    "defaultMessage": "Send Link to \u2018{itemName}\u2019"
  },
  inviteDisabledTooltip: {
    "id": "boxui.unifiedShare.inviteDisabledTooltip",
    "defaultMessage": "You do not have permission to invite collaborators."
  },
  inviteDisabledWeblinkTooltip: {
    "id": "boxui.unifiedShare.inviteDisabledWeblinkTooltip",
    "defaultMessage": "Collaborators cannot be added to bookmarks."
  },
  inviteFieldLabel: {
    "id": "boxui.unifiedShare.inviteFieldLabel",
    "defaultMessage": "Invite People"
  },
  sharedLinkSectionLabel: {
    "id": "boxui.unifiedShare.sharedLinkSectionLabel",
    "defaultMessage": "Share Link"
  },
  sharedLinkURLLabel: {
    "id": "boxui.share.sharedLinkURLLabel",
    "defaultMessage": "URL"
  },
  linkShareOff: {
    "id": "boxui.unifiedShare.linkShareOff",
    "defaultMessage": "Create shared link"
  },
  linkShareOn: {
    "id": "boxui.unifiedShare.linkShareOn",
    "defaultMessage": "Shared link is created"
  },
  messageTitle: {
    "id": "boxui.unifiedShare.message",
    "defaultMessage": "Message"
  },
  suggestedCollabsTitle: {
    "id": "boxui.unifiedShare.suggestedCollabsTitle",
    "defaultMessage": "Suggested"
  },
  // shared link access labels
  peopleInEnterpriseName: {
    "id": "boxui.unifiedShare.peopleInEnterpriseName",
    "defaultMessage": "People in {enterpriseName}"
  },
  peopleInYourCompany: {
    "id": "boxui.unifiedShare.peopleInYourCompany",
    "defaultMessage": "People in your company"
  },
  peopleInThisFolder: {
    "id": "boxui.unifiedShare.peopleInThisFolder",
    "defaultMessage": "Invited people only"
  },
  peopleInThisFile: {
    "id": "boxui.unifiedShare.peopleInThisFile",
    "defaultMessage": "Invited people only"
  },
  peopleWithTheLinkText: {
    "id": "boxui.unifiedShare.peopleWithTheLinkText",
    "defaultMessage": "People with the link"
  },
  removeLinkConfirmationTitle: {
    "id": "boxui.unifiedShare.removeLinkConfirmationTitle",
    "defaultMessage": "Remove Shared Link"
  },
  removeLinkConfirmationDescription: {
    "id": "boxui.unifiedShare.removeLinkConfirmationDescription",
    "defaultMessage": "This will permanently remove the shared link. If this item is embedded on other sites it will also become inaccessible. Any custom properties, settings and expirations will be removed as well. Do you want to continue?"
  },
  removeLinkTooltip: {
    "id": "boxui.unifiedShare.removeLinkTooltip",
    "defaultMessage": "You do not have permission to remove the link."
  },
  disabledCreateLinkTooltip: {
    "id": "boxui.unifiedShare.disabledCreateLinkTooltip",
    "defaultMessage": "You do not have permission to create the link."
  },
  sendSharedLink: {
    "id": "boxui.unifiedShare.sendSharedLink",
    "defaultMessage": "Send Shared Link"
  },
  sendSharedLinkFieldLabel: {
    "id": "boxui.unifiedShare.sendSharedLinkFieldLabel",
    "defaultMessage": "Email Shared Link"
  },
  sharedLinkExpirationTooltip: {
    "id": "boxui.unifiedShare.sharedLinkExpirationTooltip",
    "defaultMessage": "This link will expire and be inaccessible on {expiration, date, long}."
  },
  // shared link permissions
  sharedLinkPermissionsViewDownload: {
    "id": "boxui.unifiedShare.sharedLinkPermissionsViewDownload",
    "defaultMessage": "Can view and download"
  },
  sharedLinkPermissionsViewOnly: {
    "id": "boxui.unifiedShare.sharedLinkPermissionsViewOnly",
    "defaultMessage": "Can view only"
  },
  ftuxSharedLinkPermissionsEditTag: {
    "id": "boxui.unifiedShare.ftuxSharedLinkPermissionsEditTag",
    "defaultMessage": "NEW"
  },
  sharedLinkPermissionsEdit: {
    "id": "boxui.unifiedShare.sharedLinkPermissionsEdit",
    "defaultMessage": "Can edit"
  },
  sharedLinkPermissionsEditTooltip: {
    "id": "boxui.unifiedShare.sharedLinkPermissionsEditTooltip",
    "defaultMessage": "This permission can only be changed in Box Notes"
  },
  sharedLinkDisabledTooltipCopy: {
    "id": "boxui.unifiedShare.sharedLinkDisabledTooltipCopy",
    "defaultMessage": "Create and copy link for sharing"
  },
  sharedLinkSettingsCalloutText: {
    "id": "boxui.unifiedShare.sharedLinkSettingsCalloutText",
    "defaultMessage": "Create a custom URL, enable password protection, enable link expiration, and much more"
  },
  sharedLinkPubliclyAvailable: {
    "id": "boxui.unifiedShare.sharedLinkPubliclyAvailable",
    "defaultMessage": "This content is publicly available to anyone with the link."
  },
  sharedLinkEditablePubliclyAvailable: {
    "id": "boxui.unifiedShare.sharedLinkEditablePubliclyAvailable",
    "defaultMessage": "Publicly available for anyone to view and download. Any logged in users with the link can edit."
  },
  sharedLinkElevatedEditableCompanyAvailable: {
    "id": "boxui.unifiedShare.sharedLinkElevatedEditableCompanyAvailable",
    "defaultMessage": "People who have access to this link can edit."
  },
  upgradeGetMoreAccessControlsDescription: {
    "id": "boxui.unifiedShare.upgradeGetMoreAccessControlsDescription",
    "defaultMessage": "62% of customers on your plan {upgradeGetMoreAccessControlsLink} to manage collaborators\u2019 access and permission settings"
  },
  upgradeGetMoreAccessControlsLink: {
    "id": "boxui.unifiedShare.upgradeGetMoreAccessControlsLink",
    "defaultMessage": "upgrade"
  },
  upgradeLink: {
    "id": "boxui.unifiedShare.upgradeLink",
    "defaultMessage": "Upgrade now"
  },
  upgradeInlineNoticeTitle: {
    "id": "boxui.unifiedShare.upgradeInlineNoticeTitle",
    "defaultMessage": "Upgrade Your Plan"
  },
  sharedLinkSettings: {
    "id": "boxui.unifiedShare.sharedLinkSettings",
    "defaultMessage": "Link Settings"
  },
  // shared link access descriptions
  peopleWithLinkDescription: {
    "id": "boxui.unifiedShare.peopleWithLinkDescription",
    "defaultMessage": "Publicly accessible and no sign-in required"
  },
  peopleWithLinkSignedInRequiredDescription: {
    "id": "boxui.unifiedShare.peopleWithLinkSignedInRequiredDescription",
    "defaultMessage": "Publicly accessible, sign-in required"
  },
  peopleInSpecifiedCompanyCanAccessFolder: {
    "id": "boxui.unifiedShare.peopleInSpecifiedCompanyCanAccessFolder",
    "defaultMessage": "Anyone at {company} with the link or people invited to this folder can access"
  },
  peopleInCompanyCanAccessFolder: {
    "id": "boxui.unifiedShare.peopleInCompanyCanAccessFolder",
    "defaultMessage": "Anyone in your company with the link or people invited to this folder can access"
  },
  peopleInSpecifiedCompanyCanAccessFile: {
    "id": "boxui.unifiedShare.peopleInSpecifiedCompanyCanAccessFile",
    "defaultMessage": "Anyone at {company} with the link or people invited to this file can access"
  },
  peopleInCompanyCanAccessFile: {
    "id": "boxui.unifiedShare.peopleInCompanyCanAccessFile",
    "defaultMessage": "Anyone in your company with the link or people invited to this file can access"
  },
  peopleInSpecifiedCompanyCanAccessHub: {
    "id": "boxui.unifiedShare.peopleInSpecifiedCompanyCanAccessHub",
    "defaultMessage": "Anyone at {company} with the link or people invited to this hub can access"
  },
  peopleInCompanyCanAccessHub: {
    "id": "boxui.unifiedShare.peopleInCompanyCanAccessHub",
    "defaultMessage": "Anyone in your company with the link or people invited to this hub can access"
  },
  peopleInItemCanAccessFolder: {
    "id": "boxui.unifiedShare.peopleInItemCanAccessFolder",
    "defaultMessage": "Only invited people can access this folder"
  },
  peopleInItemCanAccessFile: {
    "id": "boxui.unifiedShare.peopleInItemCanAccessFile",
    "defaultMessage": "Only invited people can access this file"
  },
  peopleInItemCanAccessHub: {
    "id": "boxui.unifiedShare.peopleInItemCanAccessHub",
    "defaultMessage": "Only invited people can access this hub"
  },
  // invite collabs levels
  coownerLevelButtonLabel: {
    "id": "boxui.unifiedShare.coownerLevelButtonLabel",
    "defaultMessage": "Invite as Co-owner"
  },
  coownerLevelText: {
    "id": "boxui.unifiedShare.coownerLevelText",
    "defaultMessage": "Co-owner"
  },
  coownerLevelDescription: {
    "id": "boxui.unifiedShare.coownerLevelDescription",
    "defaultMessage": "Manage security, upload, download, preview, share, edit, and delete"
  },
  editorLevelButtonLabel: {
    "id": "boxui.unifiedShare.editorLevelButtonLabel",
    "defaultMessage": "Invite as Editor"
  },
  editorLevelText: {
    "id": "boxui.unifiedShare.editorLevelText",
    "defaultMessage": "Editor"
  },
  editorLevelDescription: {
    "id": "boxui.unifiedShare.editorLevelDescription",
    "defaultMessage": "Upload, download, preview, share, edit, and delete"
  },
  editorLevelFileDescription: {
    "id": "boxui.unifiedShare.editorLevelFileDescription",
    "defaultMessage": "Upload, download, preview, share, and edit"
  },
  previewerLevelButtonLabel: {
    "id": "boxui.unifiedShare.previewerLevelButtonLabel",
    "defaultMessage": "Invite as Previewer"
  },
  previewerLevelText: {
    "id": "boxui.unifiedShare.previewerLevelText",
    "defaultMessage": "Previewer"
  },
  previewerLevelDescription: {
    "id": "boxui.unifiedShare.previewerLevelDescription",
    "defaultMessage": "Preview only"
  },
  previewerUploaderLevelButtonLabel: {
    "id": "boxui.unifiedShare.previewerUploaderLevelButtonLabel",
    "defaultMessage": "Invite as Previewer Uploader"
  },
  previewerUploaderLevelText: {
    "id": "boxui.unifiedShare.previewerUploaderLevelText",
    "defaultMessage": "Previewer Uploader"
  },
  previewerUploaderLevelDescription: {
    "id": "boxui.unifiedShare.previewerUploaderLevelDescription",
    "defaultMessage": "Upload and preview"
  },
  viewerLevelButtonLabel: {
    "id": "boxui.unifiedShare.viewerLevelButtonLabel",
    "defaultMessage": "Invite as Viewer"
  },
  viewerLevelText: {
    "id": "boxui.unifiedShare.viewerLevelText",
    "defaultMessage": "Viewer"
  },
  viewerLevelDescription: {
    "id": "boxui.unifiedShare.viewerLevelDescription",
    "defaultMessage": "Download, preview, and share"
  },
  viewerUploaderLevelButtonLabel: {
    "id": "boxui.unifiedShare.viewerUploaderLevelButtonLabel",
    "defaultMessage": "Invite as Viewer Uploader"
  },
  viewerUploaderLevelText: {
    "id": "boxui.unifiedShare.viewerUploaderLevelText",
    "defaultMessage": "Viewer Uploader"
  },
  viewerUploaderLevelDescription: {
    "id": "boxui.unifiedShare.viewerUploaderLevelDescription",
    "defaultMessage": "Upload, download, preview, share, and edit"
  },
  uploaderLevelButtonLabel: {
    "id": "boxui.unifiedShare.uploaderLevelButtonLabel",
    "defaultMessage": "Invite as Uploader"
  },
  uploaderLevelText: {
    "id": "boxui.unifiedShare.uploaderLevelText",
    "defaultMessage": "Uploader"
  },
  uploaderLevelDescription: {
    "id": "boxui.unifiedShare.uploaderLevelDescription",
    "defaultMessage": "Upload only"
  },
  // Collaboration group type messages
  userCollabText: {
    "id": "boxui.unifiedShare.collaboration.userCollabText",
    "defaultMessage": "User"
  },
  groupCollabText: {
    "id": "boxui.unifiedShare.collaboration.groupCollabText",
    "defaultMessage": "Group"
  },
  // Recommended Sharing Tooltip messages
  recommendedSharingTooltipCalloutText: {
    "id": "boxui.unifiedShare.recommendedSharingTooltipCalloutText",
    "defaultMessage": "Based on your usage, we think {fullName} would be interested in this file."
  },
  // Information Barrier restrictions, external collab restrictions and business justifications
  justificationSelectPlaceholder: {
    "id": "boxui.unifiedShare.justificationSelectPlaceholder",
    "defaultMessage": "Select Justification"
  },
  justificationRequiredError: {
    "id": "boxui.unifiedShare.justificationRequiredError",
    "defaultMessage": "Select a justification or remove to continue"
  },
  restrictedContactsError: {
    "id": "boxui.unifiedShare.restrictedContactsError",
    "defaultMessage": "Remove to continue"
  },
  justifiableContactRestrictionNotice: {
    "id": "boxui.unifiedShare.justifiableContactRestrictionNotice",
    "defaultMessage": "This content requires a business justification for {count, plural, one {{count} invitation} other {{count} invitations}}. Please select a business justification below."
  },
  justifiableContactRestrictionNoticeSingular: {
    "id": "boxui.unifiedShare.justifiableContactRestrictionNoticeSingular",
    "defaultMessage": "This content requires a business justification to invite {email}. Please select a business justification below."
  },
  justifiableContactRestrictionRemoveButtonLabel: {
    "id": "boxui.unifiedShare.justifiableContactRestrictionRemoveButtonLabel",
    "defaultMessage": "Alternatively, remove to continue"
  },
  contactRestrictionNotice: {
    "id": "boxui.unifiedShare.contactRestrictionNotice",
    "defaultMessage": "{count, plural, one {{count} invitation} other {{count} invitations}} cannot be sent because external collaboration is restricted due to the applied security policy."
  },
  contactRestrictionNoticeSingular: {
    "id": "boxui.unifiedShare.contactRestrictionNoticeSingular",
    "defaultMessage": "Invitations cannot be sent to {email} because external collaboration is restricted due to the applied security policy."
  },
  contactRestrictionNoticeInformationBarrier: {
    "id": "boxui.unifiedShare.contactRestrictionNoticeInformationBarrier",
    "defaultMessage": "{count, plural, one {{count} invitation} other {{count} invitations}} cannot be sent due to a security policy."
  },
  contactRestrictionNoticeInformationBarrierSingular: {
    "id": "boxui.unifiedShare.contactRestrictionNoticeInformationBarrierSingular",
    "defaultMessage": "Invitations cannot be sent to {email} due to a security policy."
  },
  contactRestrictionNoticeInformationBarrierSingularGroup: {
    "id": "boxui.unifiedShare.contactRestrictionNoticeInformationBarrierSingularGroup",
    "defaultMessage": "Invitations cannot be sent to \"{groupName}\" due to a security policy."
  },
  contactRestrictionRemoveButtonLabel: {
    "id": "boxui.unifiedShare.contactRestrictionRemoveButtonLabel",
    "defaultMessage": "Remove to continue"
  },
  contactEmailsTooltipText: {
    "id": "boxui.unifiedShare.contactEmailsTooltipText",
    "defaultMessage": "{emails}, and {remainingEmailsCount} more"
  },
  expiresMessage: {
    "id": "boxui.unifiedShare.expiresMessage",
    "defaultMessage": "Expires"
  },
  setLevelOfCollabAccess: {
    "id": "boxui.unifiedShare.levelOfCollabAccess",
    "defaultMessage": "Set the level of {collaboratorAccess} and increase security through one of our paid plans. {upgradeLink}"
  },
  collabAccess: {
    "id": "boxui.unifiedShare.collabAccess",
    "defaultMessage": "collaborator access"
  }
});
export default messages;
//# sourceMappingURL=messages.js.map