import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import messages from './messages';
import { ANONYMOUS_USER_ID } from './constants';

const formatUser = function formatUser(_ref, intl) {
  let {
    email,
    id,
    name
  } = _ref;
  let isComponent = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
  const {
    anonymousUser,
    unknownUser
  } = messages;
  let targetUser = isComponent || !intl ? React.createElement(FormattedMessage, unknownUser) : intl.formatMessage(unknownUser);
  let targetUserInfo = "(".concat(email || id, ")");

  if (id === ANONYMOUS_USER_ID) {
    targetUser = isComponent || !intl ? React.createElement(FormattedMessage, anonymousUser) : intl.formatMessage(anonymousUser);
    targetUserInfo = '';
  } else if (name) {
    targetUser = name;
    targetUserInfo = "(".concat(email || id, ")");
  } else if (email) {
    targetUser = id;
    targetUserInfo = "(".concat(email || id, ")");
  }

  const formattedUser = isComponent ? React.createElement(React.Fragment, null, targetUser, targetUserInfo ? " ".concat(targetUserInfo) : '') : "".concat(String(targetUser), " ").concat(targetUserInfo).trim();
  return formattedUser;
};

const FormattedUser = props => formatUser(props, undefined, true);

export { formatUser };
export default FormattedUser;
//# sourceMappingURL=FormattedUser.js.map