function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import noop from 'lodash/noop';
import classNames from 'classnames';
import { Table } from '@box/react-virtualized/dist/es/Table/index';
import { DEFAULT_PAGE_SIZE } from '../../constants';
import { VIRTUALIZED_TABLE_DEFAULTS } from './constants';
import loadingRowRenderer from '../virtualized-table-renderers/loadingRowRenderer';
const {
  HEADER_HEIGHT,
  ROW_HEIGHT,
  TAB_INDEX
} = VIRTUALIZED_TABLE_DEFAULTS;

const handleSort = function handleSort(sortParams) {
  let sort = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : noop;
  const {
    event
  } = sortParams;
  const {
    currentTarget,
    type
  } = event || {}; // Prevent header from remaining focused when triggered with mouse

  if (type === 'click' && currentTarget && currentTarget.blur) {
    currentTarget.blur();
  }

  sort(sortParams);
};

class BaseVirtualizedTable extends React.PureComponent {
  render() {
    const _this$props = this.props,
          {
      children,
      className,
      isLoading,
      loadingRowCount,
      rowData,
      rowGetter,
      rowRenderer,
      sort: _sort,
      tableRef
    } = _this$props,
          rest = _objectWithoutProperties(_this$props, ["children", "className", "isLoading", "loadingRowCount", "rowData", "rowGetter", "rowRenderer", "sort", "tableRef"]);

    const displayRowData = isLoading ? Array(loadingRowCount).fill({}) : rowData;
    const tableRowRenderer = isLoading ? loadingRowRenderer : rowRenderer;

    const getRow = rowGetter || ((_ref) => {
      let {
        index
      } = _ref;
      return displayRowData[index];
    });

    return React.createElement(Table, _extends({
      ref: tableRef,
      className: classNames('bdl-VirtualizedTable', className),
      headerHeight: HEADER_HEIGHT,
      rowCount: displayRowData.length,
      rowGetter: getRow,
      rowHeight: ROW_HEIGHT,
      rowRenderer: tableRowRenderer,
      sort: sortParams => handleSort(sortParams, _sort),
      tabIndex: TAB_INDEX
    }, rest), children);
  }

}

_defineProperty(BaseVirtualizedTable, "defaultProps", {
  isLoading: false,
  loadingRowCount: DEFAULT_PAGE_SIZE
});

export default BaseVirtualizedTable;
//# sourceMappingURL=BaseVirtualizedTable.js.map