function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from 'react';
import noop from 'lodash/noop';
import classNames from 'classnames';
import { Column } from '@box/react-virtualized/dist/es/Table/index';
import { DragDropContext, Droppable } from 'react-beautiful-dnd';
import { bdlGray } from '../../styles/variables';
import IconDrag from '../../icons/general/IconDrag';
import { draggableRowRenderer } from '../virtualized-table-renderers';
import { VIRTUALIZED_TABLE_DEFAULTS } from './constants';
import VirtualizedTable from './VirtualizedTable';
import './DraggableVirtualizedTable.scss';
const {
  HEADER_HEIGHT,
  ROW_HEIGHT
} = VIRTUALIZED_TABLE_DEFAULTS;
const ICON_SIZE = 24;

const DraggableVirtualizedTable = (_ref) => {
  let {
    children,
    className,
    onDragEnd,
    rowData,
    shouldShowDragHandle,
    tableId
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["children", "className", "onDragEnd", "rowData", "shouldShowDragHandle", "tableId"]);

  const tableClassName = classNames('bdl-DraggableVirtualizedTable', className);

  const draggableCellRenderer = () => React.createElement(IconDrag, {
    color: bdlGray,
    height: ICON_SIZE,
    width: ICON_SIZE
  }); // Virtualized table's performance optimizations can not be used here since
  // all rows need to be rendered in order for drag and drop to work properly.
  // From a UX perspective, it also doesn't make sense to have drag and drop on
  // very large tables that actually require optimizations, so this component
  // always forces the table to be tall enough to fit all rows


  const tableHeight = rowData.length * ROW_HEIGHT + HEADER_HEIGHT;

  const handleDragEnd = (_ref2) => {
    let {
      destination,
      source
    } = _ref2;
    const destinationIndex = destination ? destination.index : source.index;
    return onDragEnd(source.index, destinationIndex);
  };

  return React.createElement(DragDropContext, {
    onDragEnd: handleDragEnd
  }, React.createElement(Droppable, {
    droppableId: tableId
  }, droppableProvided => React.createElement("div", {
    ref: droppableProvided.innerRef
  }, React.createElement(VirtualizedTable, _extends({}, rest, {
    className: tableClassName,
    rowRenderer: draggableRowRenderer,
    height: tableHeight,
    rowData: rowData
  }), shouldShowDragHandle && React.createElement(Column, {
    cellRenderer: draggableCellRenderer,
    className: "bdl-DraggableVirtualizedTable-dragHandleColumn",
    dataKey: "dragHandle",
    disableSort: true,
    flexGrow: 0,
    headerClassName: "bdl-DraggableVirtualizedTable-dragHandleColumn",
    width: ICON_SIZE
  }), children), droppableProvided.placeholder)));
};

DraggableVirtualizedTable.displayName = 'DraggableVirtualizedTable';
DraggableVirtualizedTable.defaultProps = {
  onDragEnd: noop,
  shouldShowDragHandle: true
};
export default DraggableVirtualizedTable;
//# sourceMappingURL=DraggableVirtualizedTable.js.map