import * as React from 'react';
import IconFolderCollab from '../../icon/content/FolderShared32';
import IconFolderExternal from '../../icon/content/FolderExternal32';
import IconFolderPersonal from '../../icon/content/FolderPersonal32';

const FolderIcon = (_ref) => {
  let {
    dimension = 32,
    isCollab = false,
    isExternal = false,
    title
  } = _ref;

  if (isExternal) {
    return React.createElement(IconFolderExternal, {
      height: dimension,
      title: title,
      width: dimension
    });
  }

  if (isCollab) {
    return React.createElement(IconFolderCollab, {
      height: dimension,
      title: title,
      width: dimension
    });
  }

  return React.createElement(IconFolderPersonal, {
    height: dimension,
    title: title,
    width: dimension
  });
};

export default FolderIcon;
//# sourceMappingURL=FolderIcon.js.map