import * as React from 'react';
export let DirectionType;

(function (DirectionType) {
  DirectionType["DOWN"] = "down";
  DirectionType["LEFT"] = "left";
  DirectionType["RIGHT"] = "right";
  DirectionType["UP"] = "up";
})(DirectionType || (DirectionType = {}));

const rotations = {
  [DirectionType.DOWN]: 135,
  [DirectionType.LEFT]: 225,
  [DirectionType.RIGHT]: 45,
  [DirectionType.UP]: 315
};

const IconChevron = (_ref) => {
  let {
    className = '',
    color = '#000',
    direction = DirectionType.UP,
    size = '9px',
    thickness = '2px'
  } = _ref;
  return React.createElement("span", {
    className: "icon-chevron icon-chevron-".concat(direction, " ").concat(className),
    style: {
      borderColor: color,
      borderStyle: 'solid solid none none',
      borderWidth: thickness,
      display: 'inline-block',
      height: size,
      transform: "rotate(".concat(rotations[direction], "deg)"),
      width: size
    }
  });
};

export default IconChevron;
//# sourceMappingURL=IconChevron.js.map