import * as React from 'react';
import AccessibleSVG from '../accessible-svg';

const IconCommentsBadge = (_ref) => {
  let {
    className = '',
    color = '#777',
    height = 15,
    title,
    width = 14
  } = _ref;
  return React.createElement(AccessibleSVG, {
    className: "icon-comments-badge ".concat(className),
    height: height,
    title: title,
    viewBox: "0 0 14 15",
    width: width
  }, React.createElement("g", {
    className: "stroke-color",
    fill: "none",
    fillRule: "evenodd",
    stroke: color,
    strokeWidth: ".875"
  }, React.createElement("path", {
    d: "M3.063 13.938l2.88-2.905h5.432c1.208 0 2.188-.98 2.188-2.187v-6.22c0-1.21-.98-2.188-2.188-2.188h-8.75c-1.208 0-2.188.98-2.188 2.187v6.22c0 1.21.98 2.188 2.188 2.188h.438v2.905z"
  }), React.createElement("path", {
    d: "M3.938 3.97h6.124M3.938 7.5h6.124",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })));
};

export default IconCommentsBadge;
//# sourceMappingURL=IconCommentsBadge.js.map