import * as React from 'react';
import AccessibleSVG from '../accessible-svg';

const IconExpiration = (_ref) => {
  let {
    className = '',
    color = '#444444',
    height = 15,
    title,
    width = 14
  } = _ref;
  return React.createElement(AccessibleSVG, {
    className: "icon-expiration ".concat(className),
    height: height,
    title: title,
    viewBox: "0 0 14 15",
    width: width
  }, React.createElement("g", {
    fill: "none",
    fillRule: "evenodd",
    transform: "translate(0 -1)"
  }, React.createElement("circle", {
    className: "stroke-color",
    cx: "7.16",
    cy: "9.5",
    r: "5.5",
    stroke: color
  }), React.createElement("rect", {
    className: "fill-color",
    fill: color,
    height: "5",
    rx: ".5",
    width: "1",
    x: "6.66",
    y: "6"
  }), React.createElement("rect", {
    className: "fill-color",
    fill: color,
    height: "1",
    rx: ".5",
    width: "3",
    x: "6.66",
    y: "10"
  }), React.createElement("rect", {
    className: "fill-color",
    fill: color,
    height: "1",
    rx: ".5",
    transform: "rotate(30 11.16 2.5)",
    width: "5",
    x: "8.66",
    y: "2"
  }), React.createElement("rect", {
    className: "fill-color",
    fill: color,
    height: "1",
    rx: ".5",
    transform: "rotate(-30 3.16 2.5)",
    width: "5",
    x: ".66",
    y: "2"
  })));
};

export default IconExpiration;
//# sourceMappingURL=IconExpiration.js.map