function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import uniqueId from 'lodash/uniqueId';
import AccessibleSVG from '../accessible-svg';
const ICON_CLASS = 'icon-trophy-cup';

class IconTrophyCup extends React.PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "idPrefix", "".concat(uniqueId(ICON_CLASS), "-"));
  }

  render() {
    const {
      className,
      height,
      title,
      width
    } = this.props;
    return React.createElement(AccessibleSVG, {
      className: "".concat(ICON_CLASS, " ").concat(className),
      height: height,
      title: title,
      viewBox: "0 0 36 30",
      width: width
    }, React.createElement("defs", null, React.createElement("path", {
      d: "M18 15.707c6.395 0 11.579-5.1 11.579-11.393H6.42c0 6.292 5.184 11.393 11.579 11.393z",
      id: "".concat(this.idPrefix, "b")
    }), React.createElement("filter", {
      filterUnits: "objectBoundingBox",
      height: "126.3%",
      id: "".concat(this.idPrefix, "a"),
      width: "113%",
      x: "-6.5%",
      y: "-13.2%"
    }, React.createElement("feOffset", {
      in: "SourceAlpha",
      result: "shadowOffsetOuter1"
    }), React.createElement("feGaussianBlur", {
      in: "shadowOffsetOuter1",
      result: "shadowBlurOuter1",
      stdDeviation: ".5"
    }), React.createElement("feColorMatrix", {
      in: "shadowBlurOuter1",
      values: "0 0 0 0 0.960784314 0 0 0 0 0.725490196 0 0 0 0 0.352941176 0 0 0 0.32 0"
    }))), React.createElement("g", {
      fill: "none",
      fillRule: "evenodd"
    }, React.createElement("path", {
      d: "M32.822 4.173h-16.17c.546 3.901 3.954 6.911 8.085 6.911 4.13 0 7.539-3.01 8.085-6.911z",
      stroke: "#F8D371",
      strokeWidth: "2.203"
    }), React.createElement("path", {
      d: "M19.348 4.173H3.178c.546 3.901 3.955 6.911 8.085 6.911 4.13 0 7.539-3.01 8.085-6.911z",
      stroke: "#F8D371",
      strokeWidth: "2.203"
    }), React.createElement("path", {
      d: "M6.972 1h22.056a.55.55 0 0 1 .55.55v2.764H6.422V1.551A.55.55 0 0 1 6.971 1z",
      fill: "#F5B95A"
    }), React.createElement("rect", {
      fill: "#F5B95A",
      height: "3.314",
      rx: ".551",
      width: "10.947",
      x: "12.526",
      y: "18.607"
    }), React.createElement("rect", {
      fill: "#0061D5",
      height: "8",
      rx: ".551",
      width: "16.632",
      x: "9.789",
      y: "20.3"
    }), React.createElement("path", {
      d: "M10.34 20.3h15.53a.55.55 0 0 1 .551.55v7.45H9.79v-7.45a.55.55 0 0 1 .551-.55z",
      fill: "#FC627A"
    }), React.createElement("path", {
      d: "M11.603 20.3h12.794a.55.55 0 0 1 .55.55v7.45H11.053v-7.45a.55.55 0 0 1 .55-.55z",
      fill: "#FFF",
      fillOpacity: ".2"
    }), React.createElement("path", {
      d: "M15.474 13.221h5.052L18.842 21.3h-1.684z",
      fill: "#F5B95A"
    }), React.createElement("path", {
      d: "M14.34 20.3h7.11a.55.55 0 0 1 .55.55v7.45h-8.21v-7.45a.55.55 0 0 1 .55-.55z",
      fill: "#FC627A"
    }), React.createElement("use", {
      fill: "#000",
      filter: "url(#".concat(this.idPrefix, "a)"),
      xlinkHref: "#".concat(this.idPrefix, "b")
    }), React.createElement("use", {
      fill: "#F8D371",
      xlinkHref: "#".concat(this.idPrefix, "b")
    })));
  }

}

_defineProperty(IconTrophyCup, "defaultProps", {
  className: '',
  height: 30,
  width: 36
});

export default IconTrophyCup;
//# sourceMappingURL=IconTrophyCup.js.map