function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import uniqueId from 'lodash/uniqueId';
import AccessibleSVG from '../accessible-svg';
const ICON_CLASS = 'icon-google-slides';

class IconGoogleSlides extends React.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "idPrefix", "".concat(uniqueId(ICON_CLASS), "-"));
  }

  render() {
    const {
      className,
      height,
      title,
      width
    } = this.props;
    return React.createElement(AccessibleSVG, {
      className: "".concat(ICON_CLASS, " ").concat(className),
      height: height,
      title: title,
      viewBox: "0 0 30 30",
      width: width
    }, React.createElement("defs", null, React.createElement("linearGradient", {
      gradientTransform: "matrix(2.67 0 0 -2.67 596.67 1357)",
      gradientUnits: "userSpaceOnUse",
      id: "".concat(this.idPrefix, "a"),
      x1: "-215.49",
      x2: "-215.49",
      y1: "505.79",
      y2: "503.19"
    }, React.createElement("stop", {
      offset: "0",
      stopColor: "#d08714",
      stopOpacity: ".88"
    }), React.createElement("stop", {
      offset: ".55",
      stopColor: "#cf8714",
      stopOpacity: ".2"
    }))), React.createElement("path", {
      d: "M17.64 0H6.05A2.05 2.05 0 0 0 4 2.05V28a2.05 2.05 0 0 0 2.05 2h17.72a2.05 2.05 0 0 0 2.05-2V8.18l-4.77-3.41z",
      fill: "#f4b912"
    }), React.createElement("path", {
      d: "M18.23 7.58l7.59 7.58V8.18l-7.59-.6z",
      fill: "url(#".concat(this.idPrefix, "a)")
    }), React.createElement("path", {
      d: "M17.64 0v6.14a2 2 0 0 0 2 2h6.14z",
      fill: "#fadc87"
    }), React.createElement("path", {
      d: "M6.05 0A2.05 2.05 0 0 0 4 2.05v.17A2.05 2.05 0 0 1 6.05.17h11.59V0z",
      fill: "#fff",
      fillOpacity: ".2"
    }), React.createElement("path", {
      d: "M19.68 8.18a2 2 0 0 1-2-2v.17a2 2 0 0 0 2 2h6.14v-.17z",
      fill: "#1a237e",
      fillOpacity: ".1"
    }), React.createElement("path", {
      d: "M10 15v8a1 1 0 0 0 1 1h8a1 1 0 0 0 1-1v-8a1 1 0 0 0-1-1h-8a1 1 0 0 0-1 1zm9 6h-8v-4h8z",
      fill: "#f1f1f1"
    }));
  }

}

_defineProperty(IconGoogleSlides, "defaultProps", {
  className: '',
  height: 30,
  width: 30
});

export default IconGoogleSlides;
//# sourceMappingURL=IconGoogleSlides.js.map